import { DeviceMemInfo } from './device-mem-info';
/**
 * Reads the Flash Regions Table data from an Intel Hex map and retrieves the
 * MicroPython DeviceMemInfo data.
 *
 * @throws {Error} When the Magic Header is not present.
 * @throws {Error} When the MicroPython or FS regions are not found.
 *
 * @param intelHexMap - Memory map of the Intel Hex to scan.
 * @returns Object with the parsed data from the Flash Regions Table.
 */
declare function getHexMapFlashRegionsData(iHexMap: MemoryMap): DeviceMemInfo;
/**
 * Reads the Flash Regions Table data from an Intel Hex map and retrieves the
 * MicroPython DeviceMemInfo data.
 *
 * @throws {Error} When the Magic Header is not present.
 * @throws {Error} When the MicroPython or FS regions are not found.
 *
 * @param intelHex - MicroPython Intel Hex string.
 * @returns Object with the parsed data from the Flash Regions Table.
 */
declare function getIntelHexFlashRegionsData(intelHex: string): DeviceMemInfo;
export { getHexMapFlashRegionsData, getIntelHexFlashRegionsData };
//# sourceMappingURL=flash-regions.d.ts.map