import { DeviceMemInfo, DeviceVersion } from './device-mem-info';
/**
 * Attempts to retrieve the device memory data from an MicroPython Intel Hex
 * memory map.
 *
 * @param {MemoryMap} intelHexMap MicroPython Intel Hex memory map to scan.
 * @returns {DeviceMemInfo} Device data.
 */
declare function getHexMapDeviceMemInfo(intelHexMap: MemoryMap): DeviceMemInfo;
/**
 * Attempts to retrieve the device memory data from an MicroPython Intel Hex.
 *
 * @param intelHex - MicroPython Intel Hex string.
 * @returns {DeviceMemInfo} Device data.
 */
declare function getIntelHexDeviceMemInfo(intelHex: string): DeviceMemInfo;
export { DeviceMemInfo, DeviceVersion, getHexMapDeviceMemInfo, getIntelHexDeviceMemInfo, };
//# sourceMappingURL=hex-mem-info.d.ts.map