(function (global, factory) {
	typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports) :
	typeof define === 'function' && define.amd ? define(['exports'], factory) :
	(global = global || self, factory(global.microbitFs = {}));
}(this, (function (exports) { 'use strict';

	function createCommonjsModule(fn, module) {
		return module = { exports: {} }, fn(module, module.exports), module.exports;
	}

	var _fails = function (exec) {
	  try {
	    return !!exec();
	  } catch (e) {
	    return true;
	  }
	};

	// Thank's IE8 for his funny defineProperty
	var _descriptors = !_fails(function () {
	  return Object.defineProperty({}, 'a', { get: function () { return 7; } }).a != 7;
	});

	var _library = false;

	var _global = createCommonjsModule(function (module) {
	// https://github.com/zloirock/core-js/issues/86#issuecomment-115759028
	var global = module.exports = typeof window != 'undefined' && window.Math == Math
	  ? window : typeof self != 'undefined' && self.Math == Math ? self
	  // eslint-disable-next-line no-new-func
	  : Function('return this')();
	if (typeof __g == 'number') __g = global; // eslint-disable-line no-undef
	});

	var _core = createCommonjsModule(function (module) {
	var core = module.exports = { version: '2.6.11' };
	if (typeof __e == 'number') __e = core; // eslint-disable-line no-undef
	});
	var _core_1 = _core.version;

	var _isObject = function (it) {
	  return typeof it === 'object' ? it !== null : typeof it === 'function';
	};

	var _anObject = function (it) {
	  if (!_isObject(it)) throw TypeError(it + ' is not an object!');
	  return it;
	};

	var document = _global.document;
	// typeof document.createElement is 'object' in old IE
	var is = _isObject(document) && _isObject(document.createElement);
	var _domCreate = function (it) {
	  return is ? document.createElement(it) : {};
	};

	var _ie8DomDefine = !_descriptors && !_fails(function () {
	  return Object.defineProperty(_domCreate('div'), 'a', { get: function () { return 7; } }).a != 7;
	});

	// 7.1.1 ToPrimitive(input [, PreferredType])

	// instead of the ES6 spec version, we didn't implement @@toPrimitive case
	// and the second argument - flag - preferred type is a string
	var _toPrimitive = function (it, S) {
	  if (!_isObject(it)) return it;
	  var fn, val;
	  if (S && typeof (fn = it.toString) == 'function' && !_isObject(val = fn.call(it))) return val;
	  if (typeof (fn = it.valueOf) == 'function' && !_isObject(val = fn.call(it))) return val;
	  if (!S && typeof (fn = it.toString) == 'function' && !_isObject(val = fn.call(it))) return val;
	  throw TypeError("Can't convert object to primitive value");
	};

	var dP = Object.defineProperty;

	var f = _descriptors ? Object.defineProperty : function defineProperty(O, P, Attributes) {
	  _anObject(O);
	  P = _toPrimitive(P, true);
	  _anObject(Attributes);
	  if (_ie8DomDefine) try {
	    return dP(O, P, Attributes);
	  } catch (e) { /* empty */ }
	  if ('get' in Attributes || 'set' in Attributes) throw TypeError('Accessors not supported!');
	  if ('value' in Attributes) O[P] = Attributes.value;
	  return O;
	};

	var _objectDp = {
		f: f
	};

	var _propertyDesc = function (bitmap, value) {
	  return {
	    enumerable: !(bitmap & 1),
	    configurable: !(bitmap & 2),
	    writable: !(bitmap & 4),
	    value: value
	  };
	};

	var _hide = _descriptors ? function (object, key, value) {
	  return _objectDp.f(object, key, _propertyDesc(1, value));
	} : function (object, key, value) {
	  object[key] = value;
	  return object;
	};

	var hasOwnProperty = {}.hasOwnProperty;
	var _has = function (it, key) {
	  return hasOwnProperty.call(it, key);
	};

	var id = 0;
	var px = Math.random();
	var _uid = function (key) {
	  return 'Symbol('.concat(key === undefined ? '' : key, ')_', (++id + px).toString(36));
	};

	var _shared = createCommonjsModule(function (module) {
	var SHARED = '__core-js_shared__';
	var store = _global[SHARED] || (_global[SHARED] = {});

	(module.exports = function (key, value) {
	  return store[key] || (store[key] = value !== undefined ? value : {});
	})('versions', []).push({
	  version: _core.version,
	  mode:  'global',
	  copyright: '© 2019 Denis Pushkarev (zloirock.ru)'
	});
	});

	var _functionToString = _shared('native-function-to-string', Function.toString);

	var _redefine = createCommonjsModule(function (module) {
	var SRC = _uid('src');

	var TO_STRING = 'toString';
	var TPL = ('' + _functionToString).split(TO_STRING);

	_core.inspectSource = function (it) {
	  return _functionToString.call(it);
	};

	(module.exports = function (O, key, val, safe) {
	  var isFunction = typeof val == 'function';
	  if (isFunction) _has(val, 'name') || _hide(val, 'name', key);
	  if (O[key] === val) return;
	  if (isFunction) _has(val, SRC) || _hide(val, SRC, O[key] ? '' + O[key] : TPL.join(String(key)));
	  if (O === _global) {
	    O[key] = val;
	  } else if (!safe) {
	    delete O[key];
	    _hide(O, key, val);
	  } else if (O[key]) {
	    O[key] = val;
	  } else {
	    _hide(O, key, val);
	  }
	// add fake Function#toString for correct work wrapped methods / constructors with methods like LoDash isNative
	})(Function.prototype, TO_STRING, function toString() {
	  return typeof this == 'function' && this[SRC] || _functionToString.call(this);
	});
	});

	var _aFunction = function (it) {
	  if (typeof it != 'function') throw TypeError(it + ' is not a function!');
	  return it;
	};

	// optional / simple context binding

	var _ctx = function (fn, that, length) {
	  _aFunction(fn);
	  if (that === undefined) return fn;
	  switch (length) {
	    case 1: return function (a) {
	      return fn.call(that, a);
	    };
	    case 2: return function (a, b) {
	      return fn.call(that, a, b);
	    };
	    case 3: return function (a, b, c) {
	      return fn.call(that, a, b, c);
	    };
	  }
	  return function (/* ...args */) {
	    return fn.apply(that, arguments);
	  };
	};

	var PROTOTYPE = 'prototype';

	var $export = function (type, name, source) {
	  var IS_FORCED = type & $export.F;
	  var IS_GLOBAL = type & $export.G;
	  var IS_STATIC = type & $export.S;
	  var IS_PROTO = type & $export.P;
	  var IS_BIND = type & $export.B;
	  var target = IS_GLOBAL ? _global : IS_STATIC ? _global[name] || (_global[name] = {}) : (_global[name] || {})[PROTOTYPE];
	  var exports = IS_GLOBAL ? _core : _core[name] || (_core[name] = {});
	  var expProto = exports[PROTOTYPE] || (exports[PROTOTYPE] = {});
	  var key, own, out, exp;
	  if (IS_GLOBAL) source = name;
	  for (key in source) {
	    // contains in native
	    own = !IS_FORCED && target && target[key] !== undefined;
	    // export native or passed
	    out = (own ? target : source)[key];
	    // bind timers to global for call from export context
	    exp = IS_BIND && own ? _ctx(out, _global) : IS_PROTO && typeof out == 'function' ? _ctx(Function.call, out) : out;
	    // extend global
	    if (target) _redefine(target, key, out, type & $export.U);
	    // export
	    if (exports[key] != out) _hide(exports, key, exp);
	    if (IS_PROTO && expProto[key] != out) expProto[key] = out;
	  }
	};
	_global.core = _core;
	// type bitmap
	$export.F = 1;   // forced
	$export.G = 2;   // global
	$export.S = 4;   // static
	$export.P = 8;   // proto
	$export.B = 16;  // bind
	$export.W = 32;  // wrap
	$export.U = 64;  // safe
	$export.R = 128; // real proto method for `library`
	var _export = $export;

	var TYPED = _uid('typed_array');
	var VIEW = _uid('view');
	var ABV = !!(_global.ArrayBuffer && _global.DataView);
	var CONSTR = ABV;
	var i = 0;
	var l = 9;
	var Typed;

	var TypedArrayConstructors = (
	  'Int8Array,Uint8Array,Uint8ClampedArray,Int16Array,Uint16Array,Int32Array,Uint32Array,Float32Array,Float64Array'
	).split(',');

	while (i < l) {
	  if (Typed = _global[TypedArrayConstructors[i++]]) {
	    _hide(Typed.prototype, TYPED, true);
	    _hide(Typed.prototype, VIEW, true);
	  } else CONSTR = false;
	}

	var _typed = {
	  ABV: ABV,
	  CONSTR: CONSTR,
	  TYPED: TYPED,
	  VIEW: VIEW
	};

	var _redefineAll = function (target, src, safe) {
	  for (var key in src) _redefine(target, key, src[key], safe);
	  return target;
	};

	var _anInstance = function (it, Constructor, name, forbiddenField) {
	  if (!(it instanceof Constructor) || (forbiddenField !== undefined && forbiddenField in it)) {
	    throw TypeError(name + ': incorrect invocation!');
	  } return it;
	};

	// 7.1.4 ToInteger
	var ceil = Math.ceil;
	var floor = Math.floor;
	var _toInteger = function (it) {
	  return isNaN(it = +it) ? 0 : (it > 0 ? floor : ceil)(it);
	};

	// 7.1.15 ToLength

	var min = Math.min;
	var _toLength = function (it) {
	  return it > 0 ? min(_toInteger(it), 0x1fffffffffffff) : 0; // pow(2, 53) - 1 == 9007199254740991
	};

	// https://tc39.github.io/ecma262/#sec-toindex


	var _toIndex = function (it) {
	  if (it === undefined) return 0;
	  var number = _toInteger(it);
	  var length = _toLength(number);
	  if (number !== length) throw RangeError('Wrong length!');
	  return length;
	};

	var toString = {}.toString;

	var _cof = function (it) {
	  return toString.call(it).slice(8, -1);
	};

	// fallback for non-array-like ES3 and non-enumerable old V8 strings

	// eslint-disable-next-line no-prototype-builtins
	var _iobject = Object('z').propertyIsEnumerable(0) ? Object : function (it) {
	  return _cof(it) == 'String' ? it.split('') : Object(it);
	};

	// 7.2.1 RequireObjectCoercible(argument)
	var _defined = function (it) {
	  if (it == undefined) throw TypeError("Can't call method on  " + it);
	  return it;
	};

	// to indexed object, toObject with fallback for non-array-like ES3 strings


	var _toIobject = function (it) {
	  return _iobject(_defined(it));
	};

	var max = Math.max;
	var min$1 = Math.min;
	var _toAbsoluteIndex = function (index, length) {
	  index = _toInteger(index);
	  return index < 0 ? max(index + length, 0) : min$1(index, length);
	};

	// false -> Array#indexOf
	// true  -> Array#includes



	var _arrayIncludes = function (IS_INCLUDES) {
	  return function ($this, el, fromIndex) {
	    var O = _toIobject($this);
	    var length = _toLength(O.length);
	    var index = _toAbsoluteIndex(fromIndex, length);
	    var value;
	    // Array#includes uses SameValueZero equality algorithm
	    // eslint-disable-next-line no-self-compare
	    if (IS_INCLUDES && el != el) while (length > index) {
	      value = O[index++];
	      // eslint-disable-next-line no-self-compare
	      if (value != value) return true;
	    // Array#indexOf ignores holes, Array#includes - not
	    } else for (;length > index; index++) if (IS_INCLUDES || index in O) {
	      if (O[index] === el) return IS_INCLUDES || index || 0;
	    } return !IS_INCLUDES && -1;
	  };
	};

	var shared = _shared('keys');

	var _sharedKey = function (key) {
	  return shared[key] || (shared[key] = _uid(key));
	};

	var arrayIndexOf = _arrayIncludes(false);
	var IE_PROTO = _sharedKey('IE_PROTO');

	var _objectKeysInternal = function (object, names) {
	  var O = _toIobject(object);
	  var i = 0;
	  var result = [];
	  var key;
	  for (key in O) if (key != IE_PROTO) _has(O, key) && result.push(key);
	  // Don't enum bug & hidden keys
	  while (names.length > i) if (_has(O, key = names[i++])) {
	    ~arrayIndexOf(result, key) || result.push(key);
	  }
	  return result;
	};

	// IE 8- don't enum bug keys
	var _enumBugKeys = (
	  'constructor,hasOwnProperty,isPrototypeOf,propertyIsEnumerable,toLocaleString,toString,valueOf'
	).split(',');

	// 19.1.2.7 / 15.2.3.4 Object.getOwnPropertyNames(O)

	var hiddenKeys = _enumBugKeys.concat('length', 'prototype');

	var f$1 = Object.getOwnPropertyNames || function getOwnPropertyNames(O) {
	  return _objectKeysInternal(O, hiddenKeys);
	};

	var _objectGopn = {
		f: f$1
	};

	// 7.1.13 ToObject(argument)

	var _toObject = function (it) {
	  return Object(_defined(it));
	};

	var _arrayFill = function fill(value /* , start = 0, end = @length */) {
	  var O = _toObject(this);
	  var length = _toLength(O.length);
	  var aLen = arguments.length;
	  var index = _toAbsoluteIndex(aLen > 1 ? arguments[1] : undefined, length);
	  var end = aLen > 2 ? arguments[2] : undefined;
	  var endPos = end === undefined ? length : _toAbsoluteIndex(end, length);
	  while (endPos > index) O[index++] = value;
	  return O;
	};

	var _wks = createCommonjsModule(function (module) {
	var store = _shared('wks');

	var Symbol = _global.Symbol;
	var USE_SYMBOL = typeof Symbol == 'function';

	var $exports = module.exports = function (name) {
	  return store[name] || (store[name] =
	    USE_SYMBOL && Symbol[name] || (USE_SYMBOL ? Symbol : _uid)('Symbol.' + name));
	};

	$exports.store = store;
	});

	var def = _objectDp.f;

	var TAG = _wks('toStringTag');

	var _setToStringTag = function (it, tag, stat) {
	  if (it && !_has(it = stat ? it : it.prototype, TAG)) def(it, TAG, { configurable: true, value: tag });
	};

	var _typedBuffer = createCommonjsModule(function (module, exports) {











	var gOPN = _objectGopn.f;
	var dP = _objectDp.f;


	var ARRAY_BUFFER = 'ArrayBuffer';
	var DATA_VIEW = 'DataView';
	var PROTOTYPE = 'prototype';
	var WRONG_LENGTH = 'Wrong length!';
	var WRONG_INDEX = 'Wrong index!';
	var $ArrayBuffer = _global[ARRAY_BUFFER];
	var $DataView = _global[DATA_VIEW];
	var Math = _global.Math;
	var RangeError = _global.RangeError;
	// eslint-disable-next-line no-shadow-restricted-names
	var Infinity = _global.Infinity;
	var BaseBuffer = $ArrayBuffer;
	var abs = Math.abs;
	var pow = Math.pow;
	var floor = Math.floor;
	var log = Math.log;
	var LN2 = Math.LN2;
	var BUFFER = 'buffer';
	var BYTE_LENGTH = 'byteLength';
	var BYTE_OFFSET = 'byteOffset';
	var $BUFFER = _descriptors ? '_b' : BUFFER;
	var $LENGTH = _descriptors ? '_l' : BYTE_LENGTH;
	var $OFFSET = _descriptors ? '_o' : BYTE_OFFSET;

	// IEEE754 conversions based on https://github.com/feross/ieee754
	function packIEEE754(value, mLen, nBytes) {
	  var buffer = new Array(nBytes);
	  var eLen = nBytes * 8 - mLen - 1;
	  var eMax = (1 << eLen) - 1;
	  var eBias = eMax >> 1;
	  var rt = mLen === 23 ? pow(2, -24) - pow(2, -77) : 0;
	  var i = 0;
	  var s = value < 0 || value === 0 && 1 / value < 0 ? 1 : 0;
	  var e, m, c;
	  value = abs(value);
	  // eslint-disable-next-line no-self-compare
	  if (value != value || value === Infinity) {
	    // eslint-disable-next-line no-self-compare
	    m = value != value ? 1 : 0;
	    e = eMax;
	  } else {
	    e = floor(log(value) / LN2);
	    if (value * (c = pow(2, -e)) < 1) {
	      e--;
	      c *= 2;
	    }
	    if (e + eBias >= 1) {
	      value += rt / c;
	    } else {
	      value += rt * pow(2, 1 - eBias);
	    }
	    if (value * c >= 2) {
	      e++;
	      c /= 2;
	    }
	    if (e + eBias >= eMax) {
	      m = 0;
	      e = eMax;
	    } else if (e + eBias >= 1) {
	      m = (value * c - 1) * pow(2, mLen);
	      e = e + eBias;
	    } else {
	      m = value * pow(2, eBias - 1) * pow(2, mLen);
	      e = 0;
	    }
	  }
	  for (; mLen >= 8; buffer[i++] = m & 255, m /= 256, mLen -= 8);
	  e = e << mLen | m;
	  eLen += mLen;
	  for (; eLen > 0; buffer[i++] = e & 255, e /= 256, eLen -= 8);
	  buffer[--i] |= s * 128;
	  return buffer;
	}
	function unpackIEEE754(buffer, mLen, nBytes) {
	  var eLen = nBytes * 8 - mLen - 1;
	  var eMax = (1 << eLen) - 1;
	  var eBias = eMax >> 1;
	  var nBits = eLen - 7;
	  var i = nBytes - 1;
	  var s = buffer[i--];
	  var e = s & 127;
	  var m;
	  s >>= 7;
	  for (; nBits > 0; e = e * 256 + buffer[i], i--, nBits -= 8);
	  m = e & (1 << -nBits) - 1;
	  e >>= -nBits;
	  nBits += mLen;
	  for (; nBits > 0; m = m * 256 + buffer[i], i--, nBits -= 8);
	  if (e === 0) {
	    e = 1 - eBias;
	  } else if (e === eMax) {
	    return m ? NaN : s ? -Infinity : Infinity;
	  } else {
	    m = m + pow(2, mLen);
	    e = e - eBias;
	  } return (s ? -1 : 1) * m * pow(2, e - mLen);
	}

	function unpackI32(bytes) {
	  return bytes[3] << 24 | bytes[2] << 16 | bytes[1] << 8 | bytes[0];
	}
	function packI8(it) {
	  return [it & 0xff];
	}
	function packI16(it) {
	  return [it & 0xff, it >> 8 & 0xff];
	}
	function packI32(it) {
	  return [it & 0xff, it >> 8 & 0xff, it >> 16 & 0xff, it >> 24 & 0xff];
	}
	function packF64(it) {
	  return packIEEE754(it, 52, 8);
	}
	function packF32(it) {
	  return packIEEE754(it, 23, 4);
	}

	function addGetter(C, key, internal) {
	  dP(C[PROTOTYPE], key, { get: function () { return this[internal]; } });
	}

	function get(view, bytes, index, isLittleEndian) {
	  var numIndex = +index;
	  var intIndex = _toIndex(numIndex);
	  if (intIndex + bytes > view[$LENGTH]) throw RangeError(WRONG_INDEX);
	  var store = view[$BUFFER]._b;
	  var start = intIndex + view[$OFFSET];
	  var pack = store.slice(start, start + bytes);
	  return isLittleEndian ? pack : pack.reverse();
	}
	function set(view, bytes, index, conversion, value, isLittleEndian) {
	  var numIndex = +index;
	  var intIndex = _toIndex(numIndex);
	  if (intIndex + bytes > view[$LENGTH]) throw RangeError(WRONG_INDEX);
	  var store = view[$BUFFER]._b;
	  var start = intIndex + view[$OFFSET];
	  var pack = conversion(+value);
	  for (var i = 0; i < bytes; i++) store[start + i] = pack[isLittleEndian ? i : bytes - i - 1];
	}

	if (!_typed.ABV) {
	  $ArrayBuffer = function ArrayBuffer(length) {
	    _anInstance(this, $ArrayBuffer, ARRAY_BUFFER);
	    var byteLength = _toIndex(length);
	    this._b = _arrayFill.call(new Array(byteLength), 0);
	    this[$LENGTH] = byteLength;
	  };

	  $DataView = function DataView(buffer, byteOffset, byteLength) {
	    _anInstance(this, $DataView, DATA_VIEW);
	    _anInstance(buffer, $ArrayBuffer, DATA_VIEW);
	    var bufferLength = buffer[$LENGTH];
	    var offset = _toInteger(byteOffset);
	    if (offset < 0 || offset > bufferLength) throw RangeError('Wrong offset!');
	    byteLength = byteLength === undefined ? bufferLength - offset : _toLength(byteLength);
	    if (offset + byteLength > bufferLength) throw RangeError(WRONG_LENGTH);
	    this[$BUFFER] = buffer;
	    this[$OFFSET] = offset;
	    this[$LENGTH] = byteLength;
	  };

	  if (_descriptors) {
	    addGetter($ArrayBuffer, BYTE_LENGTH, '_l');
	    addGetter($DataView, BUFFER, '_b');
	    addGetter($DataView, BYTE_LENGTH, '_l');
	    addGetter($DataView, BYTE_OFFSET, '_o');
	  }

	  _redefineAll($DataView[PROTOTYPE], {
	    getInt8: function getInt8(byteOffset) {
	      return get(this, 1, byteOffset)[0] << 24 >> 24;
	    },
	    getUint8: function getUint8(byteOffset) {
	      return get(this, 1, byteOffset)[0];
	    },
	    getInt16: function getInt16(byteOffset /* , littleEndian */) {
	      var bytes = get(this, 2, byteOffset, arguments[1]);
	      return (bytes[1] << 8 | bytes[0]) << 16 >> 16;
	    },
	    getUint16: function getUint16(byteOffset /* , littleEndian */) {
	      var bytes = get(this, 2, byteOffset, arguments[1]);
	      return bytes[1] << 8 | bytes[0];
	    },
	    getInt32: function getInt32(byteOffset /* , littleEndian */) {
	      return unpackI32(get(this, 4, byteOffset, arguments[1]));
	    },
	    getUint32: function getUint32(byteOffset /* , littleEndian */) {
	      return unpackI32(get(this, 4, byteOffset, arguments[1])) >>> 0;
	    },
	    getFloat32: function getFloat32(byteOffset /* , littleEndian */) {
	      return unpackIEEE754(get(this, 4, byteOffset, arguments[1]), 23, 4);
	    },
	    getFloat64: function getFloat64(byteOffset /* , littleEndian */) {
	      return unpackIEEE754(get(this, 8, byteOffset, arguments[1]), 52, 8);
	    },
	    setInt8: function setInt8(byteOffset, value) {
	      set(this, 1, byteOffset, packI8, value);
	    },
	    setUint8: function setUint8(byteOffset, value) {
	      set(this, 1, byteOffset, packI8, value);
	    },
	    setInt16: function setInt16(byteOffset, value /* , littleEndian */) {
	      set(this, 2, byteOffset, packI16, value, arguments[2]);
	    },
	    setUint16: function setUint16(byteOffset, value /* , littleEndian */) {
	      set(this, 2, byteOffset, packI16, value, arguments[2]);
	    },
	    setInt32: function setInt32(byteOffset, value /* , littleEndian */) {
	      set(this, 4, byteOffset, packI32, value, arguments[2]);
	    },
	    setUint32: function setUint32(byteOffset, value /* , littleEndian */) {
	      set(this, 4, byteOffset, packI32, value, arguments[2]);
	    },
	    setFloat32: function setFloat32(byteOffset, value /* , littleEndian */) {
	      set(this, 4, byteOffset, packF32, value, arguments[2]);
	    },
	    setFloat64: function setFloat64(byteOffset, value /* , littleEndian */) {
	      set(this, 8, byteOffset, packF64, value, arguments[2]);
	    }
	  });
	} else {
	  if (!_fails(function () {
	    $ArrayBuffer(1);
	  }) || !_fails(function () {
	    new $ArrayBuffer(-1); // eslint-disable-line no-new
	  }) || _fails(function () {
	    new $ArrayBuffer(); // eslint-disable-line no-new
	    new $ArrayBuffer(1.5); // eslint-disable-line no-new
	    new $ArrayBuffer(NaN); // eslint-disable-line no-new
	    return $ArrayBuffer.name != ARRAY_BUFFER;
	  })) {
	    $ArrayBuffer = function ArrayBuffer(length) {
	      _anInstance(this, $ArrayBuffer);
	      return new BaseBuffer(_toIndex(length));
	    };
	    var ArrayBufferProto = $ArrayBuffer[PROTOTYPE] = BaseBuffer[PROTOTYPE];
	    for (var keys = gOPN(BaseBuffer), j = 0, key; keys.length > j;) {
	      if (!((key = keys[j++]) in $ArrayBuffer)) _hide($ArrayBuffer, key, BaseBuffer[key]);
	    }
	    ArrayBufferProto.constructor = $ArrayBuffer;
	  }
	  // iOS Safari 7.x bug
	  var view = new $DataView(new $ArrayBuffer(2));
	  var $setInt8 = $DataView[PROTOTYPE].setInt8;
	  view.setInt8(0, 2147483648);
	  view.setInt8(1, 2147483649);
	  if (view.getInt8(0) || !view.getInt8(1)) _redefineAll($DataView[PROTOTYPE], {
	    setInt8: function setInt8(byteOffset, value) {
	      $setInt8.call(this, byteOffset, value << 24 >> 24);
	    },
	    setUint8: function setUint8(byteOffset, value) {
	      $setInt8.call(this, byteOffset, value << 24 >> 24);
	    }
	  }, true);
	}
	_setToStringTag($ArrayBuffer, ARRAY_BUFFER);
	_setToStringTag($DataView, DATA_VIEW);
	_hide($DataView[PROTOTYPE], _typed.VIEW, true);
	exports[ARRAY_BUFFER] = $ArrayBuffer;
	exports[DATA_VIEW] = $DataView;
	});

	// getting tag from 19.1.3.6 Object.prototype.toString()

	var TAG$1 = _wks('toStringTag');
	// ES3 wrong here
	var ARG = _cof(function () { return arguments; }()) == 'Arguments';

	// fallback for IE11 Script Access Denied error
	var tryGet = function (it, key) {
	  try {
	    return it[key];
	  } catch (e) { /* empty */ }
	};

	var _classof = function (it) {
	  var O, T, B;
	  return it === undefined ? 'Undefined' : it === null ? 'Null'
	    // @@toStringTag case
	    : typeof (T = tryGet(O = Object(it), TAG$1)) == 'string' ? T
	    // builtinTag case
	    : ARG ? _cof(O)
	    // ES3 arguments fallback
	    : (B = _cof(O)) == 'Object' && typeof O.callee == 'function' ? 'Arguments' : B;
	};

	var _iterators = {};

	// check on default Array iterator

	var ITERATOR = _wks('iterator');
	var ArrayProto = Array.prototype;

	var _isArrayIter = function (it) {
	  return it !== undefined && (_iterators.Array === it || ArrayProto[ITERATOR] === it);
	};

	// 19.1.2.14 / 15.2.3.14 Object.keys(O)



	var _objectKeys = Object.keys || function keys(O) {
	  return _objectKeysInternal(O, _enumBugKeys);
	};

	var _objectDps = _descriptors ? Object.defineProperties : function defineProperties(O, Properties) {
	  _anObject(O);
	  var keys = _objectKeys(Properties);
	  var length = keys.length;
	  var i = 0;
	  var P;
	  while (length > i) _objectDp.f(O, P = keys[i++], Properties[P]);
	  return O;
	};

	var document$1 = _global.document;
	var _html = document$1 && document$1.documentElement;

	// 19.1.2.2 / 15.2.3.5 Object.create(O [, Properties])



	var IE_PROTO$1 = _sharedKey('IE_PROTO');
	var Empty = function () { /* empty */ };
	var PROTOTYPE$1 = 'prototype';

	// Create object with fake `null` prototype: use iframe Object with cleared prototype
	var createDict = function () {
	  // Thrash, waste and sodomy: IE GC bug
	  var iframe = _domCreate('iframe');
	  var i = _enumBugKeys.length;
	  var lt = '<';
	  var gt = '>';
	  var iframeDocument;
	  iframe.style.display = 'none';
	  _html.appendChild(iframe);
	  iframe.src = 'javascript:'; // eslint-disable-line no-script-url
	  // createDict = iframe.contentWindow.Object;
	  // html.removeChild(iframe);
	  iframeDocument = iframe.contentWindow.document;
	  iframeDocument.open();
	  iframeDocument.write(lt + 'script' + gt + 'document.F=Object' + lt + '/script' + gt);
	  iframeDocument.close();
	  createDict = iframeDocument.F;
	  while (i--) delete createDict[PROTOTYPE$1][_enumBugKeys[i]];
	  return createDict();
	};

	var _objectCreate = Object.create || function create(O, Properties) {
	  var result;
	  if (O !== null) {
	    Empty[PROTOTYPE$1] = _anObject(O);
	    result = new Empty();
	    Empty[PROTOTYPE$1] = null;
	    // add "__proto__" for Object.getPrototypeOf polyfill
	    result[IE_PROTO$1] = O;
	  } else result = createDict();
	  return Properties === undefined ? result : _objectDps(result, Properties);
	};

	// 19.1.2.9 / 15.2.3.2 Object.getPrototypeOf(O)


	var IE_PROTO$2 = _sharedKey('IE_PROTO');
	var ObjectProto = Object.prototype;

	var _objectGpo = Object.getPrototypeOf || function (O) {
	  O = _toObject(O);
	  if (_has(O, IE_PROTO$2)) return O[IE_PROTO$2];
	  if (typeof O.constructor == 'function' && O instanceof O.constructor) {
	    return O.constructor.prototype;
	  } return O instanceof Object ? ObjectProto : null;
	};

	var ITERATOR$1 = _wks('iterator');

	var core_getIteratorMethod = _core.getIteratorMethod = function (it) {
	  if (it != undefined) return it[ITERATOR$1]
	    || it['@@iterator']
	    || _iterators[_classof(it)];
	};

	// 7.2.2 IsArray(argument)

	var _isArray = Array.isArray || function isArray(arg) {
	  return _cof(arg) == 'Array';
	};

	var SPECIES = _wks('species');

	var _arraySpeciesConstructor = function (original) {
	  var C;
	  if (_isArray(original)) {
	    C = original.constructor;
	    // cross-realm fallback
	    if (typeof C == 'function' && (C === Array || _isArray(C.prototype))) C = undefined;
	    if (_isObject(C)) {
	      C = C[SPECIES];
	      if (C === null) C = undefined;
	    }
	  } return C === undefined ? Array : C;
	};

	// 9.4.2.3 ArraySpeciesCreate(originalArray, length)


	var _arraySpeciesCreate = function (original, length) {
	  return new (_arraySpeciesConstructor(original))(length);
	};

	// 0 -> Array#forEach
	// 1 -> Array#map
	// 2 -> Array#filter
	// 3 -> Array#some
	// 4 -> Array#every
	// 5 -> Array#find
	// 6 -> Array#findIndex





	var _arrayMethods = function (TYPE, $create) {
	  var IS_MAP = TYPE == 1;
	  var IS_FILTER = TYPE == 2;
	  var IS_SOME = TYPE == 3;
	  var IS_EVERY = TYPE == 4;
	  var IS_FIND_INDEX = TYPE == 6;
	  var NO_HOLES = TYPE == 5 || IS_FIND_INDEX;
	  var create = $create || _arraySpeciesCreate;
	  return function ($this, callbackfn, that) {
	    var O = _toObject($this);
	    var self = _iobject(O);
	    var f = _ctx(callbackfn, that, 3);
	    var length = _toLength(self.length);
	    var index = 0;
	    var result = IS_MAP ? create($this, length) : IS_FILTER ? create($this, 0) : undefined;
	    var val, res;
	    for (;length > index; index++) if (NO_HOLES || index in self) {
	      val = self[index];
	      res = f(val, index, O);
	      if (TYPE) {
	        if (IS_MAP) result[index] = res;   // map
	        else if (res) switch (TYPE) {
	          case 3: return true;             // some
	          case 5: return val;              // find
	          case 6: return index;            // findIndex
	          case 2: result.push(val);        // filter
	        } else if (IS_EVERY) return false; // every
	      }
	    }
	    return IS_FIND_INDEX ? -1 : IS_SOME || IS_EVERY ? IS_EVERY : result;
	  };
	};

	// 7.3.20 SpeciesConstructor(O, defaultConstructor)


	var SPECIES$1 = _wks('species');
	var _speciesConstructor = function (O, D) {
	  var C = _anObject(O).constructor;
	  var S;
	  return C === undefined || (S = _anObject(C)[SPECIES$1]) == undefined ? D : _aFunction(S);
	};

	// 22.1.3.31 Array.prototype[@@unscopables]
	var UNSCOPABLES = _wks('unscopables');
	var ArrayProto$1 = Array.prototype;
	if (ArrayProto$1[UNSCOPABLES] == undefined) _hide(ArrayProto$1, UNSCOPABLES, {});
	var _addToUnscopables = function (key) {
	  ArrayProto$1[UNSCOPABLES][key] = true;
	};

	var _iterStep = function (done, value) {
	  return { value: value, done: !!done };
	};

	var IteratorPrototype = {};

	// 25.1.2.1.1 %IteratorPrototype%[@@iterator]()
	_hide(IteratorPrototype, _wks('iterator'), function () { return this; });

	var _iterCreate = function (Constructor, NAME, next) {
	  Constructor.prototype = _objectCreate(IteratorPrototype, { next: _propertyDesc(1, next) });
	  _setToStringTag(Constructor, NAME + ' Iterator');
	};

	var ITERATOR$2 = _wks('iterator');
	var BUGGY = !([].keys && 'next' in [].keys()); // Safari has buggy iterators w/o `next`
	var FF_ITERATOR = '@@iterator';
	var KEYS = 'keys';
	var VALUES = 'values';

	var returnThis = function () { return this; };

	var _iterDefine = function (Base, NAME, Constructor, next, DEFAULT, IS_SET, FORCED) {
	  _iterCreate(Constructor, NAME, next);
	  var getMethod = function (kind) {
	    if (!BUGGY && kind in proto) return proto[kind];
	    switch (kind) {
	      case KEYS: return function keys() { return new Constructor(this, kind); };
	      case VALUES: return function values() { return new Constructor(this, kind); };
	    } return function entries() { return new Constructor(this, kind); };
	  };
	  var TAG = NAME + ' Iterator';
	  var DEF_VALUES = DEFAULT == VALUES;
	  var VALUES_BUG = false;
	  var proto = Base.prototype;
	  var $native = proto[ITERATOR$2] || proto[FF_ITERATOR] || DEFAULT && proto[DEFAULT];
	  var $default = $native || getMethod(DEFAULT);
	  var $entries = DEFAULT ? !DEF_VALUES ? $default : getMethod('entries') : undefined;
	  var $anyNative = NAME == 'Array' ? proto.entries || $native : $native;
	  var methods, key, IteratorPrototype;
	  // Fix native
	  if ($anyNative) {
	    IteratorPrototype = _objectGpo($anyNative.call(new Base()));
	    if (IteratorPrototype !== Object.prototype && IteratorPrototype.next) {
	      // Set @@toStringTag to native iterators
	      _setToStringTag(IteratorPrototype, TAG, true);
	      // fix for some old engines
	      if ( typeof IteratorPrototype[ITERATOR$2] != 'function') _hide(IteratorPrototype, ITERATOR$2, returnThis);
	    }
	  }
	  // fix Array#{values, @@iterator}.name in V8 / FF
	  if (DEF_VALUES && $native && $native.name !== VALUES) {
	    VALUES_BUG = true;
	    $default = function values() { return $native.call(this); };
	  }
	  // Define iterator
	  if ( (BUGGY || VALUES_BUG || !proto[ITERATOR$2])) {
	    _hide(proto, ITERATOR$2, $default);
	  }
	  // Plug for library
	  _iterators[NAME] = $default;
	  _iterators[TAG] = returnThis;
	  if (DEFAULT) {
	    methods = {
	      values: DEF_VALUES ? $default : getMethod(VALUES),
	      keys: IS_SET ? $default : getMethod(KEYS),
	      entries: $entries
	    };
	    if (FORCED) for (key in methods) {
	      if (!(key in proto)) _redefine(proto, key, methods[key]);
	    } else _export(_export.P + _export.F * (BUGGY || VALUES_BUG), NAME, methods);
	  }
	  return methods;
	};

	// 22.1.3.4 Array.prototype.entries()
	// 22.1.3.13 Array.prototype.keys()
	// 22.1.3.29 Array.prototype.values()
	// 22.1.3.30 Array.prototype[@@iterator]()
	var es6_array_iterator = _iterDefine(Array, 'Array', function (iterated, kind) {
	  this._t = _toIobject(iterated); // target
	  this._i = 0;                   // next index
	  this._k = kind;                // kind
	// 22.1.5.2.1 %ArrayIteratorPrototype%.next()
	}, function () {
	  var O = this._t;
	  var kind = this._k;
	  var index = this._i++;
	  if (!O || index >= O.length) {
	    this._t = undefined;
	    return _iterStep(1);
	  }
	  if (kind == 'keys') return _iterStep(0, index);
	  if (kind == 'values') return _iterStep(0, O[index]);
	  return _iterStep(0, [index, O[index]]);
	}, 'values');

	// argumentsList[@@iterator] is %ArrayProto_values% (9.4.4.6, 9.4.4.7)
	_iterators.Arguments = _iterators.Array;

	_addToUnscopables('keys');
	_addToUnscopables('values');
	_addToUnscopables('entries');

	var ITERATOR$3 = _wks('iterator');
	var SAFE_CLOSING = false;

	try {
	  var riter = [7][ITERATOR$3]();
	  riter['return'] = function () { SAFE_CLOSING = true; };
	  // eslint-disable-next-line no-throw-literal
	  Array.from(riter, function () { throw 2; });
	} catch (e) { /* empty */ }

	var _iterDetect = function (exec, skipClosing) {
	  if (!skipClosing && !SAFE_CLOSING) return false;
	  var safe = false;
	  try {
	    var arr = [7];
	    var iter = arr[ITERATOR$3]();
	    iter.next = function () { return { done: safe = true }; };
	    arr[ITERATOR$3] = function () { return iter; };
	    exec(arr);
	  } catch (e) { /* empty */ }
	  return safe;
	};

	var SPECIES$2 = _wks('species');

	var _setSpecies = function (KEY) {
	  var C = _global[KEY];
	  if (_descriptors && C && !C[SPECIES$2]) _objectDp.f(C, SPECIES$2, {
	    configurable: true,
	    get: function () { return this; }
	  });
	};

	var _arrayCopyWithin = [].copyWithin || function copyWithin(target /* = 0 */, start /* = 0, end = @length */) {
	  var O = _toObject(this);
	  var len = _toLength(O.length);
	  var to = _toAbsoluteIndex(target, len);
	  var from = _toAbsoluteIndex(start, len);
	  var end = arguments.length > 2 ? arguments[2] : undefined;
	  var count = Math.min((end === undefined ? len : _toAbsoluteIndex(end, len)) - from, len - to);
	  var inc = 1;
	  if (from < to && to < from + count) {
	    inc = -1;
	    from += count - 1;
	    to += count - 1;
	  }
	  while (count-- > 0) {
	    if (from in O) O[to] = O[from];
	    else delete O[to];
	    to += inc;
	    from += inc;
	  } return O;
	};

	var f$2 = {}.propertyIsEnumerable;

	var _objectPie = {
		f: f$2
	};

	var gOPD = Object.getOwnPropertyDescriptor;

	var f$3 = _descriptors ? gOPD : function getOwnPropertyDescriptor(O, P) {
	  O = _toIobject(O);
	  P = _toPrimitive(P, true);
	  if (_ie8DomDefine) try {
	    return gOPD(O, P);
	  } catch (e) { /* empty */ }
	  if (_has(O, P)) return _propertyDesc(!_objectPie.f.call(O, P), O[P]);
	};

	var _objectGopd = {
		f: f$3
	};

	var _typedArray = createCommonjsModule(function (module) {
	if (_descriptors) {
	  var LIBRARY = _library;
	  var global = _global;
	  var fails = _fails;
	  var $export = _export;
	  var $typed = _typed;
	  var $buffer = _typedBuffer;
	  var ctx = _ctx;
	  var anInstance = _anInstance;
	  var propertyDesc = _propertyDesc;
	  var hide = _hide;
	  var redefineAll = _redefineAll;
	  var toInteger = _toInteger;
	  var toLength = _toLength;
	  var toIndex = _toIndex;
	  var toAbsoluteIndex = _toAbsoluteIndex;
	  var toPrimitive = _toPrimitive;
	  var has = _has;
	  var classof = _classof;
	  var isObject = _isObject;
	  var toObject = _toObject;
	  var isArrayIter = _isArrayIter;
	  var create = _objectCreate;
	  var getPrototypeOf = _objectGpo;
	  var gOPN = _objectGopn.f;
	  var getIterFn = core_getIteratorMethod;
	  var uid = _uid;
	  var wks = _wks;
	  var createArrayMethod = _arrayMethods;
	  var createArrayIncludes = _arrayIncludes;
	  var speciesConstructor = _speciesConstructor;
	  var ArrayIterators = es6_array_iterator;
	  var Iterators = _iterators;
	  var $iterDetect = _iterDetect;
	  var setSpecies = _setSpecies;
	  var arrayFill = _arrayFill;
	  var arrayCopyWithin = _arrayCopyWithin;
	  var $DP = _objectDp;
	  var $GOPD = _objectGopd;
	  var dP = $DP.f;
	  var gOPD = $GOPD.f;
	  var RangeError = global.RangeError;
	  var TypeError = global.TypeError;
	  var Uint8Array = global.Uint8Array;
	  var ARRAY_BUFFER = 'ArrayBuffer';
	  var SHARED_BUFFER = 'Shared' + ARRAY_BUFFER;
	  var BYTES_PER_ELEMENT = 'BYTES_PER_ELEMENT';
	  var PROTOTYPE = 'prototype';
	  var ArrayProto = Array[PROTOTYPE];
	  var $ArrayBuffer = $buffer.ArrayBuffer;
	  var $DataView = $buffer.DataView;
	  var arrayForEach = createArrayMethod(0);
	  var arrayFilter = createArrayMethod(2);
	  var arraySome = createArrayMethod(3);
	  var arrayEvery = createArrayMethod(4);
	  var arrayFind = createArrayMethod(5);
	  var arrayFindIndex = createArrayMethod(6);
	  var arrayIncludes = createArrayIncludes(true);
	  var arrayIndexOf = createArrayIncludes(false);
	  var arrayValues = ArrayIterators.values;
	  var arrayKeys = ArrayIterators.keys;
	  var arrayEntries = ArrayIterators.entries;
	  var arrayLastIndexOf = ArrayProto.lastIndexOf;
	  var arrayReduce = ArrayProto.reduce;
	  var arrayReduceRight = ArrayProto.reduceRight;
	  var arrayJoin = ArrayProto.join;
	  var arraySort = ArrayProto.sort;
	  var arraySlice = ArrayProto.slice;
	  var arrayToString = ArrayProto.toString;
	  var arrayToLocaleString = ArrayProto.toLocaleString;
	  var ITERATOR = wks('iterator');
	  var TAG = wks('toStringTag');
	  var TYPED_CONSTRUCTOR = uid('typed_constructor');
	  var DEF_CONSTRUCTOR = uid('def_constructor');
	  var ALL_CONSTRUCTORS = $typed.CONSTR;
	  var TYPED_ARRAY = $typed.TYPED;
	  var VIEW = $typed.VIEW;
	  var WRONG_LENGTH = 'Wrong length!';

	  var $map = createArrayMethod(1, function (O, length) {
	    return allocate(speciesConstructor(O, O[DEF_CONSTRUCTOR]), length);
	  });

	  var LITTLE_ENDIAN = fails(function () {
	    // eslint-disable-next-line no-undef
	    return new Uint8Array(new Uint16Array([1]).buffer)[0] === 1;
	  });

	  var FORCED_SET = !!Uint8Array && !!Uint8Array[PROTOTYPE].set && fails(function () {
	    new Uint8Array(1).set({});
	  });

	  var toOffset = function (it, BYTES) {
	    var offset = toInteger(it);
	    if (offset < 0 || offset % BYTES) throw RangeError('Wrong offset!');
	    return offset;
	  };

	  var validate = function (it) {
	    if (isObject(it) && TYPED_ARRAY in it) return it;
	    throw TypeError(it + ' is not a typed array!');
	  };

	  var allocate = function (C, length) {
	    if (!(isObject(C) && TYPED_CONSTRUCTOR in C)) {
	      throw TypeError('It is not a typed array constructor!');
	    } return new C(length);
	  };

	  var speciesFromList = function (O, list) {
	    return fromList(speciesConstructor(O, O[DEF_CONSTRUCTOR]), list);
	  };

	  var fromList = function (C, list) {
	    var index = 0;
	    var length = list.length;
	    var result = allocate(C, length);
	    while (length > index) result[index] = list[index++];
	    return result;
	  };

	  var addGetter = function (it, key, internal) {
	    dP(it, key, { get: function () { return this._d[internal]; } });
	  };

	  var $from = function from(source /* , mapfn, thisArg */) {
	    var O = toObject(source);
	    var aLen = arguments.length;
	    var mapfn = aLen > 1 ? arguments[1] : undefined;
	    var mapping = mapfn !== undefined;
	    var iterFn = getIterFn(O);
	    var i, length, values, result, step, iterator;
	    if (iterFn != undefined && !isArrayIter(iterFn)) {
	      for (iterator = iterFn.call(O), values = [], i = 0; !(step = iterator.next()).done; i++) {
	        values.push(step.value);
	      } O = values;
	    }
	    if (mapping && aLen > 2) mapfn = ctx(mapfn, arguments[2], 2);
	    for (i = 0, length = toLength(O.length), result = allocate(this, length); length > i; i++) {
	      result[i] = mapping ? mapfn(O[i], i) : O[i];
	    }
	    return result;
	  };

	  var $of = function of(/* ...items */) {
	    var index = 0;
	    var length = arguments.length;
	    var result = allocate(this, length);
	    while (length > index) result[index] = arguments[index++];
	    return result;
	  };

	  // iOS Safari 6.x fails here
	  var TO_LOCALE_BUG = !!Uint8Array && fails(function () { arrayToLocaleString.call(new Uint8Array(1)); });

	  var $toLocaleString = function toLocaleString() {
	    return arrayToLocaleString.apply(TO_LOCALE_BUG ? arraySlice.call(validate(this)) : validate(this), arguments);
	  };

	  var proto = {
	    copyWithin: function copyWithin(target, start /* , end */) {
	      return arrayCopyWithin.call(validate(this), target, start, arguments.length > 2 ? arguments[2] : undefined);
	    },
	    every: function every(callbackfn /* , thisArg */) {
	      return arrayEvery(validate(this), callbackfn, arguments.length > 1 ? arguments[1] : undefined);
	    },
	    fill: function fill(value /* , start, end */) { // eslint-disable-line no-unused-vars
	      return arrayFill.apply(validate(this), arguments);
	    },
	    filter: function filter(callbackfn /* , thisArg */) {
	      return speciesFromList(this, arrayFilter(validate(this), callbackfn,
	        arguments.length > 1 ? arguments[1] : undefined));
	    },
	    find: function find(predicate /* , thisArg */) {
	      return arrayFind(validate(this), predicate, arguments.length > 1 ? arguments[1] : undefined);
	    },
	    findIndex: function findIndex(predicate /* , thisArg */) {
	      return arrayFindIndex(validate(this), predicate, arguments.length > 1 ? arguments[1] : undefined);
	    },
	    forEach: function forEach(callbackfn /* , thisArg */) {
	      arrayForEach(validate(this), callbackfn, arguments.length > 1 ? arguments[1] : undefined);
	    },
	    indexOf: function indexOf(searchElement /* , fromIndex */) {
	      return arrayIndexOf(validate(this), searchElement, arguments.length > 1 ? arguments[1] : undefined);
	    },
	    includes: function includes(searchElement /* , fromIndex */) {
	      return arrayIncludes(validate(this), searchElement, arguments.length > 1 ? arguments[1] : undefined);
	    },
	    join: function join(separator) { // eslint-disable-line no-unused-vars
	      return arrayJoin.apply(validate(this), arguments);
	    },
	    lastIndexOf: function lastIndexOf(searchElement /* , fromIndex */) { // eslint-disable-line no-unused-vars
	      return arrayLastIndexOf.apply(validate(this), arguments);
	    },
	    map: function map(mapfn /* , thisArg */) {
	      return $map(validate(this), mapfn, arguments.length > 1 ? arguments[1] : undefined);
	    },
	    reduce: function reduce(callbackfn /* , initialValue */) { // eslint-disable-line no-unused-vars
	      return arrayReduce.apply(validate(this), arguments);
	    },
	    reduceRight: function reduceRight(callbackfn /* , initialValue */) { // eslint-disable-line no-unused-vars
	      return arrayReduceRight.apply(validate(this), arguments);
	    },
	    reverse: function reverse() {
	      var that = this;
	      var length = validate(that).length;
	      var middle = Math.floor(length / 2);
	      var index = 0;
	      var value;
	      while (index < middle) {
	        value = that[index];
	        that[index++] = that[--length];
	        that[length] = value;
	      } return that;
	    },
	    some: function some(callbackfn /* , thisArg */) {
	      return arraySome(validate(this), callbackfn, arguments.length > 1 ? arguments[1] : undefined);
	    },
	    sort: function sort(comparefn) {
	      return arraySort.call(validate(this), comparefn);
	    },
	    subarray: function subarray(begin, end) {
	      var O = validate(this);
	      var length = O.length;
	      var $begin = toAbsoluteIndex(begin, length);
	      return new (speciesConstructor(O, O[DEF_CONSTRUCTOR]))(
	        O.buffer,
	        O.byteOffset + $begin * O.BYTES_PER_ELEMENT,
	        toLength((end === undefined ? length : toAbsoluteIndex(end, length)) - $begin)
	      );
	    }
	  };

	  var $slice = function slice(start, end) {
	    return speciesFromList(this, arraySlice.call(validate(this), start, end));
	  };

	  var $set = function set(arrayLike /* , offset */) {
	    validate(this);
	    var offset = toOffset(arguments[1], 1);
	    var length = this.length;
	    var src = toObject(arrayLike);
	    var len = toLength(src.length);
	    var index = 0;
	    if (len + offset > length) throw RangeError(WRONG_LENGTH);
	    while (index < len) this[offset + index] = src[index++];
	  };

	  var $iterators = {
	    entries: function entries() {
	      return arrayEntries.call(validate(this));
	    },
	    keys: function keys() {
	      return arrayKeys.call(validate(this));
	    },
	    values: function values() {
	      return arrayValues.call(validate(this));
	    }
	  };

	  var isTAIndex = function (target, key) {
	    return isObject(target)
	      && target[TYPED_ARRAY]
	      && typeof key != 'symbol'
	      && key in target
	      && String(+key) == String(key);
	  };
	  var $getDesc = function getOwnPropertyDescriptor(target, key) {
	    return isTAIndex(target, key = toPrimitive(key, true))
	      ? propertyDesc(2, target[key])
	      : gOPD(target, key);
	  };
	  var $setDesc = function defineProperty(target, key, desc) {
	    if (isTAIndex(target, key = toPrimitive(key, true))
	      && isObject(desc)
	      && has(desc, 'value')
	      && !has(desc, 'get')
	      && !has(desc, 'set')
	      // TODO: add validation descriptor w/o calling accessors
	      && !desc.configurable
	      && (!has(desc, 'writable') || desc.writable)
	      && (!has(desc, 'enumerable') || desc.enumerable)
	    ) {
	      target[key] = desc.value;
	      return target;
	    } return dP(target, key, desc);
	  };

	  if (!ALL_CONSTRUCTORS) {
	    $GOPD.f = $getDesc;
	    $DP.f = $setDesc;
	  }

	  $export($export.S + $export.F * !ALL_CONSTRUCTORS, 'Object', {
	    getOwnPropertyDescriptor: $getDesc,
	    defineProperty: $setDesc
	  });

	  if (fails(function () { arrayToString.call({}); })) {
	    arrayToString = arrayToLocaleString = function toString() {
	      return arrayJoin.call(this);
	    };
	  }

	  var $TypedArrayPrototype$ = redefineAll({}, proto);
	  redefineAll($TypedArrayPrototype$, $iterators);
	  hide($TypedArrayPrototype$, ITERATOR, $iterators.values);
	  redefineAll($TypedArrayPrototype$, {
	    slice: $slice,
	    set: $set,
	    constructor: function () { /* noop */ },
	    toString: arrayToString,
	    toLocaleString: $toLocaleString
	  });
	  addGetter($TypedArrayPrototype$, 'buffer', 'b');
	  addGetter($TypedArrayPrototype$, 'byteOffset', 'o');
	  addGetter($TypedArrayPrototype$, 'byteLength', 'l');
	  addGetter($TypedArrayPrototype$, 'length', 'e');
	  dP($TypedArrayPrototype$, TAG, {
	    get: function () { return this[TYPED_ARRAY]; }
	  });

	  // eslint-disable-next-line max-statements
	  module.exports = function (KEY, BYTES, wrapper, CLAMPED) {
	    CLAMPED = !!CLAMPED;
	    var NAME = KEY + (CLAMPED ? 'Clamped' : '') + 'Array';
	    var GETTER = 'get' + KEY;
	    var SETTER = 'set' + KEY;
	    var TypedArray = global[NAME];
	    var Base = TypedArray || {};
	    var TAC = TypedArray && getPrototypeOf(TypedArray);
	    var FORCED = !TypedArray || !$typed.ABV;
	    var O = {};
	    var TypedArrayPrototype = TypedArray && TypedArray[PROTOTYPE];
	    var getter = function (that, index) {
	      var data = that._d;
	      return data.v[GETTER](index * BYTES + data.o, LITTLE_ENDIAN);
	    };
	    var setter = function (that, index, value) {
	      var data = that._d;
	      if (CLAMPED) value = (value = Math.round(value)) < 0 ? 0 : value > 0xff ? 0xff : value & 0xff;
	      data.v[SETTER](index * BYTES + data.o, value, LITTLE_ENDIAN);
	    };
	    var addElement = function (that, index) {
	      dP(that, index, {
	        get: function () {
	          return getter(this, index);
	        },
	        set: function (value) {
	          return setter(this, index, value);
	        },
	        enumerable: true
	      });
	    };
	    if (FORCED) {
	      TypedArray = wrapper(function (that, data, $offset, $length) {
	        anInstance(that, TypedArray, NAME, '_d');
	        var index = 0;
	        var offset = 0;
	        var buffer, byteLength, length, klass;
	        if (!isObject(data)) {
	          length = toIndex(data);
	          byteLength = length * BYTES;
	          buffer = new $ArrayBuffer(byteLength);
	        } else if (data instanceof $ArrayBuffer || (klass = classof(data)) == ARRAY_BUFFER || klass == SHARED_BUFFER) {
	          buffer = data;
	          offset = toOffset($offset, BYTES);
	          var $len = data.byteLength;
	          if ($length === undefined) {
	            if ($len % BYTES) throw RangeError(WRONG_LENGTH);
	            byteLength = $len - offset;
	            if (byteLength < 0) throw RangeError(WRONG_LENGTH);
	          } else {
	            byteLength = toLength($length) * BYTES;
	            if (byteLength + offset > $len) throw RangeError(WRONG_LENGTH);
	          }
	          length = byteLength / BYTES;
	        } else if (TYPED_ARRAY in data) {
	          return fromList(TypedArray, data);
	        } else {
	          return $from.call(TypedArray, data);
	        }
	        hide(that, '_d', {
	          b: buffer,
	          o: offset,
	          l: byteLength,
	          e: length,
	          v: new $DataView(buffer)
	        });
	        while (index < length) addElement(that, index++);
	      });
	      TypedArrayPrototype = TypedArray[PROTOTYPE] = create($TypedArrayPrototype$);
	      hide(TypedArrayPrototype, 'constructor', TypedArray);
	    } else if (!fails(function () {
	      TypedArray(1);
	    }) || !fails(function () {
	      new TypedArray(-1); // eslint-disable-line no-new
	    }) || !$iterDetect(function (iter) {
	      new TypedArray(); // eslint-disable-line no-new
	      new TypedArray(null); // eslint-disable-line no-new
	      new TypedArray(1.5); // eslint-disable-line no-new
	      new TypedArray(iter); // eslint-disable-line no-new
	    }, true)) {
	      TypedArray = wrapper(function (that, data, $offset, $length) {
	        anInstance(that, TypedArray, NAME);
	        var klass;
	        // `ws` module bug, temporarily remove validation length for Uint8Array
	        // https://github.com/websockets/ws/pull/645
	        if (!isObject(data)) return new Base(toIndex(data));
	        if (data instanceof $ArrayBuffer || (klass = classof(data)) == ARRAY_BUFFER || klass == SHARED_BUFFER) {
	          return $length !== undefined
	            ? new Base(data, toOffset($offset, BYTES), $length)
	            : $offset !== undefined
	              ? new Base(data, toOffset($offset, BYTES))
	              : new Base(data);
	        }
	        if (TYPED_ARRAY in data) return fromList(TypedArray, data);
	        return $from.call(TypedArray, data);
	      });
	      arrayForEach(TAC !== Function.prototype ? gOPN(Base).concat(gOPN(TAC)) : gOPN(Base), function (key) {
	        if (!(key in TypedArray)) hide(TypedArray, key, Base[key]);
	      });
	      TypedArray[PROTOTYPE] = TypedArrayPrototype;
	      if (!LIBRARY) TypedArrayPrototype.constructor = TypedArray;
	    }
	    var $nativeIterator = TypedArrayPrototype[ITERATOR];
	    var CORRECT_ITER_NAME = !!$nativeIterator
	      && ($nativeIterator.name == 'values' || $nativeIterator.name == undefined);
	    var $iterator = $iterators.values;
	    hide(TypedArray, TYPED_CONSTRUCTOR, true);
	    hide(TypedArrayPrototype, TYPED_ARRAY, NAME);
	    hide(TypedArrayPrototype, VIEW, true);
	    hide(TypedArrayPrototype, DEF_CONSTRUCTOR, TypedArray);

	    if (CLAMPED ? new TypedArray(1)[TAG] != NAME : !(TAG in TypedArrayPrototype)) {
	      dP(TypedArrayPrototype, TAG, {
	        get: function () { return NAME; }
	      });
	    }

	    O[NAME] = TypedArray;

	    $export($export.G + $export.W + $export.F * (TypedArray != Base), O);

	    $export($export.S, NAME, {
	      BYTES_PER_ELEMENT: BYTES
	    });

	    $export($export.S + $export.F * fails(function () { Base.of.call(TypedArray, 1); }), NAME, {
	      from: $from,
	      of: $of
	    });

	    if (!(BYTES_PER_ELEMENT in TypedArrayPrototype)) hide(TypedArrayPrototype, BYTES_PER_ELEMENT, BYTES);

	    $export($export.P, NAME, proto);

	    setSpecies(NAME);

	    $export($export.P + $export.F * FORCED_SET, NAME, { set: $set });

	    $export($export.P + $export.F * !CORRECT_ITER_NAME, NAME, $iterators);

	    if (!LIBRARY && TypedArrayPrototype.toString != arrayToString) TypedArrayPrototype.toString = arrayToString;

	    $export($export.P + $export.F * fails(function () {
	      new TypedArray(1).slice();
	    }), NAME, { slice: $slice });

	    $export($export.P + $export.F * (fails(function () {
	      return [1, 2].toLocaleString() != new TypedArray([1, 2]).toLocaleString();
	    }) || !fails(function () {
	      TypedArrayPrototype.toLocaleString.call([1, 2]);
	    })), NAME, { toLocaleString: $toLocaleString });

	    Iterators[NAME] = CORRECT_ITER_NAME ? $nativeIterator : $iterator;
	    if (!LIBRARY && !CORRECT_ITER_NAME) hide(TypedArrayPrototype, ITERATOR, $iterator);
	  };
	} else module.exports = function () { /* empty */ };
	});

	_typedArray('Uint8', 1, function (init) {
	  return function Uint8Array(data, byteOffset, length) {
	    return init(this, data, byteOffset, length);
	  };
	});

	// 22.1.3.6 Array.prototype.fill(value, start = 0, end = this.length)


	_export(_export.P, 'Array', { fill: _arrayFill });

	_addToUnscopables('fill');

	// true  -> String#at
	// false -> String#codePointAt
	var _stringAt = function (TO_STRING) {
	  return function (that, pos) {
	    var s = String(_defined(that));
	    var i = _toInteger(pos);
	    var l = s.length;
	    var a, b;
	    if (i < 0 || i >= l) return TO_STRING ? '' : undefined;
	    a = s.charCodeAt(i);
	    return a < 0xd800 || a > 0xdbff || i + 1 === l || (b = s.charCodeAt(i + 1)) < 0xdc00 || b > 0xdfff
	      ? TO_STRING ? s.charAt(i) : a
	      : TO_STRING ? s.slice(i, i + 2) : (a - 0xd800 << 10) + (b - 0xdc00) + 0x10000;
	  };
	};

	var at = _stringAt(true);

	 // `AdvanceStringIndex` abstract operation
	// https://tc39.github.io/ecma262/#sec-advancestringindex
	var _advanceStringIndex = function (S, index, unicode) {
	  return index + (unicode ? at(S, index).length : 1);
	};

	var builtinExec = RegExp.prototype.exec;

	 // `RegExpExec` abstract operation
	// https://tc39.github.io/ecma262/#sec-regexpexec
	var _regexpExecAbstract = function (R, S) {
	  var exec = R.exec;
	  if (typeof exec === 'function') {
	    var result = exec.call(R, S);
	    if (typeof result !== 'object') {
	      throw new TypeError('RegExp exec method returned something other than an Object or null');
	    }
	    return result;
	  }
	  if (_classof(R) !== 'RegExp') {
	    throw new TypeError('RegExp#exec called on incompatible receiver');
	  }
	  return builtinExec.call(R, S);
	};

	// 21.2.5.3 get RegExp.prototype.flags

	var _flags = function () {
	  var that = _anObject(this);
	  var result = '';
	  if (that.global) result += 'g';
	  if (that.ignoreCase) result += 'i';
	  if (that.multiline) result += 'm';
	  if (that.unicode) result += 'u';
	  if (that.sticky) result += 'y';
	  return result;
	};

	var nativeExec = RegExp.prototype.exec;
	// This always refers to the native implementation, because the
	// String#replace polyfill uses ./fix-regexp-well-known-symbol-logic.js,
	// which loads this file before patching the method.
	var nativeReplace = String.prototype.replace;

	var patchedExec = nativeExec;

	var LAST_INDEX = 'lastIndex';

	var UPDATES_LAST_INDEX_WRONG = (function () {
	  var re1 = /a/,
	      re2 = /b*/g;
	  nativeExec.call(re1, 'a');
	  nativeExec.call(re2, 'a');
	  return re1[LAST_INDEX] !== 0 || re2[LAST_INDEX] !== 0;
	})();

	// nonparticipating capturing group, copied from es5-shim's String#split patch.
	var NPCG_INCLUDED = /()??/.exec('')[1] !== undefined;

	var PATCH = UPDATES_LAST_INDEX_WRONG || NPCG_INCLUDED;

	if (PATCH) {
	  patchedExec = function exec(str) {
	    var re = this;
	    var lastIndex, reCopy, match, i;

	    if (NPCG_INCLUDED) {
	      reCopy = new RegExp('^' + re.source + '$(?!\\s)', _flags.call(re));
	    }
	    if (UPDATES_LAST_INDEX_WRONG) lastIndex = re[LAST_INDEX];

	    match = nativeExec.call(re, str);

	    if (UPDATES_LAST_INDEX_WRONG && match) {
	      re[LAST_INDEX] = re.global ? match.index + match[0].length : lastIndex;
	    }
	    if (NPCG_INCLUDED && match && match.length > 1) {
	      // Fix browsers whose `exec` methods don't consistently return `undefined`
	      // for NPCG, like IE8. NOTE: This doesn' work for /(.?)?/
	      // eslint-disable-next-line no-loop-func
	      nativeReplace.call(match[0], reCopy, function () {
	        for (i = 1; i < arguments.length - 2; i++) {
	          if (arguments[i] === undefined) match[i] = undefined;
	        }
	      });
	    }

	    return match;
	  };
	}

	var _regexpExec = patchedExec;

	_export({
	  target: 'RegExp',
	  proto: true,
	  forced: _regexpExec !== /./.exec
	}, {
	  exec: _regexpExec
	});

	var SPECIES$3 = _wks('species');

	var REPLACE_SUPPORTS_NAMED_GROUPS = !_fails(function () {
	  // #replace needs built-in support for named groups.
	  // #match works fine because it just return the exec results, even if it has
	  // a "grops" property.
	  var re = /./;
	  re.exec = function () {
	    var result = [];
	    result.groups = { a: '7' };
	    return result;
	  };
	  return ''.replace(re, '$<a>') !== '7';
	});

	var SPLIT_WORKS_WITH_OVERWRITTEN_EXEC = (function () {
	  // Chrome 51 has a buggy "split" implementation when RegExp#exec !== nativeExec
	  var re = /(?:)/;
	  var originalExec = re.exec;
	  re.exec = function () { return originalExec.apply(this, arguments); };
	  var result = 'ab'.split(re);
	  return result.length === 2 && result[0] === 'a' && result[1] === 'b';
	})();

	var _fixReWks = function (KEY, length, exec) {
	  var SYMBOL = _wks(KEY);

	  var DELEGATES_TO_SYMBOL = !_fails(function () {
	    // String methods call symbol-named RegEp methods
	    var O = {};
	    O[SYMBOL] = function () { return 7; };
	    return ''[KEY](O) != 7;
	  });

	  var DELEGATES_TO_EXEC = DELEGATES_TO_SYMBOL ? !_fails(function () {
	    // Symbol-named RegExp methods call .exec
	    var execCalled = false;
	    var re = /a/;
	    re.exec = function () { execCalled = true; return null; };
	    if (KEY === 'split') {
	      // RegExp[@@split] doesn't call the regex's exec method, but first creates
	      // a new one. We need to return the patched regex when creating the new one.
	      re.constructor = {};
	      re.constructor[SPECIES$3] = function () { return re; };
	    }
	    re[SYMBOL]('');
	    return !execCalled;
	  }) : undefined;

	  if (
	    !DELEGATES_TO_SYMBOL ||
	    !DELEGATES_TO_EXEC ||
	    (KEY === 'replace' && !REPLACE_SUPPORTS_NAMED_GROUPS) ||
	    (KEY === 'split' && !SPLIT_WORKS_WITH_OVERWRITTEN_EXEC)
	  ) {
	    var nativeRegExpMethod = /./[SYMBOL];
	    var fns = exec(
	      _defined,
	      SYMBOL,
	      ''[KEY],
	      function maybeCallNative(nativeMethod, regexp, str, arg2, forceStringMethod) {
	        if (regexp.exec === _regexpExec) {
	          if (DELEGATES_TO_SYMBOL && !forceStringMethod) {
	            // The native String method already delegates to @@method (this
	            // polyfilled function), leasing to infinite recursion.
	            // We avoid it by directly calling the native @@method method.
	            return { done: true, value: nativeRegExpMethod.call(regexp, str, arg2) };
	          }
	          return { done: true, value: nativeMethod.call(str, regexp, arg2) };
	        }
	        return { done: false };
	      }
	    );
	    var strfn = fns[0];
	    var rxfn = fns[1];

	    _redefine(String.prototype, KEY, strfn);
	    _hide(RegExp.prototype, SYMBOL, length == 2
	      // 21.2.5.8 RegExp.prototype[@@replace](string, replaceValue)
	      // 21.2.5.11 RegExp.prototype[@@split](string, limit)
	      ? function (string, arg) { return rxfn.call(string, this, arg); }
	      // 21.2.5.6 RegExp.prototype[@@match](string)
	      // 21.2.5.9 RegExp.prototype[@@search](string)
	      : function (string) { return rxfn.call(string, this); }
	    );
	  }
	};

	var max$1 = Math.max;
	var min$2 = Math.min;
	var floor$1 = Math.floor;
	var SUBSTITUTION_SYMBOLS = /\$([$&`']|\d\d?|<[^>]*>)/g;
	var SUBSTITUTION_SYMBOLS_NO_NAMED = /\$([$&`']|\d\d?)/g;

	var maybeToString = function (it) {
	  return it === undefined ? it : String(it);
	};

	// @@replace logic
	_fixReWks('replace', 2, function (defined, REPLACE, $replace, maybeCallNative) {
	  return [
	    // `String.prototype.replace` method
	    // https://tc39.github.io/ecma262/#sec-string.prototype.replace
	    function replace(searchValue, replaceValue) {
	      var O = defined(this);
	      var fn = searchValue == undefined ? undefined : searchValue[REPLACE];
	      return fn !== undefined
	        ? fn.call(searchValue, O, replaceValue)
	        : $replace.call(String(O), searchValue, replaceValue);
	    },
	    // `RegExp.prototype[@@replace]` method
	    // https://tc39.github.io/ecma262/#sec-regexp.prototype-@@replace
	    function (regexp, replaceValue) {
	      var res = maybeCallNative($replace, regexp, this, replaceValue);
	      if (res.done) return res.value;

	      var rx = _anObject(regexp);
	      var S = String(this);
	      var functionalReplace = typeof replaceValue === 'function';
	      if (!functionalReplace) replaceValue = String(replaceValue);
	      var global = rx.global;
	      if (global) {
	        var fullUnicode = rx.unicode;
	        rx.lastIndex = 0;
	      }
	      var results = [];
	      while (true) {
	        var result = _regexpExecAbstract(rx, S);
	        if (result === null) break;
	        results.push(result);
	        if (!global) break;
	        var matchStr = String(result[0]);
	        if (matchStr === '') rx.lastIndex = _advanceStringIndex(S, _toLength(rx.lastIndex), fullUnicode);
	      }
	      var accumulatedResult = '';
	      var nextSourcePosition = 0;
	      for (var i = 0; i < results.length; i++) {
	        result = results[i];
	        var matched = String(result[0]);
	        var position = max$1(min$2(_toInteger(result.index), S.length), 0);
	        var captures = [];
	        // NOTE: This is equivalent to
	        //   captures = result.slice(1).map(maybeToString)
	        // but for some reason `nativeSlice.call(result, 1, result.length)` (called in
	        // the slice polyfill when slicing native arrays) "doesn't work" in safari 9 and
	        // causes a crash (https://pastebin.com/N21QzeQA) when trying to debug it.
	        for (var j = 1; j < result.length; j++) captures.push(maybeToString(result[j]));
	        var namedCaptures = result.groups;
	        if (functionalReplace) {
	          var replacerArgs = [matched].concat(captures, position, S);
	          if (namedCaptures !== undefined) replacerArgs.push(namedCaptures);
	          var replacement = String(replaceValue.apply(undefined, replacerArgs));
	        } else {
	          replacement = getSubstitution(matched, S, position, captures, namedCaptures, replaceValue);
	        }
	        if (position >= nextSourcePosition) {
	          accumulatedResult += S.slice(nextSourcePosition, position) + replacement;
	          nextSourcePosition = position + matched.length;
	        }
	      }
	      return accumulatedResult + S.slice(nextSourcePosition);
	    }
	  ];

	    // https://tc39.github.io/ecma262/#sec-getsubstitution
	  function getSubstitution(matched, str, position, captures, namedCaptures, replacement) {
	    var tailPos = position + matched.length;
	    var m = captures.length;
	    var symbols = SUBSTITUTION_SYMBOLS_NO_NAMED;
	    if (namedCaptures !== undefined) {
	      namedCaptures = _toObject(namedCaptures);
	      symbols = SUBSTITUTION_SYMBOLS;
	    }
	    return $replace.call(replacement, symbols, function (match, ch) {
	      var capture;
	      switch (ch.charAt(0)) {
	        case '$': return '$';
	        case '&': return matched;
	        case '`': return str.slice(0, position);
	        case "'": return str.slice(tailPos);
	        case '<':
	          capture = namedCaptures[ch.slice(1, -1)];
	          break;
	        default: // \d\d?
	          var n = +ch;
	          if (n === 0) return match;
	          if (n > m) {
	            var f = floor$1(n / 10);
	            if (f === 0) return match;
	            if (f <= m) return captures[f - 1] === undefined ? ch.charAt(1) : captures[f - 1] + ch.charAt(1);
	            return match;
	          }
	          capture = captures[n - 1];
	      }
	      return capture === undefined ? '' : capture;
	    });
	  }
	});

	// call something on iterator step with safe closing on error

	var _iterCall = function (iterator, fn, value, entries) {
	  try {
	    return entries ? fn(_anObject(value)[0], value[1]) : fn(value);
	  // 7.4.6 IteratorClose(iterator, completion)
	  } catch (e) {
	    var ret = iterator['return'];
	    if (ret !== undefined) _anObject(ret.call(iterator));
	    throw e;
	  }
	};

	var _forOf = createCommonjsModule(function (module) {
	var BREAK = {};
	var RETURN = {};
	var exports = module.exports = function (iterable, entries, fn, that, ITERATOR) {
	  var iterFn = ITERATOR ? function () { return iterable; } : core_getIteratorMethod(iterable);
	  var f = _ctx(fn, that, entries ? 2 : 1);
	  var index = 0;
	  var length, step, iterator, result;
	  if (typeof iterFn != 'function') throw TypeError(iterable + ' is not iterable!');
	  // fast case for arrays with default iterator
	  if (_isArrayIter(iterFn)) for (length = _toLength(iterable.length); length > index; index++) {
	    result = entries ? f(_anObject(step = iterable[index])[0], step[1]) : f(iterable[index]);
	    if (result === BREAK || result === RETURN) return result;
	  } else for (iterator = iterFn.call(iterable); !(step = iterator.next()).done;) {
	    result = _iterCall(iterator, f, step.value, entries);
	    if (result === BREAK || result === RETURN) return result;
	  }
	};
	exports.BREAK = BREAK;
	exports.RETURN = RETURN;
	});

	var _meta = createCommonjsModule(function (module) {
	var META = _uid('meta');


	var setDesc = _objectDp.f;
	var id = 0;
	var isExtensible = Object.isExtensible || function () {
	  return true;
	};
	var FREEZE = !_fails(function () {
	  return isExtensible(Object.preventExtensions({}));
	});
	var setMeta = function (it) {
	  setDesc(it, META, { value: {
	    i: 'O' + ++id, // object ID
	    w: {}          // weak collections IDs
	  } });
	};
	var fastKey = function (it, create) {
	  // return primitive with prefix
	  if (!_isObject(it)) return typeof it == 'symbol' ? it : (typeof it == 'string' ? 'S' : 'P') + it;
	  if (!_has(it, META)) {
	    // can't set metadata to uncaught frozen object
	    if (!isExtensible(it)) return 'F';
	    // not necessary to add metadata
	    if (!create) return 'E';
	    // add missing metadata
	    setMeta(it);
	  // return object ID
	  } return it[META].i;
	};
	var getWeak = function (it, create) {
	  if (!_has(it, META)) {
	    // can't set metadata to uncaught frozen object
	    if (!isExtensible(it)) return true;
	    // not necessary to add metadata
	    if (!create) return false;
	    // add missing metadata
	    setMeta(it);
	  // return hash weak collections IDs
	  } return it[META].w;
	};
	// add metadata on freeze-family methods calling
	var onFreeze = function (it) {
	  if (FREEZE && meta.NEED && isExtensible(it) && !_has(it, META)) setMeta(it);
	  return it;
	};
	var meta = module.exports = {
	  KEY: META,
	  NEED: false,
	  fastKey: fastKey,
	  getWeak: getWeak,
	  onFreeze: onFreeze
	};
	});
	var _meta_1 = _meta.KEY;
	var _meta_2 = _meta.NEED;
	var _meta_3 = _meta.fastKey;
	var _meta_4 = _meta.getWeak;
	var _meta_5 = _meta.onFreeze;

	var _validateCollection = function (it, TYPE) {
	  if (!_isObject(it) || it._t !== TYPE) throw TypeError('Incompatible receiver, ' + TYPE + ' required!');
	  return it;
	};

	var dP$1 = _objectDp.f;









	var fastKey = _meta.fastKey;

	var SIZE = _descriptors ? '_s' : 'size';

	var getEntry = function (that, key) {
	  // fast case
	  var index = fastKey(key);
	  var entry;
	  if (index !== 'F') return that._i[index];
	  // frozen object case
	  for (entry = that._f; entry; entry = entry.n) {
	    if (entry.k == key) return entry;
	  }
	};

	var _collectionStrong = {
	  getConstructor: function (wrapper, NAME, IS_MAP, ADDER) {
	    var C = wrapper(function (that, iterable) {
	      _anInstance(that, C, NAME, '_i');
	      that._t = NAME;         // collection type
	      that._i = _objectCreate(null); // index
	      that._f = undefined;    // first entry
	      that._l = undefined;    // last entry
	      that[SIZE] = 0;         // size
	      if (iterable != undefined) _forOf(iterable, IS_MAP, that[ADDER], that);
	    });
	    _redefineAll(C.prototype, {
	      // 23.1.3.1 Map.prototype.clear()
	      // 23.2.3.2 Set.prototype.clear()
	      clear: function clear() {
	        for (var that = _validateCollection(this, NAME), data = that._i, entry = that._f; entry; entry = entry.n) {
	          entry.r = true;
	          if (entry.p) entry.p = entry.p.n = undefined;
	          delete data[entry.i];
	        }
	        that._f = that._l = undefined;
	        that[SIZE] = 0;
	      },
	      // 23.1.3.3 Map.prototype.delete(key)
	      // 23.2.3.4 Set.prototype.delete(value)
	      'delete': function (key) {
	        var that = _validateCollection(this, NAME);
	        var entry = getEntry(that, key);
	        if (entry) {
	          var next = entry.n;
	          var prev = entry.p;
	          delete that._i[entry.i];
	          entry.r = true;
	          if (prev) prev.n = next;
	          if (next) next.p = prev;
	          if (that._f == entry) that._f = next;
	          if (that._l == entry) that._l = prev;
	          that[SIZE]--;
	        } return !!entry;
	      },
	      // 23.2.3.6 Set.prototype.forEach(callbackfn, thisArg = undefined)
	      // 23.1.3.5 Map.prototype.forEach(callbackfn, thisArg = undefined)
	      forEach: function forEach(callbackfn /* , that = undefined */) {
	        _validateCollection(this, NAME);
	        var f = _ctx(callbackfn, arguments.length > 1 ? arguments[1] : undefined, 3);
	        var entry;
	        while (entry = entry ? entry.n : this._f) {
	          f(entry.v, entry.k, this);
	          // revert to the last existing entry
	          while (entry && entry.r) entry = entry.p;
	        }
	      },
	      // 23.1.3.7 Map.prototype.has(key)
	      // 23.2.3.7 Set.prototype.has(value)
	      has: function has(key) {
	        return !!getEntry(_validateCollection(this, NAME), key);
	      }
	    });
	    if (_descriptors) dP$1(C.prototype, 'size', {
	      get: function () {
	        return _validateCollection(this, NAME)[SIZE];
	      }
	    });
	    return C;
	  },
	  def: function (that, key, value) {
	    var entry = getEntry(that, key);
	    var prev, index;
	    // change existing entry
	    if (entry) {
	      entry.v = value;
	    // create new entry
	    } else {
	      that._l = entry = {
	        i: index = fastKey(key, true), // <- index
	        k: key,                        // <- key
	        v: value,                      // <- value
	        p: prev = that._l,             // <- previous entry
	        n: undefined,                  // <- next entry
	        r: false                       // <- removed
	      };
	      if (!that._f) that._f = entry;
	      if (prev) prev.n = entry;
	      that[SIZE]++;
	      // add to index
	      if (index !== 'F') that._i[index] = entry;
	    } return that;
	  },
	  getEntry: getEntry,
	  setStrong: function (C, NAME, IS_MAP) {
	    // add .keys, .values, .entries, [@@iterator]
	    // 23.1.3.4, 23.1.3.8, 23.1.3.11, 23.1.3.12, 23.2.3.5, 23.2.3.8, 23.2.3.10, 23.2.3.11
	    _iterDefine(C, NAME, function (iterated, kind) {
	      this._t = _validateCollection(iterated, NAME); // target
	      this._k = kind;                     // kind
	      this._l = undefined;                // previous
	    }, function () {
	      var that = this;
	      var kind = that._k;
	      var entry = that._l;
	      // revert to the last existing entry
	      while (entry && entry.r) entry = entry.p;
	      // get next entry
	      if (!that._t || !(that._l = entry = entry ? entry.n : that._t._f)) {
	        // or finish the iteration
	        that._t = undefined;
	        return _iterStep(1);
	      }
	      // return step by kind
	      if (kind == 'keys') return _iterStep(0, entry.k);
	      if (kind == 'values') return _iterStep(0, entry.v);
	      return _iterStep(0, [entry.k, entry.v]);
	    }, IS_MAP ? 'entries' : 'values', !IS_MAP, true);

	    // add [@@species], 23.1.2.2, 23.2.2.2
	    _setSpecies(NAME);
	  }
	};

	// Works with __proto__ only. Old v8 can't work with null proto objects.
	/* eslint-disable no-proto */


	var check = function (O, proto) {
	  _anObject(O);
	  if (!_isObject(proto) && proto !== null) throw TypeError(proto + ": can't set as prototype!");
	};
	var _setProto = {
	  set: Object.setPrototypeOf || ('__proto__' in {} ? // eslint-disable-line
	    function (test, buggy, set) {
	      try {
	        set = _ctx(Function.call, _objectGopd.f(Object.prototype, '__proto__').set, 2);
	        set(test, []);
	        buggy = !(test instanceof Array);
	      } catch (e) { buggy = true; }
	      return function setPrototypeOf(O, proto) {
	        check(O, proto);
	        if (buggy) O.__proto__ = proto;
	        else set(O, proto);
	        return O;
	      };
	    }({}, false) : undefined),
	  check: check
	};

	var setPrototypeOf = _setProto.set;
	var _inheritIfRequired = function (that, target, C) {
	  var S = target.constructor;
	  var P;
	  if (S !== C && typeof S == 'function' && (P = S.prototype) !== C.prototype && _isObject(P) && setPrototypeOf) {
	    setPrototypeOf(that, P);
	  } return that;
	};

	var _collection = function (NAME, wrapper, methods, common, IS_MAP, IS_WEAK) {
	  var Base = _global[NAME];
	  var C = Base;
	  var ADDER = IS_MAP ? 'set' : 'add';
	  var proto = C && C.prototype;
	  var O = {};
	  var fixMethod = function (KEY) {
	    var fn = proto[KEY];
	    _redefine(proto, KEY,
	      KEY == 'delete' ? function (a) {
	        return IS_WEAK && !_isObject(a) ? false : fn.call(this, a === 0 ? 0 : a);
	      } : KEY == 'has' ? function has(a) {
	        return IS_WEAK && !_isObject(a) ? false : fn.call(this, a === 0 ? 0 : a);
	      } : KEY == 'get' ? function get(a) {
	        return IS_WEAK && !_isObject(a) ? undefined : fn.call(this, a === 0 ? 0 : a);
	      } : KEY == 'add' ? function add(a) { fn.call(this, a === 0 ? 0 : a); return this; }
	        : function set(a, b) { fn.call(this, a === 0 ? 0 : a, b); return this; }
	    );
	  };
	  if (typeof C != 'function' || !(IS_WEAK || proto.forEach && !_fails(function () {
	    new C().entries().next();
	  }))) {
	    // create collection constructor
	    C = common.getConstructor(wrapper, NAME, IS_MAP, ADDER);
	    _redefineAll(C.prototype, methods);
	    _meta.NEED = true;
	  } else {
	    var instance = new C();
	    // early implementations not supports chaining
	    var HASNT_CHAINING = instance[ADDER](IS_WEAK ? {} : -0, 1) != instance;
	    // V8 ~  Chromium 40- weak-collections throws on primitives, but should return false
	    var THROWS_ON_PRIMITIVES = _fails(function () { instance.has(1); });
	    // most early implementations doesn't supports iterables, most modern - not close it correctly
	    var ACCEPT_ITERABLES = _iterDetect(function (iter) { new C(iter); }); // eslint-disable-line no-new
	    // for early implementations -0 and +0 not the same
	    var BUGGY_ZERO = !IS_WEAK && _fails(function () {
	      // V8 ~ Chromium 42- fails only with 5+ elements
	      var $instance = new C();
	      var index = 5;
	      while (index--) $instance[ADDER](index, index);
	      return !$instance.has(-0);
	    });
	    if (!ACCEPT_ITERABLES) {
	      C = wrapper(function (target, iterable) {
	        _anInstance(target, C, NAME);
	        var that = _inheritIfRequired(new Base(), target, C);
	        if (iterable != undefined) _forOf(iterable, IS_MAP, that[ADDER], that);
	        return that;
	      });
	      C.prototype = proto;
	      proto.constructor = C;
	    }
	    if (THROWS_ON_PRIMITIVES || BUGGY_ZERO) {
	      fixMethod('delete');
	      fixMethod('has');
	      IS_MAP && fixMethod('get');
	    }
	    if (BUGGY_ZERO || HASNT_CHAINING) fixMethod(ADDER);
	    // weak collections should not contains .clear method
	    if (IS_WEAK && proto.clear) delete proto.clear;
	  }

	  _setToStringTag(C, NAME);

	  O[NAME] = C;
	  _export(_export.G + _export.W + _export.F * (C != Base), O);

	  if (!IS_WEAK) common.setStrong(C, NAME, IS_MAP);

	  return C;
	};

	var SET = 'Set';

	// 23.2 Set Objects
	var es6_set = _collection(SET, function (get) {
	  return function Set() { return get(this, arguments.length > 0 ? arguments[0] : undefined); };
	}, {
	  // 23.2.3.1 Set.prototype.add(value)
	  add: function add(value) {
	    return _collectionStrong.def(_validateCollection(this, SET), value = value === 0 ? 0 : value, value);
	  }
	}, _collectionStrong);

	// @@match logic
	_fixReWks('match', 1, function (defined, MATCH, $match, maybeCallNative) {
	  return [
	    // `String.prototype.match` method
	    // https://tc39.github.io/ecma262/#sec-string.prototype.match
	    function match(regexp) {
	      var O = defined(this);
	      var fn = regexp == undefined ? undefined : regexp[MATCH];
	      return fn !== undefined ? fn.call(regexp, O) : new RegExp(regexp)[MATCH](String(O));
	    },
	    // `RegExp.prototype[@@match]` method
	    // https://tc39.github.io/ecma262/#sec-regexp.prototype-@@match
	    function (regexp) {
	      var res = maybeCallNative($match, regexp, this);
	      if (res.done) return res.value;
	      var rx = _anObject(regexp);
	      var S = String(this);
	      if (!rx.global) return _regexpExecAbstract(rx, S);
	      var fullUnicode = rx.unicode;
	      rx.lastIndex = 0;
	      var A = [];
	      var n = 0;
	      var result;
	      while ((result = _regexpExecAbstract(rx, S)) !== null) {
	        var matchStr = String(result[0]);
	        A[n] = matchStr;
	        if (matchStr === '') rx.lastIndex = _advanceStringIndex(S, _toLength(rx.lastIndex), fullUnicode);
	        n++;
	      }
	      return n === 0 ? null : A;
	    }
	  ];
	});

	function _typeof(obj) {
	  "@babel/helpers - typeof";

	  if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
	    _typeof = function (obj) {
	      return typeof obj;
	    };
	  } else {
	    _typeof = function (obj) {
	      return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
	    };
	  }

	  return _typeof(obj);
	}

	function _classCallCheck(instance, Constructor) {
	  if (!(instance instanceof Constructor)) {
	    throw new TypeError("Cannot call a class as a function");
	  }
	}

	function _defineProperties(target, props) {
	  for (var i = 0; i < props.length; i++) {
	    var descriptor = props[i];
	    descriptor.enumerable = descriptor.enumerable || false;
	    descriptor.configurable = true;
	    if ("value" in descriptor) descriptor.writable = true;
	    Object.defineProperty(target, descriptor.key, descriptor);
	  }
	}

	function _createClass(Constructor, protoProps, staticProps) {
	  if (protoProps) _defineProperties(Constructor.prototype, protoProps);
	  if (staticProps) _defineProperties(Constructor, staticProps);
	  return Constructor;
	}

	function _slicedToArray(arr, i) {
	  return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest();
	}

	function _arrayWithHoles(arr) {
	  if (Array.isArray(arr)) return arr;
	}

	function _iterableToArrayLimit(arr, i) {
	  if (typeof Symbol === "undefined" || !(Symbol.iterator in Object(arr))) return;
	  var _arr = [];
	  var _n = true;
	  var _d = false;
	  var _e = undefined;

	  try {
	    for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
	      _arr.push(_s.value);

	      if (i && _arr.length === i) break;
	    }
	  } catch (err) {
	    _d = true;
	    _e = err;
	  } finally {
	    try {
	      if (!_n && _i["return"] != null) _i["return"]();
	    } finally {
	      if (_d) throw _e;
	    }
	  }

	  return _arr;
	}

	function _unsupportedIterableToArray(o, minLen) {
	  if (!o) return;
	  if (typeof o === "string") return _arrayLikeToArray(o, minLen);
	  var n = Object.prototype.toString.call(o).slice(8, -1);
	  if (n === "Object" && o.constructor) n = o.constructor.name;
	  if (n === "Map" || n === "Set") return Array.from(n);
	  if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen);
	}

	function _arrayLikeToArray(arr, len) {
	  if (len == null || len > arr.length) len = arr.length;

	  for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i];

	  return arr2;
	}

	function _nonIterableRest() {
	  throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
	}

	function _createForOfIteratorHelper(o) {
	  if (typeof Symbol === "undefined" || o[Symbol.iterator] == null) {
	    if (Array.isArray(o) || (o = _unsupportedIterableToArray(o))) {
	      var i = 0;

	      var F = function () {};

	      return {
	        s: F,
	        n: function () {
	          if (i >= o.length) return {
	            done: true
	          };
	          return {
	            done: false,
	            value: o[i++]
	          };
	        },
	        e: function (e) {
	          throw e;
	        },
	        f: F
	      };
	    }

	    throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
	  }

	  var it,
	      normalCompletion = true,
	      didErr = false,
	      err;
	  return {
	    s: function () {
	      it = o[Symbol.iterator]();
	    },
	    n: function () {
	      var step = it.next();
	      normalCompletion = step.done;
	      return step;
	    },
	    e: function (e) {
	      didErr = true;
	      err = e;
	    },
	    f: function () {
	      try {
	        if (!normalCompletion && it.return != null) it.return();
	      } finally {
	        if (didErr) throw err;
	      }
	    }
	  };
	}

	var _createProperty = function (object, index, value) {
	  if (index in object) _objectDp.f(object, index, _propertyDesc(0, value));
	  else object[index] = value;
	};

	_export(_export.S + _export.F * !_iterDetect(function (iter) { Array.from(iter); }), 'Array', {
	  // 22.1.2.1 Array.from(arrayLike, mapfn = undefined, thisArg = undefined)
	  from: function from(arrayLike /* , mapfn = undefined, thisArg = undefined */) {
	    var O = _toObject(arrayLike);
	    var C = typeof this == 'function' ? this : Array;
	    var aLen = arguments.length;
	    var mapfn = aLen > 1 ? arguments[1] : undefined;
	    var mapping = mapfn !== undefined;
	    var index = 0;
	    var iterFn = core_getIteratorMethod(O);
	    var length, result, step, iterator;
	    if (mapping) mapfn = _ctx(mapfn, aLen > 2 ? arguments[2] : undefined, 2);
	    // if object isn't iterable or it's array with default iterator - use simple case
	    if (iterFn != undefined && !(C == Array && _isArrayIter(iterFn))) {
	      for (iterator = iterFn.call(O), result = new C(); !(step = iterator.next()).done; index++) {
	        _createProperty(result, index, mapping ? _iterCall(iterator, mapfn, [step.value, index], true) : step.value);
	      }
	    } else {
	      length = _toLength(O.length);
	      for (result = new C(length); length > index; index++) {
	        _createProperty(result, index, mapping ? mapfn(O[index], index) : O[index]);
	      }
	    }
	    result.length = index;
	    return result;
	  }
	});

	var _strictMethod = function (method, arg) {
	  return !!method && _fails(function () {
	    // eslint-disable-next-line no-useless-call
	    arg ? method.call(null, function () { /* empty */ }, 1) : method.call(null);
	  });
	};

	var $sort = [].sort;
	var test = [1, 2, 3];

	_export(_export.P + _export.F * (_fails(function () {
	  // IE8-
	  test.sort(undefined);
	}) || !_fails(function () {
	  // V8 bug
	  test.sort(null);
	  // Old WebKit
	}) || !_strictMethod($sort)), 'Array', {
	  // 22.1.3.25 Array.prototype.sort(comparefn)
	  sort: function sort(comparefn) {
	    return comparefn === undefined
	      ? $sort.call(_toObject(this))
	      : $sort.call(_toObject(this), _aFunction(comparefn));
	  }
	});

	// most Object methods by ES6 should accept primitives



	var _objectSap = function (KEY, exec) {
	  var fn = (_core.Object || {})[KEY] || Object[KEY];
	  var exp = {};
	  exp[KEY] = exec(fn);
	  _export(_export.S + _export.F * _fails(function () { fn(1); }), 'Object', exp);
	};

	// 19.1.2.14 Object.keys(O)



	_objectSap('keys', function () {
	  return function keys(it) {
	    return _objectKeys(_toObject(it));
	  };
	});

	var f$4 = _wks;

	var _wksExt = {
		f: f$4
	};

	var defineProperty = _objectDp.f;
	var _wksDefine = function (name) {
	  var $Symbol = _core.Symbol || (_core.Symbol =  _global.Symbol || {});
	  if (name.charAt(0) != '_' && !(name in $Symbol)) defineProperty($Symbol, name, { value: _wksExt.f(name) });
	};

	_wksDefine('asyncIterator');

	var f$5 = Object.getOwnPropertySymbols;

	var _objectGops = {
		f: f$5
	};

	// all enumerable object keys, includes symbols



	var _enumKeys = function (it) {
	  var result = _objectKeys(it);
	  var getSymbols = _objectGops.f;
	  if (getSymbols) {
	    var symbols = getSymbols(it);
	    var isEnum = _objectPie.f;
	    var i = 0;
	    var key;
	    while (symbols.length > i) if (isEnum.call(it, key = symbols[i++])) result.push(key);
	  } return result;
	};

	// fallback for IE11 buggy Object.getOwnPropertyNames with iframe and window

	var gOPN = _objectGopn.f;
	var toString$1 = {}.toString;

	var windowNames = typeof window == 'object' && window && Object.getOwnPropertyNames
	  ? Object.getOwnPropertyNames(window) : [];

	var getWindowNames = function (it) {
	  try {
	    return gOPN(it);
	  } catch (e) {
	    return windowNames.slice();
	  }
	};

	var f$6 = function getOwnPropertyNames(it) {
	  return windowNames && toString$1.call(it) == '[object Window]' ? getWindowNames(it) : gOPN(_toIobject(it));
	};

	var _objectGopnExt = {
		f: f$6
	};

	// ECMAScript 6 symbols shim





	var META = _meta.KEY;





















	var gOPD$1 = _objectGopd.f;
	var dP$2 = _objectDp.f;
	var gOPN$1 = _objectGopnExt.f;
	var $Symbol = _global.Symbol;
	var $JSON = _global.JSON;
	var _stringify = $JSON && $JSON.stringify;
	var PROTOTYPE$2 = 'prototype';
	var HIDDEN = _wks('_hidden');
	var TO_PRIMITIVE = _wks('toPrimitive');
	var isEnum = {}.propertyIsEnumerable;
	var SymbolRegistry = _shared('symbol-registry');
	var AllSymbols = _shared('symbols');
	var OPSymbols = _shared('op-symbols');
	var ObjectProto$1 = Object[PROTOTYPE$2];
	var USE_NATIVE = typeof $Symbol == 'function' && !!_objectGops.f;
	var QObject = _global.QObject;
	// Don't use setters in Qt Script, https://github.com/zloirock/core-js/issues/173
	var setter = !QObject || !QObject[PROTOTYPE$2] || !QObject[PROTOTYPE$2].findChild;

	// fallback for old Android, https://code.google.com/p/v8/issues/detail?id=687
	var setSymbolDesc = _descriptors && _fails(function () {
	  return _objectCreate(dP$2({}, 'a', {
	    get: function () { return dP$2(this, 'a', { value: 7 }).a; }
	  })).a != 7;
	}) ? function (it, key, D) {
	  var protoDesc = gOPD$1(ObjectProto$1, key);
	  if (protoDesc) delete ObjectProto$1[key];
	  dP$2(it, key, D);
	  if (protoDesc && it !== ObjectProto$1) dP$2(ObjectProto$1, key, protoDesc);
	} : dP$2;

	var wrap = function (tag) {
	  var sym = AllSymbols[tag] = _objectCreate($Symbol[PROTOTYPE$2]);
	  sym._k = tag;
	  return sym;
	};

	var isSymbol = USE_NATIVE && typeof $Symbol.iterator == 'symbol' ? function (it) {
	  return typeof it == 'symbol';
	} : function (it) {
	  return it instanceof $Symbol;
	};

	var $defineProperty = function defineProperty(it, key, D) {
	  if (it === ObjectProto$1) $defineProperty(OPSymbols, key, D);
	  _anObject(it);
	  key = _toPrimitive(key, true);
	  _anObject(D);
	  if (_has(AllSymbols, key)) {
	    if (!D.enumerable) {
	      if (!_has(it, HIDDEN)) dP$2(it, HIDDEN, _propertyDesc(1, {}));
	      it[HIDDEN][key] = true;
	    } else {
	      if (_has(it, HIDDEN) && it[HIDDEN][key]) it[HIDDEN][key] = false;
	      D = _objectCreate(D, { enumerable: _propertyDesc(0, false) });
	    } return setSymbolDesc(it, key, D);
	  } return dP$2(it, key, D);
	};
	var $defineProperties = function defineProperties(it, P) {
	  _anObject(it);
	  var keys = _enumKeys(P = _toIobject(P));
	  var i = 0;
	  var l = keys.length;
	  var key;
	  while (l > i) $defineProperty(it, key = keys[i++], P[key]);
	  return it;
	};
	var $create = function create(it, P) {
	  return P === undefined ? _objectCreate(it) : $defineProperties(_objectCreate(it), P);
	};
	var $propertyIsEnumerable = function propertyIsEnumerable(key) {
	  var E = isEnum.call(this, key = _toPrimitive(key, true));
	  if (this === ObjectProto$1 && _has(AllSymbols, key) && !_has(OPSymbols, key)) return false;
	  return E || !_has(this, key) || !_has(AllSymbols, key) || _has(this, HIDDEN) && this[HIDDEN][key] ? E : true;
	};
	var $getOwnPropertyDescriptor = function getOwnPropertyDescriptor(it, key) {
	  it = _toIobject(it);
	  key = _toPrimitive(key, true);
	  if (it === ObjectProto$1 && _has(AllSymbols, key) && !_has(OPSymbols, key)) return;
	  var D = gOPD$1(it, key);
	  if (D && _has(AllSymbols, key) && !(_has(it, HIDDEN) && it[HIDDEN][key])) D.enumerable = true;
	  return D;
	};
	var $getOwnPropertyNames = function getOwnPropertyNames(it) {
	  var names = gOPN$1(_toIobject(it));
	  var result = [];
	  var i = 0;
	  var key;
	  while (names.length > i) {
	    if (!_has(AllSymbols, key = names[i++]) && key != HIDDEN && key != META) result.push(key);
	  } return result;
	};
	var $getOwnPropertySymbols = function getOwnPropertySymbols(it) {
	  var IS_OP = it === ObjectProto$1;
	  var names = gOPN$1(IS_OP ? OPSymbols : _toIobject(it));
	  var result = [];
	  var i = 0;
	  var key;
	  while (names.length > i) {
	    if (_has(AllSymbols, key = names[i++]) && (IS_OP ? _has(ObjectProto$1, key) : true)) result.push(AllSymbols[key]);
	  } return result;
	};

	// 19.4.1.1 Symbol([description])
	if (!USE_NATIVE) {
	  $Symbol = function Symbol() {
	    if (this instanceof $Symbol) throw TypeError('Symbol is not a constructor!');
	    var tag = _uid(arguments.length > 0 ? arguments[0] : undefined);
	    var $set = function (value) {
	      if (this === ObjectProto$1) $set.call(OPSymbols, value);
	      if (_has(this, HIDDEN) && _has(this[HIDDEN], tag)) this[HIDDEN][tag] = false;
	      setSymbolDesc(this, tag, _propertyDesc(1, value));
	    };
	    if (_descriptors && setter) setSymbolDesc(ObjectProto$1, tag, { configurable: true, set: $set });
	    return wrap(tag);
	  };
	  _redefine($Symbol[PROTOTYPE$2], 'toString', function toString() {
	    return this._k;
	  });

	  _objectGopd.f = $getOwnPropertyDescriptor;
	  _objectDp.f = $defineProperty;
	  _objectGopn.f = _objectGopnExt.f = $getOwnPropertyNames;
	  _objectPie.f = $propertyIsEnumerable;
	  _objectGops.f = $getOwnPropertySymbols;

	  if (_descriptors && !_library) {
	    _redefine(ObjectProto$1, 'propertyIsEnumerable', $propertyIsEnumerable, true);
	  }

	  _wksExt.f = function (name) {
	    return wrap(_wks(name));
	  };
	}

	_export(_export.G + _export.W + _export.F * !USE_NATIVE, { Symbol: $Symbol });

	for (var es6Symbols = (
	  // 19.4.2.2, 19.4.2.3, 19.4.2.4, 19.4.2.6, 19.4.2.8, 19.4.2.9, 19.4.2.10, 19.4.2.11, 19.4.2.12, 19.4.2.13, 19.4.2.14
	  'hasInstance,isConcatSpreadable,iterator,match,replace,search,species,split,toPrimitive,toStringTag,unscopables'
	).split(','), j = 0; es6Symbols.length > j;)_wks(es6Symbols[j++]);

	for (var wellKnownSymbols = _objectKeys(_wks.store), k = 0; wellKnownSymbols.length > k;) _wksDefine(wellKnownSymbols[k++]);

	_export(_export.S + _export.F * !USE_NATIVE, 'Symbol', {
	  // 19.4.2.1 Symbol.for(key)
	  'for': function (key) {
	    return _has(SymbolRegistry, key += '')
	      ? SymbolRegistry[key]
	      : SymbolRegistry[key] = $Symbol(key);
	  },
	  // 19.4.2.5 Symbol.keyFor(sym)
	  keyFor: function keyFor(sym) {
	    if (!isSymbol(sym)) throw TypeError(sym + ' is not a symbol!');
	    for (var key in SymbolRegistry) if (SymbolRegistry[key] === sym) return key;
	  },
	  useSetter: function () { setter = true; },
	  useSimple: function () { setter = false; }
	});

	_export(_export.S + _export.F * !USE_NATIVE, 'Object', {
	  // 19.1.2.2 Object.create(O [, Properties])
	  create: $create,
	  // 19.1.2.4 Object.defineProperty(O, P, Attributes)
	  defineProperty: $defineProperty,
	  // 19.1.2.3 Object.defineProperties(O, Properties)
	  defineProperties: $defineProperties,
	  // 19.1.2.6 Object.getOwnPropertyDescriptor(O, P)
	  getOwnPropertyDescriptor: $getOwnPropertyDescriptor,
	  // 19.1.2.7 Object.getOwnPropertyNames(O)
	  getOwnPropertyNames: $getOwnPropertyNames,
	  // 19.1.2.8 Object.getOwnPropertySymbols(O)
	  getOwnPropertySymbols: $getOwnPropertySymbols
	});

	// Chrome 38 and 39 `Object.getOwnPropertySymbols` fails on primitives
	// https://bugs.chromium.org/p/v8/issues/detail?id=3443
	var FAILS_ON_PRIMITIVES = _fails(function () { _objectGops.f(1); });

	_export(_export.S + _export.F * FAILS_ON_PRIMITIVES, 'Object', {
	  getOwnPropertySymbols: function getOwnPropertySymbols(it) {
	    return _objectGops.f(_toObject(it));
	  }
	});

	// 24.3.2 JSON.stringify(value [, replacer [, space]])
	$JSON && _export(_export.S + _export.F * (!USE_NATIVE || _fails(function () {
	  var S = $Symbol();
	  // MS Edge converts symbol values to JSON as {}
	  // WebKit converts symbol values to JSON as null
	  // V8 throws on boxed symbols
	  return _stringify([S]) != '[null]' || _stringify({ a: S }) != '{}' || _stringify(Object(S)) != '{}';
	})), 'JSON', {
	  stringify: function stringify(it) {
	    var args = [it];
	    var i = 1;
	    var replacer, $replacer;
	    while (arguments.length > i) args.push(arguments[i++]);
	    $replacer = replacer = args[1];
	    if (!_isObject(replacer) && it === undefined || isSymbol(it)) return; // IE8 returns string on undefined
	    if (!_isArray(replacer)) replacer = function (key, value) {
	      if (typeof $replacer == 'function') value = $replacer.call(this, key, value);
	      if (!isSymbol(value)) return value;
	    };
	    args[1] = replacer;
	    return _stringify.apply($JSON, args);
	  }
	});

	// 19.4.3.4 Symbol.prototype[@@toPrimitive](hint)
	$Symbol[PROTOTYPE$2][TO_PRIMITIVE] || _hide($Symbol[PROTOTYPE$2], TO_PRIMITIVE, $Symbol[PROTOTYPE$2].valueOf);
	// 19.4.3.5 Symbol.prototype[@@toStringTag]
	_setToStringTag($Symbol, 'Symbol');
	// 20.2.1.9 Math[@@toStringTag]
	_setToStringTag(Math, 'Math', true);
	// 24.3.3 JSON[@@toStringTag]
	_setToStringTag(_global.JSON, 'JSON', true);

	var ITERATOR$4 = _wks('iterator');
	var TO_STRING_TAG = _wks('toStringTag');
	var ArrayValues = _iterators.Array;

	var DOMIterables = {
	  CSSRuleList: true, // TODO: Not spec compliant, should be false.
	  CSSStyleDeclaration: false,
	  CSSValueList: false,
	  ClientRectList: false,
	  DOMRectList: false,
	  DOMStringList: false,
	  DOMTokenList: true,
	  DataTransferItemList: false,
	  FileList: false,
	  HTMLAllCollection: false,
	  HTMLCollection: false,
	  HTMLFormElement: false,
	  HTMLSelectElement: false,
	  MediaList: true, // TODO: Not spec compliant, should be false.
	  MimeTypeArray: false,
	  NamedNodeMap: false,
	  NodeList: true,
	  PaintRequestList: false,
	  Plugin: false,
	  PluginArray: false,
	  SVGLengthList: false,
	  SVGNumberList: false,
	  SVGPathSegList: false,
	  SVGPointList: false,
	  SVGStringList: false,
	  SVGTransformList: false,
	  SourceBufferList: false,
	  StyleSheetList: true, // TODO: Not spec compliant, should be false.
	  TextTrackCueList: false,
	  TextTrackList: false,
	  TouchList: false
	};

	for (var collections = _objectKeys(DOMIterables), i$1 = 0; i$1 < collections.length; i$1++) {
	  var NAME = collections[i$1];
	  var explicit = DOMIterables[NAME];
	  var Collection = _global[NAME];
	  var proto = Collection && Collection.prototype;
	  var key;
	  if (proto) {
	    if (!proto[ITERATOR$4]) _hide(proto, ITERATOR$4, ArrayValues);
	    if (!proto[TO_STRING_TAG]) _hide(proto, TO_STRING_TAG, NAME);
	    _iterators[NAME] = ArrayValues;
	    if (explicit) for (key in es6_array_iterator) if (!proto[key]) _redefine(proto, key, es6_array_iterator[key], true);
	  }
	}

	var $at = _stringAt(true);

	// 21.1.3.27 String.prototype[@@iterator]()
	_iterDefine(String, 'String', function (iterated) {
	  this._t = String(iterated); // target
	  this._i = 0;                // next index
	// 21.1.5.2.1 %StringIteratorPrototype%.next()
	}, function () {
	  var O = this._t;
	  var index = this._i;
	  var point;
	  if (index >= O.length) return { value: undefined, done: true };
	  point = $at(O, index);
	  this._i += point.length;
	  return { value: point, done: false };
	});

	var MAP = 'Map';

	// 23.1 Map Objects
	var es6_map = _collection(MAP, function (get) {
	  return function Map() { return get(this, arguments.length > 0 ? arguments[0] : undefined); };
	}, {
	  // 23.1.3.6 Map.prototype.get(key)
	  get: function get(key) {
	    var entry = _collectionStrong.getEntry(_validateCollection(this, MAP), key);
	    return entry && entry.v;
	  },
	  // 23.1.3.9 Map.prototype.set(key, value)
	  set: function set(key, value) {
	    return _collectionStrong.def(_validateCollection(this, MAP), key === 0 ? 0 : key, value);
	  }
	}, _collectionStrong, true);

	var _stringWs = '\x09\x0A\x0B\x0C\x0D\x20\xA0\u1680\u180E\u2000\u2001\u2002\u2003' +
	  '\u2004\u2005\u2006\u2007\u2008\u2009\u200A\u202F\u205F\u3000\u2028\u2029\uFEFF';

	var space = '[' + _stringWs + ']';
	var non = '\u200b\u0085';
	var ltrim = RegExp('^' + space + space + '*');
	var rtrim = RegExp(space + space + '*$');

	var exporter = function (KEY, exec, ALIAS) {
	  var exp = {};
	  var FORCE = _fails(function () {
	    return !!_stringWs[KEY]() || non[KEY]() != non;
	  });
	  var fn = exp[KEY] = FORCE ? exec(trim) : _stringWs[KEY];
	  if (ALIAS) exp[ALIAS] = fn;
	  _export(_export.P + _export.F * FORCE, 'String', exp);
	};

	// 1 -> String#trimLeft
	// 2 -> String#trimRight
	// 3 -> String#trim
	var trim = exporter.trim = function (string, TYPE) {
	  string = String(_defined(string));
	  if (TYPE & 1) string = string.replace(ltrim, '');
	  if (TYPE & 2) string = string.replace(rtrim, '');
	  return string;
	};

	var _stringTrim = exporter;

	var gOPN$2 = _objectGopn.f;
	var gOPD$2 = _objectGopd.f;
	var dP$3 = _objectDp.f;
	var $trim = _stringTrim.trim;
	var NUMBER = 'Number';
	var $Number = _global[NUMBER];
	var Base = $Number;
	var proto$1 = $Number.prototype;
	// Opera ~12 has broken Object#toString
	var BROKEN_COF = _cof(_objectCreate(proto$1)) == NUMBER;
	var TRIM = 'trim' in String.prototype;

	// 7.1.3 ToNumber(argument)
	var toNumber = function (argument) {
	  var it = _toPrimitive(argument, false);
	  if (typeof it == 'string' && it.length > 2) {
	    it = TRIM ? it.trim() : $trim(it, 3);
	    var first = it.charCodeAt(0);
	    var third, radix, maxCode;
	    if (first === 43 || first === 45) {
	      third = it.charCodeAt(2);
	      if (third === 88 || third === 120) return NaN; // Number('+0x1') should be NaN, old V8 fix
	    } else if (first === 48) {
	      switch (it.charCodeAt(1)) {
	        case 66: case 98: radix = 2; maxCode = 49; break; // fast equal /^0b[01]+$/i
	        case 79: case 111: radix = 8; maxCode = 55; break; // fast equal /^0o[0-7]+$/i
	        default: return +it;
	      }
	      for (var digits = it.slice(2), i = 0, l = digits.length, code; i < l; i++) {
	        code = digits.charCodeAt(i);
	        // parseInt parses a string to a first unavailable symbol
	        // but ToNumber should return NaN if a string contains unavailable symbols
	        if (code < 48 || code > maxCode) return NaN;
	      } return parseInt(digits, radix);
	    }
	  } return +it;
	};

	if (!$Number(' 0o1') || !$Number('0b1') || $Number('+0x1')) {
	  $Number = function Number(value) {
	    var it = arguments.length < 1 ? 0 : value;
	    var that = this;
	    return that instanceof $Number
	      // check on 1..constructor(foo) case
	      && (BROKEN_COF ? _fails(function () { proto$1.valueOf.call(that); }) : _cof(that) != NUMBER)
	        ? _inheritIfRequired(new Base(toNumber(it)), that, $Number) : toNumber(it);
	  };
	  for (var keys = _descriptors ? gOPN$2(Base) : (
	    // ES3:
	    'MAX_VALUE,MIN_VALUE,NaN,NEGATIVE_INFINITY,POSITIVE_INFINITY,' +
	    // ES6 (in case, if modules with ES6 Number statics required before):
	    'EPSILON,isFinite,isInteger,isNaN,isSafeInteger,MAX_SAFE_INTEGER,' +
	    'MIN_SAFE_INTEGER,parseFloat,parseInt,isInteger'
	  ).split(','), j$1 = 0, key$1; keys.length > j$1; j$1++) {
	    if (_has(Base, key$1 = keys[j$1]) && !_has($Number, key$1)) {
	      dP$3($Number, key$1, gOPD$2(Base, key$1));
	    }
	  }
	  $Number.prototype = proto$1;
	  proto$1.constructor = $Number;
	  _redefine(_global, NUMBER, $Number);
	}

	// 20.1.2.3 Number.isInteger(number)

	var floor$2 = Math.floor;
	var _isInteger = function isInteger(it) {
	  return !_isObject(it) && isFinite(it) && floor$2(it) === it;
	};

	// 20.1.2.3 Number.isInteger(number)


	_export(_export.S, 'Number', { isInteger: _isInteger });

	// 21.2.5.3 get RegExp.prototype.flags()
	if (_descriptors && /./g.flags != 'g') _objectDp.f(RegExp.prototype, 'flags', {
	  configurable: true,
	  get: _flags
	});

	var TO_STRING = 'toString';
	var $toString = /./[TO_STRING];

	var define = function (fn) {
	  _redefine(RegExp.prototype, TO_STRING, fn, true);
	};

	// 21.2.5.14 RegExp.prototype.toString()
	if (_fails(function () { return $toString.call({ source: 'a', flags: 'b' }) != '/a/b'; })) {
	  define(function toString() {
	    var R = _anObject(this);
	    return '/'.concat(R.source, '/',
	      'flags' in R ? R.flags : !_descriptors && R instanceof RegExp ? _flags.call(R) : undefined);
	  });
	// FF44- RegExp#toString has a wrong name
	} else if ($toString.name != TO_STRING) {
	  define(function toString() {
	    return $toString.call(this);
	  });
	}

	// 19.1.3.6 Object.prototype.toString()

	var test$1 = {};
	test$1[_wks('toStringTag')] = 'z';
	if (test$1 + '' != '[object z]') {
	  _redefine(Object.prototype, 'toString', function toString() {
	    return '[object ' + _classof(this) + ']';
	  }, true);
	}

	var _stringRepeat = function repeat(count) {
	  var str = String(_defined(this));
	  var res = '';
	  var n = _toInteger(count);
	  if (n < 0 || n == Infinity) throw RangeError("Count can't be negative");
	  for (;n > 0; (n >>>= 1) && (str += str)) if (n & 1) res += str;
	  return res;
	};

	// https://github.com/tc39/proposal-string-pad-start-end




	var _stringPad = function (that, maxLength, fillString, left) {
	  var S = String(_defined(that));
	  var stringLength = S.length;
	  var fillStr = fillString === undefined ? ' ' : String(fillString);
	  var intMaxLength = _toLength(maxLength);
	  if (intMaxLength <= stringLength || fillStr == '') return S;
	  var fillLen = intMaxLength - stringLength;
	  var stringFiller = _stringRepeat.call(fillStr, Math.ceil(fillLen / fillStr.length));
	  if (stringFiller.length > fillLen) stringFiller = stringFiller.slice(0, fillLen);
	  return left ? stringFiller + S : S + stringFiller;
	};

	var navigator = _global.navigator;

	var _userAgent = navigator && navigator.userAgent || '';

	// https://github.com/tc39/proposal-string-pad-start-end




	// https://github.com/zloirock/core-js/issues/280
	var WEBKIT_BUG = /Version\/10\.\d+(\.\d+)?( Mobile\/\w+)? Safari\//.test(_userAgent);

	_export(_export.P + _export.F * WEBKIT_BUG, 'String', {
	  padStart: function padStart(maxLength /* , fillString = ' ' */) {
	    return _stringPad(this, maxLength, arguments.length > 1 ? arguments[1] : undefined, true);
	  }
	});

	/**
	 * Parser/writer for the "Intel hex" format.
	 */

	/*
	 * A regexp that matches lines in a .hex file.
	 *
	 * One hexadecimal character is matched by "[0-9A-Fa-f]".
	 * Two hex characters are matched by "[0-9A-Fa-f]{2}"
	 * Eight or more hex characters are matched by "[0-9A-Fa-f]{8,}"
	 * A capture group of two hex characters is "([0-9A-Fa-f]{2})"
	 *
	 * Record mark         :
	 * 8 or more hex chars  ([0-9A-Fa-f]{8,})
	 * Checksum                              ([0-9A-Fa-f]{2})
	 * Optional newline                                      (?:\r\n|\r|\n|)
	 */
	var hexLineRegexp = /:([0-9A-Fa-f]{8,})([0-9A-Fa-f]{2})(?:\r\n|\r|\n|)/g; // Takes a Uint8Array as input,
	// Returns an integer in the 0-255 range.

	function checksum(bytes) {
	  return -bytes.reduce(function (sum, v) {
	    return sum + v;
	  }, 0) & 0xFF;
	} // Takes two Uint8Arrays as input,
	// Returns an integer in the 0-255 range.


	function checksumTwo(array1, array2) {
	  var partial1 = array1.reduce(function (sum, v) {
	    return sum + v;
	  }, 0);
	  var partial2 = array2.reduce(function (sum, v) {
	    return sum + v;
	  }, 0);
	  return -(partial1 + partial2) & 0xFF;
	} // Trivial utility. Converts a number to hex and pads with zeroes up to 2 characters.


	function hexpad(number) {
	  return number.toString(16).toUpperCase().padStart(2, '0');
	} // Polyfill as per https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Number/isInteger


	Number.isInteger = Number.isInteger || function (value) {
	  return typeof value === 'number' && isFinite(value) && Math.floor(value) === value;
	};
	/**
	 * @class MemoryMap
	 *
	 * Represents the contents of a memory layout, with main focus into (possibly sparse) blocks of data.
	 *<br/>
	 * A {@linkcode MemoryMap} acts as a subclass of
	 * {@linkcode https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Map|Map}.
	 * In every entry of it, the key is the starting address of a data block (an integer number),
	 * and the value is the <tt>Uint8Array</tt> with the data for that block.
	 *<br/>
	 * The main rationale for this is that a .hex file can contain a single block of contiguous
	 * data starting at memory address 0 (and it's the common case for simple .hex files),
	 * but complex files with several non-contiguous data blocks are also possible, thus
	 * the need for a data structure on top of the <tt>Uint8Array</tt>s.
	 *<br/>
	 * In order to parse <tt>.hex</tt> files, use the {@linkcode MemoryMap.fromHex} <em>static</em> factory
	 * method. In order to write <tt>.hex</tt> files, create a new {@linkcode MemoryMap} and call
	 * its {@linkcode MemoryMap.asHexString} method.
	 *
	 * @extends Map
	 * @example
	 * import MemoryMap from 'nrf-intel-hex';
	 *
	 * let memMap1 = new MemoryMap();
	 * let memMap2 = new MemoryMap([[0, new Uint8Array(1,2,3,4)]]);
	 * let memMap3 = new MemoryMap({0: new Uint8Array(1,2,3,4)});
	 * let memMap4 = new MemoryMap({0xCF0: new Uint8Array(1,2,3,4)});
	 */


	var MemoryMap = /*#__PURE__*/function () {
	  /**
	   * @param {Iterable} blocks The initial value for the memory blocks inside this
	   * <tt>MemoryMap</tt>. All keys must be numeric, and all values must be instances of
	   * <tt>Uint8Array</tt>. Optionally it can also be a plain <tt>Object</tt> with
	   * only numeric keys.
	   */
	  function MemoryMap(blocks) {
	    _classCallCheck(this, MemoryMap);

	    this._blocks = new Map();

	    if (blocks && typeof blocks[Symbol.iterator] === 'function') {
	      var _iterator = _createForOfIteratorHelper(blocks),
	          _step;

	      try {
	        for (_iterator.s(); !(_step = _iterator.n()).done;) {
	          var tuple = _step.value;

	          if (!(tuple instanceof Array) || tuple.length !== 2) {
	            throw new Error('First parameter to MemoryMap constructor must be an iterable of [addr, bytes] or undefined');
	          }

	          this.set(tuple[0], tuple[1]);
	        }
	      } catch (err) {
	        _iterator.e(err);
	      } finally {
	        _iterator.f();
	      }
	    } else if (_typeof(blocks) === 'object') {
	      // Try iterating through the object's keys
	      var addrs = Object.keys(blocks);

	      for (var _i = 0, _addrs = addrs; _i < _addrs.length; _i++) {
	        var addr = _addrs[_i];
	        this.set(parseInt(addr), blocks[addr]);
	      }
	    } else if (blocks !== undefined && blocks !== null) {
	      throw new Error('First parameter to MemoryMap constructor must be an iterable of [addr, bytes] or undefined');
	    }
	  }

	  _createClass(MemoryMap, [{
	    key: "set",
	    value: function set(addr, value) {
	      if (!Number.isInteger(addr)) {
	        throw new Error('Address passed to MemoryMap is not an integer');
	      }

	      if (addr < 0) {
	        throw new Error('Address passed to MemoryMap is negative');
	      }

	      if (!(value instanceof Uint8Array)) {
	        throw new Error('Bytes passed to MemoryMap are not an Uint8Array');
	      }

	      return this._blocks.set(addr, value);
	    } // Delegate the following to the 'this._blocks' Map:

	  }, {
	    key: "get",
	    value: function get(addr) {
	      return this._blocks.get(addr);
	    }
	  }, {
	    key: "clear",
	    value: function clear() {
	      return this._blocks.clear();
	    }
	  }, {
	    key: "delete",
	    value: function _delete(addr) {
	      return this._blocks.delete(addr);
	    }
	  }, {
	    key: "entries",
	    value: function entries() {
	      return this._blocks.entries();
	    }
	  }, {
	    key: "forEach",
	    value: function forEach(callback, that) {
	      return this._blocks.forEach(callback, that);
	    }
	  }, {
	    key: "has",
	    value: function has(addr) {
	      return this._blocks.has(addr);
	    }
	  }, {
	    key: "keys",
	    value: function keys() {
	      return this._blocks.keys();
	    }
	  }, {
	    key: "values",
	    value: function values() {
	      return this._blocks.values();
	    }
	  }, {
	    key: Symbol.iterator,
	    value: function value() {
	      return this._blocks[Symbol.iterator]();
	    }
	    /**
	     * Parses a string containing data formatted in "Intel HEX" format, and
	     * returns an instance of {@linkcode MemoryMap}.
	     *<br/>
	     * The insertion order of keys in the {@linkcode MemoryMap} is guaranteed to be strictly
	     * ascending. In other words, when iterating through the {@linkcode MemoryMap}, the addresses
	     * will be ordered in ascending order.
	     *<br/>
	     * The parser has an opinionated behaviour, and will throw a descriptive error if it
	     * encounters some malformed input. Check the project's
	     * {@link https://github.com/NordicSemiconductor/nrf-intel-hex#Features|README file} for details.
	     *<br/>
	     * If <tt>maxBlockSize</tt> is given, any contiguous data block larger than that will
	     * be split in several blocks.
	     *
	     * @param {String} hexText The contents of a .hex file.
	     * @param {Number} [maxBlockSize=Infinity] Maximum size of the returned <tt>Uint8Array</tt>s.
	     *
	     * @return {MemoryMap}
	     *
	     * @example
	     * import MemoryMap from 'nrf-intel-hex';
	     *
	     * let intelHexString =
	     *     ":100000000102030405060708090A0B0C0D0E0F1068\n" +
	     *     ":00000001FF";
	     *
	     * let memMap = MemoryMap.fromHex(intelHexString);
	     *
	     * for (let [address, dataBlock] of memMap) {
	     *     console.log('Data block at ', address, ', bytes: ', dataBlock);
	     * }
	     */

	  }, {
	    key: "join",

	    /**
	     * Returns a <strong>new</strong> instance of {@linkcode MemoryMap}, containing
	     * the same data, but concatenating together those memory blocks that are adjacent.
	     *<br/>
	     * The insertion order of keys in the {@linkcode MemoryMap} is guaranteed to be strictly
	     * ascending. In other words, when iterating through the {@linkcode MemoryMap}, the addresses
	     * will be ordered in ascending order.
	     *<br/>
	     * If <tt>maxBlockSize</tt> is given, blocks will be concatenated together only
	     * until the joined block reaches this size in bytes. This means that the output
	     * {@linkcode MemoryMap} might have more entries than the input one.
	     *<br/>
	     * If there is any overlap between blocks, an error will be thrown.
	     *<br/>
	     * The returned {@linkcode MemoryMap} will use newly allocated memory.
	     *
	     * @param {Number} [maxBlockSize=Infinity] Maximum size of the <tt>Uint8Array</tt>s in the
	     * returned {@linkcode MemoryMap}.
	     *
	     * @return {MemoryMap}
	     */
	    value: function join() {
	      var maxBlockSize = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : Infinity;
	      // First pass, create a Map of address→length of contiguous blocks
	      var sortedKeys = Array.from(this.keys()).sort(function (a, b) {
	        return a - b;
	      });
	      var blockSizes = new Map();
	      var lastBlockAddr = -1;
	      var lastBlockEndAddr = -1;

	      for (var i = 0, l = sortedKeys.length; i < l; i++) {
	        var blockAddr = sortedKeys[i];
	        var blockLength = this.get(sortedKeys[i]).length;

	        if (lastBlockEndAddr === blockAddr && lastBlockEndAddr - lastBlockAddr < maxBlockSize) {
	          // Grow when the previous end address equals the current,
	          // and we don't go over the maximum block size.
	          blockSizes.set(lastBlockAddr, blockSizes.get(lastBlockAddr) + blockLength);
	          lastBlockEndAddr += blockLength;
	        } else if (lastBlockEndAddr <= blockAddr) {
	          // Else mark a new block.
	          blockSizes.set(blockAddr, blockLength);
	          lastBlockAddr = blockAddr;
	          lastBlockEndAddr = blockAddr + blockLength;
	        } else {
	          throw new Error('Overlapping data around address 0x' + blockAddr.toString(16));
	        }
	      } // Second pass: allocate memory for the contiguous blocks and copy data around.


	      var mergedBlocks = new MemoryMap();
	      var mergingBlock;
	      var mergingBlockAddr = -1;

	      for (var _i2 = 0, _l = sortedKeys.length; _i2 < _l; _i2++) {
	        var _blockAddr = sortedKeys[_i2];

	        if (blockSizes.has(_blockAddr)) {
	          mergingBlock = new Uint8Array(blockSizes.get(_blockAddr));
	          mergedBlocks.set(_blockAddr, mergingBlock);
	          mergingBlockAddr = _blockAddr;
	        }

	        mergingBlock.set(this.get(_blockAddr), _blockAddr - mergingBlockAddr);
	      }

	      return mergedBlocks;
	    }
	    /**
	     * Given a {@link https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Map|<tt>Map</tt>}
	     * of {@linkcode MemoryMap}s, indexed by a alphanumeric ID,
	     * returns a <tt>Map</tt> of address to tuples (<tt>Arrays</tt>s of length 2) of the form
	     * <tt>(id, Uint8Array)</tt>s.
	     *<br/>
	     * The scenario for using this is having several {@linkcode MemoryMap}s, from several calls to
	     * {@link module:nrf-intel-hex~hexToArrays|hexToArrays}, each having a different identifier.
	     * This function locates where those memory block sets overlap, and returns a <tt>Map</tt>
	     * containing addresses as keys, and arrays as values. Each array will contain 1 or more
	     * <tt>(id, Uint8Array)</tt> tuples: the identifier of the memory block set that has
	     * data in that region, and the data itself. When memory block sets overlap, there will
	     * be more than one tuple.
	     *<br/>
	     * The <tt>Uint8Array</tt>s in the output are
	     * {@link https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/TypedArray/subarray|subarrays}
	     * of the input data; new memory is <strong>not</strong> allocated for them.
	     *<br/>
	     * The insertion order of keys in the output <tt>Map</tt> is guaranteed to be strictly
	     * ascending. In other words, when iterating through the <tt>Map</tt>, the addresses
	     * will be ordered in ascending order.
	     *<br/>
	     * When two blocks overlap, the corresponding array of tuples will have the tuples ordered
	     * in the insertion order of the input <tt>Map</tt> of block sets.
	     *<br/>
	     *
	     * @param {Map.MemoryMap} memoryMaps The input memory block sets
	     *
	     * @example
	     * import MemoryMap from 'nrf-intel-hex';
	     *
	     * let memMap1 = MemoryMap.fromHex( hexdata1 );
	     * let memMap2 = MemoryMap.fromHex( hexdata2 );
	     * let memMap3 = MemoryMap.fromHex( hexdata3 );
	     *
	     * let maps = new Map([
	     *  ['file A', blocks1],
	     *  ['file B', blocks2],
	     *  ['file C', blocks3]
	     * ]);
	     *
	     * let overlappings = MemoryMap.overlapMemoryMaps(maps);
	     *
	     * for (let [address, tuples] of overlappings) {
	     *     // if 'tuples' has length > 1, there is an overlap starting at 'address'
	     *
	     *     for (let [address, tuples] of overlappings) {
	     *         let [id, bytes] = tuple;
	     *         // 'id' in this example is either 'file A', 'file B' or 'file C'
	     *     }
	     * }
	     * @return {Map.Array<mixed,Uint8Array>} The map of possibly overlapping memory blocks
	     */

	  }, {
	    key: "paginate",

	    /**
	     * Returns a new instance of {@linkcode MemoryMap}, where:
	     *
	     * <ul>
	     *  <li>Each key (the start address of each <tt>Uint8Array</tt>) is a multiple of
	     *    <tt>pageSize</tt></li>
	     *  <li>The size of each <tt>Uint8Array</tt> is exactly <tt>pageSize</tt></li>
	     *  <li>Bytes from the input map to bytes in the output</li>
	     *  <li>Bytes not in the input are replaced by a padding value</li>
	     * </ul>
	     *<br/>
	     * The scenario is wanting to prepare pages of bytes for a write operation, where the write
	     * operation affects a whole page/sector at once.
	     *<br/>
	     * The insertion order of keys in the output {@linkcode MemoryMap} is guaranteed
	     * to be strictly ascending. In other words, when iterating through the
	     * {@linkcode MemoryMap}, the addresses will be ordered in ascending order.
	     *<br/>
	     * The <tt>Uint8Array</tt>s in the output will be newly allocated.
	     *<br/>
	     *
	     * @param {Number} [pageSize=1024] The size of the output pages, in bytes
	     * @param {Number} [pad=0xFF] The byte value to use for padding
	     * @return {MemoryMap}
	     */
	    value: function paginate() {
	      var pageSize = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 1024;
	      var pad = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0xFF;

	      if (pageSize <= 0) {
	        throw new Error('Page size must be greater than zero');
	      }

	      var outPages = new MemoryMap();
	      var page;
	      var sortedKeys = Array.from(this.keys()).sort(function (a, b) {
	        return a - b;
	      });

	      for (var i = 0, l = sortedKeys.length; i < l; i++) {
	        var blockAddr = sortedKeys[i];
	        var block = this.get(blockAddr);
	        var blockLength = block.length;
	        var blockEnd = blockAddr + blockLength;

	        for (var pageAddr = blockAddr - blockAddr % pageSize; pageAddr < blockEnd; pageAddr += pageSize) {
	          page = outPages.get(pageAddr);

	          if (!page) {
	            page = new Uint8Array(pageSize);
	            page.fill(pad);
	            outPages.set(pageAddr, page);
	          }

	          var offset = pageAddr - blockAddr;
	          var subBlock = void 0;

	          if (offset <= 0) {
	            // First page which intersects the block
	            subBlock = block.subarray(0, Math.min(pageSize + offset, blockLength));
	            page.set(subBlock, -offset);
	          } else {
	            // Any other page which intersects the block
	            subBlock = block.subarray(offset, offset + Math.min(pageSize, blockLength - offset));
	            page.set(subBlock, 0);
	          }
	        }
	      }

	      return outPages;
	    }
	    /**
	     * Locates the <tt>Uint8Array</tt> which contains the given offset,
	     * and returns the four bytes held at that offset, as a 32-bit unsigned integer.
	     *
	     *<br/>
	     * Behaviour is similar to {@linkcode https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/DataView/getUint32|DataView.prototype.getUint32},
	     * except that this operates over a {@linkcode MemoryMap} instead of
	     * over an <tt>ArrayBuffer</tt>, and that this may return <tt>undefined</tt> if
	     * the address is not <em>entirely</em> contained within one of the <tt>Uint8Array</tt>s.
	     *<br/>
	     *
	     * @param {Number} offset The memory offset to read the data
	     * @param {Boolean} [littleEndian=false] Whether to fetch the 4 bytes as a little- or big-endian integer
	     * @return {Number|undefined} An unsigned 32-bit integer number
	     */

	  }, {
	    key: "getUint32",
	    value: function getUint32(offset, littleEndian) {
	      var keys = Array.from(this.keys());

	      for (var i = 0, l = keys.length; i < l; i++) {
	        var blockAddr = keys[i];
	        var block = this.get(blockAddr);
	        var blockLength = block.length;
	        var blockEnd = blockAddr + blockLength;

	        if (blockAddr <= offset && offset + 4 <= blockEnd) {
	          return new DataView(block.buffer, offset - blockAddr, 4).getUint32(0, littleEndian);
	        }
	      }

	      return;
	    }
	    /**
	     * Returns a <tt>String</tt> of text representing a .hex file.
	     * <br/>
	     * The writer has an opinionated behaviour. Check the project's
	     * {@link https://github.com/NordicSemiconductor/nrf-intel-hex#Features|README file} for details.
	     *
	     * @param {Number} [lineSize=16] Maximum number of bytes to be encoded in each data record.
	     * Must have a value between 1 and 255, as per the specification.
	     *
	     * @return {String} String of text with the .hex representation of the input binary data
	     *
	     * @example
	     * import MemoryMap from 'nrf-intel-hex';
	     *
	     * let memMap = new MemoryMap();
	     * let bytes = new Uint8Array(....);
	     * memMap.set(0x0FF80000, bytes); // The block with 'bytes' will start at offset 0x0FF80000
	     *
	     * let string = memMap.asHexString();
	     */

	  }, {
	    key: "asHexString",
	    value: function asHexString() {
	      var lineSize = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 16;
	      var lowAddress = 0; // 16 least significant bits of the current addr

	      var highAddress = -1 << 16; // 16 most significant bits of the current addr

	      var records = [];

	      if (lineSize <= 0) {
	        throw new Error('Size of record must be greater than zero');
	      } else if (lineSize > 255) {
	        throw new Error('Size of record must be less than 256');
	      } // Placeholders


	      var offsetRecord = new Uint8Array(6);
	      var recordHeader = new Uint8Array(4);
	      var sortedKeys = Array.from(this.keys()).sort(function (a, b) {
	        return a - b;
	      });

	      for (var i = 0, l = sortedKeys.length; i < l; i++) {
	        var blockAddr = sortedKeys[i];
	        var block = this.get(blockAddr); // Sanity checks

	        if (!(block instanceof Uint8Array)) {
	          throw new Error('Block at offset ' + blockAddr + ' is not an Uint8Array');
	        }

	        if (blockAddr < 0) {
	          throw new Error('Block at offset ' + blockAddr + ' has a negative thus invalid address');
	        }

	        var blockSize = block.length;

	        if (!blockSize) {
	          continue;
	        } // Skip zero-length blocks


	        if (blockAddr > highAddress + 0xFFFF) {
	          // Insert a new 0x04 record to jump to a new 64KiB block
	          // Round up the least significant 16 bits - no bitmasks because they trigger
	          // base-2 negative numbers, whereas subtracting the modulo maintains precision
	          highAddress = blockAddr - blockAddr % 0x10000;
	          lowAddress = 0;
	          offsetRecord[0] = 2; // Length

	          offsetRecord[1] = 0; // Load offset, high byte

	          offsetRecord[2] = 0; // Load offset, low byte

	          offsetRecord[3] = 4; // Record type

	          offsetRecord[4] = highAddress >> 24; // new address offset, high byte

	          offsetRecord[5] = highAddress >> 16; // new address offset, low byte

	          records.push(':' + Array.prototype.map.call(offsetRecord, hexpad).join('') + hexpad(checksum(offsetRecord)));
	        }

	        if (blockAddr < highAddress + lowAddress) {
	          throw new Error('Block starting at 0x' + blockAddr.toString(16) + ' overlaps with a previous block.');
	        }

	        lowAddress = blockAddr % 0x10000;
	        var blockOffset = 0;
	        var blockEnd = blockAddr + blockSize;

	        if (blockEnd > 0xFFFFFFFF) {
	          throw new Error('Data cannot be over 0xFFFFFFFF');
	        } // Loop for every 64KiB memory segment that spans this block


	        while (highAddress + lowAddress < blockEnd) {
	          if (lowAddress > 0xFFFF) {
	            // Insert a new 0x04 record to jump to a new 64KiB block
	            highAddress += 1 << 16; // Increase by one

	            lowAddress = 0;
	            offsetRecord[0] = 2; // Length

	            offsetRecord[1] = 0; // Load offset, high byte

	            offsetRecord[2] = 0; // Load offset, low byte

	            offsetRecord[3] = 4; // Record type

	            offsetRecord[4] = highAddress >> 24; // new address offset, high byte

	            offsetRecord[5] = highAddress >> 16; // new address offset, low byte

	            records.push(':' + Array.prototype.map.call(offsetRecord, hexpad).join('') + hexpad(checksum(offsetRecord)));
	          }

	          var recordSize = -1; // Loop for every record for that spans the current 64KiB memory segment

	          while (lowAddress < 0x10000 && recordSize) {
	            recordSize = Math.min(lineSize, // Normal case
	            blockEnd - highAddress - lowAddress, // End of block
	            0x10000 - lowAddress // End of low addresses
	            );

	            if (recordSize) {
	              recordHeader[0] = recordSize; // Length

	              recordHeader[1] = lowAddress >> 8; // Load offset, high byte

	              recordHeader[2] = lowAddress; // Load offset, low byte

	              recordHeader[3] = 0; // Record type

	              var subBlock = block.subarray(blockOffset, blockOffset + recordSize); // Data bytes for this record

	              records.push(':' + Array.prototype.map.call(recordHeader, hexpad).join('') + Array.prototype.map.call(subBlock, hexpad).join('') + hexpad(checksumTwo(recordHeader, subBlock)));
	              blockOffset += recordSize;
	              lowAddress += recordSize;
	            }
	          }
	        }
	      }

	      records.push(':00000001FF'); // EOF record

	      return records.join('\n');
	    }
	    /**
	     * Performs a deep copy of the current {@linkcode MemoryMap}, returning a new one
	     * with exactly the same contents, but allocating new memory for each of its
	     * <tt>Uint8Array</tt>s.
	     *
	     * @return {MemoryMap}
	     */

	  }, {
	    key: "clone",
	    value: function clone() {
	      var cloned = new MemoryMap();

	      var _iterator2 = _createForOfIteratorHelper(this),
	          _step2;

	      try {
	        for (_iterator2.s(); !(_step2 = _iterator2.n()).done;) {
	          var _step2$value = _slicedToArray(_step2.value, 2),
	              addr = _step2$value[0],
	              value = _step2$value[1];

	          cloned.set(addr, new Uint8Array(value));
	        }
	      } catch (err) {
	        _iterator2.e(err);
	      } finally {
	        _iterator2.f();
	      }

	      return cloned;
	    }
	    /**
	     * Given one <tt>Uint8Array</tt>, looks through its contents and returns a new
	     * {@linkcode MemoryMap}, stripping away those regions where there are only
	     * padding bytes.
	     * <br/>
	     * The start of the input <tt>Uint8Array</tt> is assumed to be offset zero for the output.
	     * <br/>
	     * The use case here is dumping memory from a working device and try to see the
	     * "interesting" memory regions it has. This assumes that there is a constant,
	     * predefined padding byte value being used in the "non-interesting" regions.
	     * In other words: this will work as long as the dump comes from a flash memory
	     * which has been previously erased (thus <tt>0xFF</tt>s for padding), or from a
	     * previously blanked HDD (thus <tt>0x00</tt>s for padding).
	     * <br/>
	     * This method uses <tt>subarray</tt> on the input data, and thus does not allocate memory
	     * for the <tt>Uint8Array</tt>s.
	     *
	     * @param {Uint8Array} bytes The input data
	     * @param {Number} [padByte=0xFF] The value of the byte assumed to be used as padding
	     * @param {Number} [minPadLength=64] The minimum number of consecutive pad bytes to
	     * be considered actual padding
	     *
	     * @return {MemoryMap}
	     */

	  }, {
	    key: "slice",

	    /**
	     * Returns a new instance of {@linkcode MemoryMap}, containing only data between
	     * the addresses <tt>address</tt> and <tt>address + length</tt>.
	     * Behaviour is similar to {@linkcode https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Array/slice|Array.prototype.slice},
	     * in that the return value is a portion of the current {@linkcode MemoryMap}.
	     *
	     * <br/>
	     * The returned {@linkcode MemoryMap} might be empty.
	     *
	     * <br/>
	     * Internally, this uses <tt>subarray</tt>, so new memory is not allocated.
	     *
	     * @param {Number} address The start address of the slice
	     * @param {Number} length The length of memory map to slice out
	     * @return {MemoryMap}
	     */
	    value: function slice(address) {
	      var length = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : Infinity;

	      if (length < 0) {
	        throw new Error('Length of the slice cannot be negative');
	      }

	      var sliced = new MemoryMap();

	      var _iterator3 = _createForOfIteratorHelper(this),
	          _step3;

	      try {
	        for (_iterator3.s(); !(_step3 = _iterator3.n()).done;) {
	          var _step3$value = _slicedToArray(_step3.value, 2),
	              blockAddr = _step3$value[0],
	              block = _step3$value[1];

	          var blockLength = block.length;

	          if (blockAddr + blockLength >= address && blockAddr < address + length) {
	            var sliceStart = Math.max(address, blockAddr);
	            var sliceEnd = Math.min(address + length, blockAddr + blockLength);
	            var sliceLength = sliceEnd - sliceStart;
	            var relativeSliceStart = sliceStart - blockAddr;

	            if (sliceLength > 0) {
	              sliced.set(sliceStart, block.subarray(relativeSliceStart, relativeSliceStart + sliceLength));
	            }
	          }
	        }
	      } catch (err) {
	        _iterator3.e(err);
	      } finally {
	        _iterator3.f();
	      }

	      return sliced;
	    }
	    /**
	     * Returns a new instance of {@linkcode https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/DataView/getUint32|Uint8Array}, containing only data between
	     * the addresses <tt>address</tt> and <tt>address + length</tt>. Any byte without a value
	     * in the input {@linkcode MemoryMap} will have a value of <tt>padByte</tt>.
	     *
	     * <br/>
	     * This method allocates new memory.
	     *
	     * @param {Number} address The start address of the slice
	     * @param {Number} length The length of memory map to slice out
	     * @param {Number} [padByte=0xFF] The value of the byte assumed to be used as padding
	     * @return {MemoryMap}
	     */

	  }, {
	    key: "slicePad",
	    value: function slicePad(address, length) {
	      var padByte = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 0xFF;

	      if (length < 0) {
	        throw new Error('Length of the slice cannot be negative');
	      }

	      var out = new Uint8Array(length).fill(padByte);

	      var _iterator4 = _createForOfIteratorHelper(this),
	          _step4;

	      try {
	        for (_iterator4.s(); !(_step4 = _iterator4.n()).done;) {
	          var _step4$value = _slicedToArray(_step4.value, 2),
	              blockAddr = _step4$value[0],
	              block = _step4$value[1];

	          var blockLength = block.length;

	          if (blockAddr + blockLength >= address && blockAddr < address + length) {
	            var sliceStart = Math.max(address, blockAddr);
	            var sliceEnd = Math.min(address + length, blockAddr + blockLength);
	            var sliceLength = sliceEnd - sliceStart;
	            var relativeSliceStart = sliceStart - blockAddr;

	            if (sliceLength > 0) {
	              out.set(block.subarray(relativeSliceStart, relativeSliceStart + sliceLength), sliceStart - address);
	            }
	          }
	        }
	      } catch (err) {
	        _iterator4.e(err);
	      } finally {
	        _iterator4.f();
	      }

	      return out;
	    }
	    /**
	     * Checks whether the current memory map contains the one given as a parameter.
	     *
	     * <br/>
	     * "Contains" means that all the offsets that have a byte value in the given
	     * memory map have a value in the current memory map, and that the byte values
	     * are the same.
	     *
	     * <br/>
	     * An empty memory map is always contained in any other memory map.
	     *
	     * <br/>
	     * Returns boolean <tt>true</tt> if the memory map is contained, <tt>false</tt>
	     * otherwise.
	     *
	     * @param {MemoryMap} memMap The memory map to check
	     * @return {Boolean}
	     */

	  }, {
	    key: "contains",
	    value: function contains(memMap) {
	      var _iterator5 = _createForOfIteratorHelper(memMap),
	          _step5;

	      try {
	        for (_iterator5.s(); !(_step5 = _iterator5.n()).done;) {
	          var _step5$value = _slicedToArray(_step5.value, 2),
	              blockAddr = _step5$value[0],
	              block = _step5$value[1];

	          var blockLength = block.length;
	          var slice = this.slice(blockAddr, blockLength).join().get(blockAddr);

	          if (!slice || slice.length !== blockLength) {
	            return false;
	          }

	          for (var i in block) {
	            if (block[i] !== slice[i]) {
	              return false;
	            }
	          }
	        }
	      } catch (err) {
	        _iterator5.e(err);
	      } finally {
	        _iterator5.f();
	      }

	      return true;
	    }
	  }, {
	    key: "size",
	    get: function get() {
	      return this._blocks.size;
	    }
	  }], [{
	    key: "fromHex",
	    value: function fromHex(hexText) {
	      var maxBlockSize = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : Infinity;
	      var blocks = new MemoryMap();
	      var lastCharacterParsed = 0;
	      var matchResult;
	      var recordCount = 0; // Upper Linear Base Address, the 16 most significant bits (2 bytes) of
	      // the current 32-bit (4-byte) address
	      // In practice this is a offset that is summed to the "load offset" of the
	      // data records

	      var ulba = 0;
	      hexLineRegexp.lastIndex = 0; // Reset the regexp, if not it would skip content when called twice

	      while ((matchResult = hexLineRegexp.exec(hexText)) !== null) {
	        recordCount++; // By default, a regexp loop ignores gaps between matches, but
	        // we want to be aware of them.

	        if (lastCharacterParsed !== matchResult.index) {
	          throw new Error('Malformed hex file: Could not parse between characters ' + lastCharacterParsed + ' and ' + matchResult.index + ' ("' + hexText.substring(lastCharacterParsed, Math.min(matchResult.index, lastCharacterParsed + 16)).trim() + '")');
	        }

	        lastCharacterParsed = hexLineRegexp.lastIndex; // Give pretty names to the match's capture groups

	        var _matchResult = matchResult,
	            _matchResult2 = _slicedToArray(_matchResult, 3),
	            recordStr = _matchResult2[1],
	            recordChecksum = _matchResult2[2]; // String to Uint8Array - https://stackoverflow.com/questions/43131242/how-to-convert-a-hexademical-string-of-data-to-an-arraybuffer-in-javascript


	        var recordBytes = new Uint8Array(recordStr.match(/[\da-f]{2}/gi).map(function (h) {
	          return parseInt(h, 16);
	        }));
	        var recordLength = recordBytes[0];

	        if (recordLength + 4 !== recordBytes.length) {
	          throw new Error('Mismatched record length at record ' + recordCount + ' (' + matchResult[0].trim() + '), expected ' + recordLength + ' data bytes but actual length is ' + (recordBytes.length - 4));
	        }

	        var cs = checksum(recordBytes);

	        if (parseInt(recordChecksum, 16) !== cs) {
	          throw new Error('Checksum failed at record ' + recordCount + ' (' + matchResult[0].trim() + '), should be ' + cs.toString(16));
	        }

	        var offset = (recordBytes[1] << 8) + recordBytes[2];
	        var recordType = recordBytes[3];
	        var data = recordBytes.subarray(4);

	        if (recordType === 0) {
	          // Data record, contains data
	          // Create a new block, at (upper linear base address + offset)
	          if (blocks.has(ulba + offset)) {
	            throw new Error('Duplicated data at record ' + recordCount + ' (' + matchResult[0].trim() + ')');
	          }

	          if (offset + data.length > 0x10000) {
	            throw new Error('Data at record ' + recordCount + ' (' + matchResult[0].trim() + ') wraps over 0xFFFF. This would trigger ambiguous behaviour. Please restructure your data so that for every record the data offset plus the data length do not exceed 0xFFFF.');
	          }

	          blocks.set(ulba + offset, data);
	        } else {
	          // All non-data records must have a data offset of zero
	          if (offset !== 0) {
	            throw new Error('Record ' + recordCount + ' (' + matchResult[0].trim() + ') must have 0000 as data offset.');
	          }

	          switch (recordType) {
	            case 1:
	              // EOF
	              if (lastCharacterParsed !== hexText.length) {
	                // This record should be at the very end of the string
	                throw new Error('There is data after an EOF record at record ' + recordCount);
	              }

	              return blocks.join(maxBlockSize);

	            case 2:
	              // Extended Segment Address Record
	              // Sets the 16 most significant bits of the 20-bit Segment Base
	              // Address for the subsequent data.
	              ulba = (data[0] << 8) + data[1] << 4;
	              break;

	            case 3:
	              // Start Segment Address Record
	              // Do nothing. Record type 3 only applies to 16-bit Intel CPUs,
	              // where it should reset the program counter (CS+IP CPU registers)
	              break;

	            case 4:
	              // Extended Linear Address Record
	              // Sets the 16 most significant (upper) bits of the 32-bit Linear Address
	              // for the subsequent data
	              ulba = (data[0] << 8) + data[1] << 16;
	              break;

	            case 5:
	              // Start Linear Address Record
	              // Do nothing. Record type 5 only applies to 32-bit Intel CPUs,
	              // where it should reset the program counter (EIP CPU register)
	              // It might have meaning for other CPU architectures
	              // (see http://infocenter.arm.com/help/index.jsp?topic=/com.arm.doc.faqs/ka9903.html )
	              // but will be ignored nonetheless.
	              break;

	            default:
	              throw new Error('Invalid record type 0x' + hexpad(recordType) + ' at record ' + recordCount + ' (should be between 0x00 and 0x05)');
	          }
	        }
	      }

	      if (recordCount) {
	        throw new Error('No EOF record at end of file');
	      } else {
	        throw new Error('Malformed .hex file, could not parse any registers');
	      }
	    }
	  }, {
	    key: "overlapMemoryMaps",
	    value: function overlapMemoryMaps(memoryMaps) {
	      // First pass: create a list of addresses where any block starts or ends.
	      var cuts = new Set();

	      var _iterator6 = _createForOfIteratorHelper(memoryMaps),
	          _step6;

	      try {
	        for (_iterator6.s(); !(_step6 = _iterator6.n()).done;) {
	          var _step6$value = _slicedToArray(_step6.value, 2),
	              blocks = _step6$value[1];

	          var _iterator7 = _createForOfIteratorHelper(blocks),
	              _step7;

	          try {
	            for (_iterator7.s(); !(_step7 = _iterator7.n()).done;) {
	              var _step7$value = _slicedToArray(_step7.value, 2),
	                  address = _step7$value[0],
	                  block = _step7$value[1];

	              cuts.add(address);
	              cuts.add(address + block.length);
	            }
	          } catch (err) {
	            _iterator7.e(err);
	          } finally {
	            _iterator7.f();
	          }
	        }
	      } catch (err) {
	        _iterator6.e(err);
	      } finally {
	        _iterator6.f();
	      }

	      var orderedCuts = Array.from(cuts.values()).sort(function (a, b) {
	        return a - b;
	      });
	      var overlaps = new Map(); // Second pass: iterate through the cuts, get slices of every intersecting blockset

	      var _loop = function _loop(i, l) {
	        var cut = orderedCuts[i];
	        var nextCut = orderedCuts[i + 1];
	        var tuples = [];

	        var _iterator8 = _createForOfIteratorHelper(memoryMaps),
	            _step8;

	        try {
	          for (_iterator8.s(); !(_step8 = _iterator8.n()).done;) {
	            var _step8$value = _slicedToArray(_step8.value, 2),
	                setId = _step8$value[0],
	                _blocks = _step8$value[1];

	            // Find the block with the highest address that is equal or lower to
	            // the current cut (if any)
	            var blockAddr = Array.from(_blocks.keys()).reduce(function (acc, val) {
	              if (val > cut) {
	                return acc;
	              }

	              return Math.max(acc, val);
	            }, -1);

	            if (blockAddr !== -1) {
	              var _block = _blocks.get(blockAddr);

	              var subBlockStart = cut - blockAddr;
	              var subBlockEnd = nextCut - blockAddr;

	              if (subBlockStart < _block.length) {
	                tuples.push([setId, _block.subarray(subBlockStart, subBlockEnd)]);
	              }
	            }
	          }
	        } catch (err) {
	          _iterator8.e(err);
	        } finally {
	          _iterator8.f();
	        }

	        if (tuples.length) {
	          overlaps.set(cut, tuples);
	        }
	      };

	      for (var i = 0, l = orderedCuts.length - 1; i < l; i++) {
	        _loop(i);
	      }

	      return overlaps;
	    }
	    /**
	     * Given the output of the {@linkcode MemoryMap.overlapMemoryMaps|overlapMemoryMaps}
	     * (a <tt>Map</tt> of address to an <tt>Array</tt> of <tt>(id, Uint8Array)</tt> tuples),
	     * returns a {@linkcode MemoryMap}. This discards the IDs in the process.
	     *<br/>
	     * The output <tt>Map</tt> contains as many entries as the input one (using the same addresses
	     * as keys), but the value for each entry will be the <tt>Uint8Array</tt> of the <b>last</b>
	     * tuple for each address in the input data.
	     *<br/>
	     * The scenario is wanting to join together several parsed .hex files, not worrying about
	     * their overlaps.
	     *<br/>
	     *
	     * @param {Map.Array<mixed,Uint8Array>} overlaps The (possibly overlapping) input memory blocks
	     * @return {MemoryMap} The flattened memory blocks
	     */

	  }, {
	    key: "flattenOverlaps",
	    value: function flattenOverlaps(overlaps) {
	      return new MemoryMap(Array.from(overlaps.entries()).map(function (_ref) {
	        var _ref2 = _slicedToArray(_ref, 2),
	            address = _ref2[0],
	            tuples = _ref2[1];

	        return [address, tuples[tuples.length - 1][1]];
	      }));
	    }
	  }, {
	    key: "fromPaddedUint8Array",
	    value: function fromPaddedUint8Array(bytes) {
	      var padByte = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0xFF;
	      var minPadLength = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 64;

	      if (!(bytes instanceof Uint8Array)) {
	        throw new Error('Bytes passed to fromPaddedUint8Array are not an Uint8Array');
	      } // The algorithm used is naïve and checks every byte.
	      // An obvious optimization would be to implement Boyer-Moore
	      // (see https://en.wikipedia.org/wiki/Boyer%E2%80%93Moore_string_search_algorithm )
	      // or otherwise start skipping up to minPadLength bytes when going through a non-pad
	      // byte.
	      // Anyway, we could expect a lot of cases where there is a majority of pad bytes,
	      // and the algorithm should check most of them anyway, so the perf gain is questionable.


	      var memMap = new MemoryMap();
	      var consecutivePads = 0;
	      var lastNonPad = -1;
	      var firstNonPad = 0;
	      var skippingBytes = false;
	      var l = bytes.length;

	      for (var addr = 0; addr < l; addr++) {
	        var byte = bytes[addr];

	        if (byte === padByte) {
	          consecutivePads++;

	          if (consecutivePads >= minPadLength) {
	            // Edge case: ignore writing a zero-length block when skipping
	            // bytes at the beginning of the input
	            if (lastNonPad !== -1) {
	              /// Add the previous block to the result memMap
	              memMap.set(firstNonPad, bytes.subarray(firstNonPad, lastNonPad + 1));
	            }

	            skippingBytes = true;
	          }
	        } else {
	          if (skippingBytes) {
	            skippingBytes = false;
	            firstNonPad = addr;
	          }

	          lastNonPad = addr;
	          consecutivePads = 0;
	        }
	      } // At EOF, add the last block if not skipping bytes already (and input not empty)


	      if (!skippingBytes && lastNonPad !== -1) {
	        memMap.set(firstNonPad, bytes.subarray(firstNonPad, l));
	      }

	      return memMap;
	    }
	  }]);

	  return MemoryMap;
	}();

	var textEncoderLite = createCommonjsModule(function (module) {
	  function TextEncoderLite() {}

	  function TextDecoderLite() {}

	  (function () {
	    // Thanks Feross et al! :-)

	    function utf8ToBytes(string, units) {
	      units = units || Infinity;
	      var codePoint;
	      var length = string.length;
	      var leadSurrogate = null;
	      var bytes = [];
	      var i = 0;

	      for (; i < length; i++) {
	        codePoint = string.charCodeAt(i); // is surrogate component

	        if (codePoint > 0xD7FF && codePoint < 0xE000) {
	          // last char was a lead
	          if (leadSurrogate) {
	            // 2 leads in a row
	            if (codePoint < 0xDC00) {
	              if ((units -= 3) > -1) bytes.push(0xEF, 0xBF, 0xBD);
	              leadSurrogate = codePoint;
	              continue;
	            } else {
	              // valid surrogate pair
	              codePoint = leadSurrogate - 0xD800 << 10 | codePoint - 0xDC00 | 0x10000;
	              leadSurrogate = null;
	            }
	          } else {
	            // no lead yet
	            if (codePoint > 0xDBFF) {
	              // unexpected trail
	              if ((units -= 3) > -1) bytes.push(0xEF, 0xBF, 0xBD);
	              continue;
	            } else if (i + 1 === length) {
	              // unpaired lead
	              if ((units -= 3) > -1) bytes.push(0xEF, 0xBF, 0xBD);
	              continue;
	            } else {
	              // valid lead
	              leadSurrogate = codePoint;
	              continue;
	            }
	          }
	        } else if (leadSurrogate) {
	          // valid bmp char, but last char was a lead
	          if ((units -= 3) > -1) bytes.push(0xEF, 0xBF, 0xBD);
	          leadSurrogate = null;
	        } // encode utf8


	        if (codePoint < 0x80) {
	          if ((units -= 1) < 0) break;
	          bytes.push(codePoint);
	        } else if (codePoint < 0x800) {
	          if ((units -= 2) < 0) break;
	          bytes.push(codePoint >> 0x6 | 0xC0, codePoint & 0x3F | 0x80);
	        } else if (codePoint < 0x10000) {
	          if ((units -= 3) < 0) break;
	          bytes.push(codePoint >> 0xC | 0xE0, codePoint >> 0x6 & 0x3F | 0x80, codePoint & 0x3F | 0x80);
	        } else if (codePoint < 0x200000) {
	          if ((units -= 4) < 0) break;
	          bytes.push(codePoint >> 0x12 | 0xF0, codePoint >> 0xC & 0x3F | 0x80, codePoint >> 0x6 & 0x3F | 0x80, codePoint & 0x3F | 0x80);
	        } else {
	          throw new Error('Invalid code point');
	        }
	      }

	      return bytes;
	    }

	    function utf8Slice(buf, start, end) {
	      var res = '';
	      var tmp = '';
	      end = Math.min(buf.length, end || Infinity);
	      start = start || 0;

	      for (var i = start; i < end; i++) {
	        if (buf[i] <= 0x7F) {
	          res += decodeUtf8Char(tmp) + String.fromCharCode(buf[i]);
	          tmp = '';
	        } else {
	          tmp += '%' + buf[i].toString(16);
	        }
	      }

	      return res + decodeUtf8Char(tmp);
	    }

	    function decodeUtf8Char(str) {
	      try {
	        return decodeURIComponent(str);
	      } catch (err) {
	        return String.fromCharCode(0xFFFD); // UTF 8 invalid char
	      }
	    }

	    TextEncoderLite.prototype.encode = function (str) {
	      var result;

	      if ('undefined' === typeof Uint8Array) {
	        result = utf8ToBytes(str);
	      } else {
	        result = new Uint8Array(utf8ToBytes(str));
	      }

	      return result;
	    };

	    TextDecoderLite.prototype.decode = function (bytes) {
	      return utf8Slice(bytes, 0, bytes.length);
	    };
	  })();

	  if ( module) {
	    module.exports.TextDecoderLite = TextDecoderLite;
	    module.exports.TextEncoderLite = TextEncoderLite;
	  }
	});
	var textEncoderLite_1 = textEncoderLite.TextDecoderLite;
	var textEncoderLite_2 = textEncoderLite.TextEncoderLite;

	/**
	 * Converts a string into a byte array of characters.
	 * @param str - String to convert to bytes.
	 * @returns A byte array with the encoded data.
	 */

	function strToBytes(str) {
	  var encoder = new textEncoderLite_2();
	  return encoder.encode(str);
	}
	/**
	 * Converts a byte array into a string of characters.
	 * @param byteArray - Array of bytes to convert.
	 * @returns String output from the conversion.
	 */

	function bytesToStr(byteArray) {
	  var decoder = new textEncoderLite_1();
	  return decoder.decode(byteArray);
	}
	/**
	 * Concatenates two Uint8Arrays.
	 *
	 * @param first - The first array to concatenate.
	 * @param second - The second array to concatenate.
	 * @returns New array with both inputs concatenated.
	 */

	var concatUint8Array = function concatUint8Array(first, second) {
	  var combined = new Uint8Array(first.length + second.length);
	  combined.set(first);
	  combined.set(second, first.length);
	  return combined;
	};
	/**
	 * Compares two Uint8Array.
	 *
	 * @param first - The first array to compare.
	 * @param second - The second array to compare.
	 * @returns Boolean indicating if they are equal.
	 */

	var areUint8ArraysEqual = function areUint8ArraysEqual(first, second) {
	  if (first.length !== second.length) return false;

	  for (var i = 0; i < first.length; i++) {
	    if (first[i] !== second[i]) return false;
	  }

	  return true;
	};

	/** User script located at specific flash address. */



	(function (AppendedBlock) {
	  AppendedBlock[AppendedBlock["StartAdd"] = 253952] = "StartAdd";
	  AppendedBlock[AppendedBlock["Length"] = 8192] = "Length";
	  AppendedBlock[AppendedBlock["EndAdd"] = 262144] = "EndAdd";
	})(exports.AppendedBlock || (exports.AppendedBlock = {}));
	/** Start of user script marked by "MP" + 2 bytes for the script length. */


	var HEADER_START_BYTE_0 = 77; // 'M'

	var HEADER_START_BYTE_1 = 80; // 'P'

	/** How many bytes per Intel Hex record line. */

	var HEX_RECORD_DATA_LEN = 16;
	/**
	 * Marker placed inside the MicroPython hex string to indicate where to
	 * inject the user Python Code.
	 */

	var HEX_INSERTION_POINT = ':::::::::::::::::::::::::::::::::::::::::::\n';
	/**
	 * Removes the old insertion line the input Intel Hex string contains it.
	 *
	 * @param intelHex - String with the intel hex lines.
	 * @returns The Intel Hex string without insertion line.
	 */

	function cleanseOldHexFormat(intelHex) {
	  return intelHex.replace(HEX_INSERTION_POINT, '');
	}
	/**
	 * Parses through an Intel Hex string to find the Python code at the
	 * allocated address and extracts it.
	 *
	 * @param intelHex - Intel Hex block to scan for the code.
	 * @return Python code.
	 */

	function getIntelHexAppendedScript(intelHex) {
	  var pyCode = '';
	  var hexFileMemMap = MemoryMap.fromHex(intelHex); // Check that the known flash location has user code

	  if (hexFileMemMap.has(exports.AppendedBlock.StartAdd)) {
	    var pyCodeMemMap = hexFileMemMap.slice(exports.AppendedBlock.StartAdd, exports.AppendedBlock.Length);
	    var codeBytes = pyCodeMemMap.get(exports.AppendedBlock.StartAdd);

	    if (codeBytes[0
	    /* Byte0 */
	    ] === HEADER_START_BYTE_0 && codeBytes[1
	    /* Byte1 */
	    ] === HEADER_START_BYTE_1) {
	      pyCode = bytesToStr(codeBytes.slice(4
	      /* Length */
	      )); // Clean null terminators at the end

	      pyCode = pyCode.replace(/\0/g, '');
	    }
	  }

	  return pyCode;
	}
	/**
	 * When the user code is inserted into the flash known location it needs to be
	 * packed with a header. This function outputs a byte array with a fully formed
	 * User Code Block.
	 *
	 * @param dataBytes - Array of bytes to include in the User Code block.
	 * @returns Byte array with the full User Code Block.
	 */


	function createAppendedBlock(dataBytes) {
	  var blockLength = dataBytes.length + 4
	  /* Length */
	  ; // Old DAPLink versions need padding on the last record to fill the line

	  if (blockLength % HEX_RECORD_DATA_LEN) {
	    blockLength += HEX_RECORD_DATA_LEN - blockLength % HEX_RECORD_DATA_LEN;
	  }

	  var blockBytes = new Uint8Array(blockLength).fill(0x00); // The user script block has to start with "MP" marker + script length

	  blockBytes[0] = HEADER_START_BYTE_0;
	  blockBytes[1] = HEADER_START_BYTE_1;
	  blockBytes[2] = dataBytes.length & 0xff;
	  blockBytes[3] = dataBytes.length >> 8 & 0xff;
	  blockBytes.set(dataBytes, 4
	  /* Length */
	  );
	  return blockBytes;
	}
	/**
	 * Converts the Python code into the Intel Hex format expected by
	 * MicroPython and injects it into a Intel Hex string containing a marker.
	 *
	 * TODO: Throw error if filesystem is using the penultimate page already.
	 *
	 * @param intelHex - Single string of Intel Hex records to inject the code.
	 * @param pyStr - Python code string.
	 * @returns Intel Hex string with the Python code injected.
	 */


	function addIntelHexAppendedScript(intelHex, pyCode) {
	  var codeBytes = strToBytes(pyCode);
	  var blockBytes = createAppendedBlock(codeBytes);

	  if (blockBytes.length > exports.AppendedBlock.Length) {
	    throw new RangeError('Too long');
	  } // Convert to Intel Hex format


	  var intelHexClean = cleanseOldHexFormat(intelHex);
	  var intelHexMap = MemoryMap.fromHex(intelHexClean);
	  intelHexMap.set(exports.AppendedBlock.StartAdd, blockBytes); // Older versions of DAPLink need the file to end in a new line

	  return intelHexMap.asHexString() + '\n';
	}
	/**
	 * Checks the Intel Hex memory map to see if there is an appended script.
	 *
	 * @param intelHexMap - Memory map for the MicroPython Intel Hex.
	 * @returns True if appended script is present, false otherwise.
	 */


	function isAppendedScriptPresent(intelHex) {
	  var intelHexMap;

	  if (typeof intelHex === 'string') {
	    var intelHexClean = cleanseOldHexFormat(intelHex);
	    intelHexMap = MemoryMap.fromHex(intelHexClean);
	  } else {
	    intelHexMap = intelHex;
	  }

	  var headerMagic = intelHexMap.slicePad(exports.AppendedBlock.StartAdd, 2, 0xff);
	  return headerMagic[0] === HEADER_START_BYTE_0 && headerMagic[1] === HEADER_START_BYTE_1;
	}

	var isEnum$1 = _objectPie.f;
	var _objectToArray = function (isEntries) {
	  return function (it) {
	    var O = _toIobject(it);
	    var keys = _objectKeys(O);
	    var length = keys.length;
	    var i = 0;
	    var result = [];
	    var key;
	    while (length > i) {
	      key = keys[i++];
	      if (!_descriptors || isEnum$1.call(O, key)) {
	        result.push(isEntries ? [key, O[key]] : O[key]);
	      }
	    }
	    return result;
	  };
	};

	// https://github.com/tc39/proposal-object-values-entries

	var $entries = _objectToArray(true);

	_export(_export.S, 'Object', {
	  entries: function entries(it) {
	    return $entries(it);
	  }
	});

	// https://github.com/tc39/proposal-object-values-entries

	var $values = _objectToArray(false);

	_export(_export.S, 'Object', {
	  values: function values(it) {
	    return $values(it);
	  }
	});

	// 7.2.8 IsRegExp(argument)


	var MATCH = _wks('match');
	var _isRegexp = function (it) {
	  var isRegExp;
	  return _isObject(it) && ((isRegExp = it[MATCH]) !== undefined ? !!isRegExp : _cof(it) == 'RegExp');
	};

	// helper for String#{startsWith, endsWith, includes}



	var _stringContext = function (that, searchString, NAME) {
	  if (_isRegexp(searchString)) throw TypeError('String#' + NAME + " doesn't accept regex!");
	  return String(_defined(that));
	};

	var MATCH$1 = _wks('match');
	var _failsIsRegexp = function (KEY) {
	  var re = /./;
	  try {
	    '/./'[KEY](re);
	  } catch (e) {
	    try {
	      re[MATCH$1] = false;
	      return !'/./'[KEY](re);
	    } catch (f) { /* empty */ }
	  } return true;
	};

	var INCLUDES = 'includes';

	_export(_export.P + _export.F * _failsIsRegexp(INCLUDES), 'String', {
	  includes: function includes(searchString /* , position = 0 */) {
	    return !!~_stringContext(this, searchString, INCLUDES)
	      .indexOf(searchString, arguments.length > 1 ? arguments[1] : undefined);
	  }
	});

	var ENDS_WITH = 'endsWith';
	var $endsWith = ''[ENDS_WITH];

	_export(_export.P + _export.F * _failsIsRegexp(ENDS_WITH), 'String', {
	  endsWith: function endsWith(searchString /* , endPosition = @length */) {
	    var that = _stringContext(this, searchString, ENDS_WITH);
	    var endPosition = arguments.length > 1 ? arguments[1] : undefined;
	    var len = _toLength(that.length);
	    var end = endPosition === undefined ? len : Math.min(_toLength(endPosition), len);
	    var search = String(searchString);
	    return $endsWith
	      ? $endsWith.call(that, search, end)
	      : that.slice(end - search.length, end) === search;
	  }
	});

	// https://github.com/tc39/Array.prototype.includes

	var $includes = _arrayIncludes(true);

	_export(_export.P, 'Array', {
	  includes: function includes(el /* , fromIndex = 0 */) {
	    return $includes(this, el, arguments.length > 1 ? arguments[1] : undefined);
	  }
	});

	_addToUnscopables('includes');

	var $min = Math.min;
	var $push = [].push;
	var $SPLIT = 'split';
	var LENGTH = 'length';
	var LAST_INDEX$1 = 'lastIndex';
	var MAX_UINT32 = 0xffffffff;

	// babel-minify transpiles RegExp('x', 'y') -> /x/y and it causes SyntaxError
	var SUPPORTS_Y = !_fails(function () { RegExp(MAX_UINT32, 'y'); });

	// @@split logic
	_fixReWks('split', 2, function (defined, SPLIT, $split, maybeCallNative) {
	  var internalSplit;
	  if (
	    'abbc'[$SPLIT](/(b)*/)[1] == 'c' ||
	    'test'[$SPLIT](/(?:)/, -1)[LENGTH] != 4 ||
	    'ab'[$SPLIT](/(?:ab)*/)[LENGTH] != 2 ||
	    '.'[$SPLIT](/(.?)(.?)/)[LENGTH] != 4 ||
	    '.'[$SPLIT](/()()/)[LENGTH] > 1 ||
	    ''[$SPLIT](/.?/)[LENGTH]
	  ) {
	    // based on es5-shim implementation, need to rework it
	    internalSplit = function (separator, limit) {
	      var string = String(this);
	      if (separator === undefined && limit === 0) return [];
	      // If `separator` is not a regex, use native split
	      if (!_isRegexp(separator)) return $split.call(string, separator, limit);
	      var output = [];
	      var flags = (separator.ignoreCase ? 'i' : '') +
	                  (separator.multiline ? 'm' : '') +
	                  (separator.unicode ? 'u' : '') +
	                  (separator.sticky ? 'y' : '');
	      var lastLastIndex = 0;
	      var splitLimit = limit === undefined ? MAX_UINT32 : limit >>> 0;
	      // Make `global` and avoid `lastIndex` issues by working with a copy
	      var separatorCopy = new RegExp(separator.source, flags + 'g');
	      var match, lastIndex, lastLength;
	      while (match = _regexpExec.call(separatorCopy, string)) {
	        lastIndex = separatorCopy[LAST_INDEX$1];
	        if (lastIndex > lastLastIndex) {
	          output.push(string.slice(lastLastIndex, match.index));
	          if (match[LENGTH] > 1 && match.index < string[LENGTH]) $push.apply(output, match.slice(1));
	          lastLength = match[0][LENGTH];
	          lastLastIndex = lastIndex;
	          if (output[LENGTH] >= splitLimit) break;
	        }
	        if (separatorCopy[LAST_INDEX$1] === match.index) separatorCopy[LAST_INDEX$1]++; // Avoid an infinite loop
	      }
	      if (lastLastIndex === string[LENGTH]) {
	        if (lastLength || !separatorCopy.test('')) output.push('');
	      } else output.push(string.slice(lastLastIndex));
	      return output[LENGTH] > splitLimit ? output.slice(0, splitLimit) : output;
	    };
	  // Chakra, V8
	  } else if ('0'[$SPLIT](undefined, 0)[LENGTH]) {
	    internalSplit = function (separator, limit) {
	      return separator === undefined && limit === 0 ? [] : $split.call(this, separator, limit);
	    };
	  } else {
	    internalSplit = $split;
	  }

	  return [
	    // `String.prototype.split` method
	    // https://tc39.github.io/ecma262/#sec-string.prototype.split
	    function split(separator, limit) {
	      var O = defined(this);
	      var splitter = separator == undefined ? undefined : separator[SPLIT];
	      return splitter !== undefined
	        ? splitter.call(separator, O, limit)
	        : internalSplit.call(String(O), separator, limit);
	    },
	    // `RegExp.prototype[@@split]` method
	    // https://tc39.github.io/ecma262/#sec-regexp.prototype-@@split
	    //
	    // NOTE: This cannot be properly polyfilled in engines that don't support
	    // the 'y' flag.
	    function (regexp, limit) {
	      var res = maybeCallNative(internalSplit, regexp, this, limit, internalSplit !== $split);
	      if (res.done) return res.value;

	      var rx = _anObject(regexp);
	      var S = String(this);
	      var C = _speciesConstructor(rx, RegExp);

	      var unicodeMatching = rx.unicode;
	      var flags = (rx.ignoreCase ? 'i' : '') +
	                  (rx.multiline ? 'm' : '') +
	                  (rx.unicode ? 'u' : '') +
	                  (SUPPORTS_Y ? 'y' : 'g');

	      // ^(? + rx + ) is needed, in combination with some S slicing, to
	      // simulate the 'y' flag.
	      var splitter = new C(SUPPORTS_Y ? rx : '^(?:' + rx.source + ')', flags);
	      var lim = limit === undefined ? MAX_UINT32 : limit >>> 0;
	      if (lim === 0) return [];
	      if (S.length === 0) return _regexpExecAbstract(splitter, S) === null ? [S] : [];
	      var p = 0;
	      var q = 0;
	      var A = [];
	      while (q < S.length) {
	        splitter.lastIndex = SUPPORTS_Y ? q : 0;
	        var z = _regexpExecAbstract(splitter, SUPPORTS_Y ? S : S.slice(q));
	        var e;
	        if (
	          z === null ||
	          (e = $min(_toLength(splitter.lastIndex + (SUPPORTS_Y ? 0 : q)), S.length)) === p
	        ) {
	          q = _advanceStringIndex(S, q, unicodeMatching);
	        } else {
	          A.push(S.slice(p, q));
	          if (A.length === lim) return A;
	          for (var i = 1; i <= z.length - 1; i++) {
	            A.push(z[i]);
	            if (A.length === lim) return A;
	          }
	          q = p = e;
	        }
	      }
	      A.push(S.slice(p));
	      return A;
	    }
	  ];
	});

	// 20.1.2.4 Number.isNaN(number)


	_export(_export.S, 'Number', {
	  isNaN: function isNaN(number) {
	    // eslint-disable-next-line no-self-compare
	    return number != number;
	  }
	});

	/**
	 * General utilities.
	 * @packageDocumentation
	 *
	 * (c) 2020 Micro:bit Educational Foundation and the project contributors.
	 * SPDX-License-Identifier: MIT
	 */

	/**
	 * Convert from a string with a hexadecimal number into a Uint8Array byte array.
	 *
	 * @export
	 * @param hexStr A string with a hexadecimal number.
	 * @returns A Uint8Array with the number broken down in bytes.
	 */
	function hexStrToBytes(hexStr) {
	  if (hexStr.length % 2 !== 0) {
	    throw new Error("Hex string \"" + hexStr + "\" is not divisible by 2.");
	  }

	  var byteArray = hexStr.match(/.{1,2}/g);

	  if (byteArray) {
	    return new Uint8Array(byteArray.map(function (byteStr) {
	      var byteNum = parseInt(byteStr, 16);

	      if (Number.isNaN(byteNum)) {
	        throw new Error("There were some non-hex characters in \"" + hexStr + "\".");
	      } else {
	        return byteNum;
	      }
	    }));
	  } else {
	    return new Uint8Array();
	  }
	}
	/**
	 * A version of byteToHexStr() without input sanitation, only to be called when
	 * the caller can guarantee the input is a positive integer between 0 and 0xFF.
	 *
	 * @export
	 * @param byte Number to convert into a hex string.
	 * @returns String with hex value, padded to always have 2 characters.
	 */

	function byteToHexStrFast(byte) {
	  return byte.toString(16).toUpperCase().padStart(2, '0');
	}
	/**
	 * Converts a Uint8Array into a string with base 16 hex digits. It doesn't
	 * include an opening '0x'.
	 *
	 * @export
	 * @param byteArray Uint8Array to convert to hex.
	 * @returns String with base 16 hex digits.
	 */

	function byteArrayToHexStr(byteArray) {
	  return byteArray.reduce(function (accumulator, current) {
	    return accumulator + current.toString(16).toUpperCase().padStart(2, '0');
	  }, '');
	}
	/**
	 * Concatenates an array of Uint8Arrays into a single Uint8Array.
	 *
	 * @export
	 * @param arraysToConcat Arrays to concatenate.
	 * @returns Single concatenated Uint8Array.
	 */

	function concatUint8Arrays(arraysToConcat) {
	  var fullLength = arraysToConcat.reduce(function (accumulator, currentValue) {
	    return accumulator + currentValue.length;
	  }, 0);
	  var combined = new Uint8Array(fullLength);
	  arraysToConcat.reduce(function (accumulator, currentArray) {
	    combined.set(currentArray, accumulator);
	    return accumulator + currentArray.length;
	  }, 0);
	  return combined;
	}

	/** Values for the Record Type field, including Universal Hex custom types. */

	var RecordType;

	(function (RecordType) {
	  RecordType[RecordType["Data"] = 0] = "Data";
	  RecordType[RecordType["EndOfFile"] = 1] = "EndOfFile";
	  RecordType[RecordType["ExtendedSegmentAddress"] = 2] = "ExtendedSegmentAddress";
	  RecordType[RecordType["StartSegmentAddress"] = 3] = "StartSegmentAddress";
	  RecordType[RecordType["ExtendedLinearAddress"] = 4] = "ExtendedLinearAddress";
	  RecordType[RecordType["StartLinearAddress"] = 5] = "StartLinearAddress";
	  RecordType[RecordType["BlockStart"] = 10] = "BlockStart";
	  RecordType[RecordType["BlockEnd"] = 11] = "BlockEnd";
	  RecordType[RecordType["PaddedData"] = 12] = "PaddedData";
	  RecordType[RecordType["CustomData"] = 13] = "CustomData";
	  RecordType[RecordType["OtherData"] = 14] = "OtherData";
	})(RecordType || (RecordType = {}));
	/**
	 * The maximum data bytes per record is 0xFF, 16 and 32 bytes are the two most
	 * common lengths, but DAPLink doesn't support more than 32 bytes.
	 */


	var RECORD_DATA_MAX_BYTES = 32;
	/**
	 * Constants for the record character lengths.
	 */

	var START_CODE_STR = ':';
	var START_CODE_INDEX = 0;
	var START_CODE_STR_LEN = START_CODE_STR.length;
	var BYTE_COUNT_STR_INDEX = START_CODE_INDEX + START_CODE_STR_LEN;
	var BYTE_COUNT_STR_LEN = 2;
	var ADDRESS_STR_INDEX = BYTE_COUNT_STR_INDEX + BYTE_COUNT_STR_LEN;
	var ADDRESS_STR_LEN = 4;
	var RECORD_TYPE_STR_INDEX = ADDRESS_STR_INDEX + ADDRESS_STR_LEN;
	var RECORD_TYPE_STR_LEN = 2;
	var DATA_STR_INDEX = RECORD_TYPE_STR_INDEX + RECORD_TYPE_STR_LEN;
	var DATA_STR_LEN_MIN = 0;
	var CHECKSUM_STR_LEN = 2;
	var MIN_RECORD_STR_LEN = START_CODE_STR_LEN + BYTE_COUNT_STR_LEN + ADDRESS_STR_LEN + RECORD_TYPE_STR_LEN + DATA_STR_LEN_MIN + CHECKSUM_STR_LEN;
	var MAX_RECORD_STR_LEN = MIN_RECORD_STR_LEN - DATA_STR_LEN_MIN + RECORD_DATA_MAX_BYTES * 2;
	/**
	 * Checks if a given number is a valid Record type.
	 *
	 * @param recordType Number to check
	 * @returns True if it's a valid Record type.
	 */

	function isRecordTypeValid(recordType) {
	  // Checking ranges is more efficient than object key comparison
	  // This also allow us use a const enum (compilation replaces it by literals)
	  if (recordType >= RecordType.Data && recordType <= RecordType.StartLinearAddress || recordType >= RecordType.BlockStart && recordType <= RecordType.OtherData) {
	    return true;
	  }

	  return false;
	}
	/**
	 * Calculates the Intel Hex checksum.
	 *
	 * This is basically the LSB of the two's complement of the sum of all bytes.
	 *
	 * @param dataBytes A byte array to calculate the checksum into.
	 * @returns Checksum byte.
	 */


	function calcChecksumByte(dataBytes) {
	  var sum = dataBytes.reduce(function (accumulator, currentValue) {
	    return accumulator + currentValue;
	  }, 0);
	  return -sum & 0xff;
	}
	/**
	 * Creates an Intel Hex record with normal or custom record types.
	 *
	 * @param address - The two least significant bytes for the data address.
	 * @param recordType - Record type, could be one of the standard types or any
	 *    of the custom types created for forming a Universal Hex.
	 * @param dataBytes - Byte array with the data to include in the record.
	 * @returns A string with the Intel Hex record.
	 */


	function createRecord(address, recordType, dataBytes) {
	  if (address < 0 || address > 0xffff) {
	    throw new Error("Record (" + recordType + ") address out of range: " + address);
	  }

	  var byteCount = dataBytes.length;

	  if (byteCount > RECORD_DATA_MAX_BYTES) {
	    throw new Error("Record (" + recordType + ") data has too many bytes (" + byteCount + ").");
	  }

	  if (!isRecordTypeValid(recordType)) {
	    throw new Error("Record type '" + recordType + "' is not valid.");
	  }

	  var recordContent = concatUint8Arrays([new Uint8Array([byteCount, address >> 8, address & 0xff, recordType]), dataBytes]);
	  var recordContentStr = byteArrayToHexStr(recordContent);
	  var checksumStr = byteToHexStrFast(calcChecksumByte(recordContent));
	  return "" + START_CODE_STR + recordContentStr + checksumStr;
	}
	/**
	 * Check if an Intel Hex record conforms to the following rules:
	 *  - Correct length of characters
	 *  - Starts with a colon
	 *
	 * TODO: Apply more rules.
	 *
	 * @param iHexRecord - Single Intel Hex record to check.
	 * @returns A boolean indicating if the record is valid.
	 */


	function validateRecord(iHexRecord) {
	  if (iHexRecord.length < MIN_RECORD_STR_LEN) {
	    throw new Error("Record length too small: " + iHexRecord);
	  }

	  if (iHexRecord.length > MAX_RECORD_STR_LEN) {
	    throw new Error("Record length is too large: " + iHexRecord);
	  }

	  if (iHexRecord[0] !== ':') {
	    throw new Error("Record does not start with a \":\": " + iHexRecord);
	  }

	  return true;
	}
	/**
	 * Retrieves the Record Type form an Intel Hex record line.
	 *
	 * @param iHexRecord Intel hex record line without line terminator.
	 * @returns The RecordType value.
	 */


	function getRecordType(iHexRecord) {
	  validateRecord(iHexRecord);
	  var recordTypeCharStart = START_CODE_STR_LEN + BYTE_COUNT_STR_LEN + ADDRESS_STR_LEN;
	  var recordTypeStr = iHexRecord.slice(recordTypeCharStart, recordTypeCharStart + RECORD_TYPE_STR_LEN);
	  var recordType = parseInt(recordTypeStr, 16);

	  if (!isRecordTypeValid(recordType)) {
	    throw new Error("Record type '" + recordTypeStr + "' from record '" + iHexRecord + "' is not valid.");
	  }

	  return recordType;
	}
	/**
	 * Retrieves the data field from a record.
	 *
	 * @param iHexRecord Intel Hex record string.
	 * @returns The record Data in a byte array.
	 */


	function getRecordData(iHexRecord) {
	  try {
	    // The only thing after the Data bytes is the Checksum (2 characters)
	    return hexStrToBytes(iHexRecord.slice(DATA_STR_INDEX, -2));
	  } catch (e) {
	    throw new Error("Could not parse Intel Hex record \"" + iHexRecord + "\": " + e.message);
	  }
	}
	/**
	 * Parses an Intel Hex record into an Record object with its respective fields.
	 *
	 * @param iHexRecord Intel hex record line without line terminator.
	 * @returns New object with the Record interface.
	 */


	function parseRecord(iHexRecord) {
	  validateRecord(iHexRecord);
	  var recordBytes;

	  try {
	    recordBytes = hexStrToBytes(iHexRecord.substring(1));
	  } catch (e) {
	    throw new Error("Could not parse Intel Hex record \"" + iHexRecord + "\": " + e.message);
	  }

	  var byteCountIndex = 0;
	  var byteCount = recordBytes[0];
	  var addressIndex = byteCountIndex + BYTE_COUNT_STR_LEN / 2;
	  var address = (recordBytes[addressIndex] << 8) + recordBytes[addressIndex + 1];
	  var recordTypeIndex = addressIndex + ADDRESS_STR_LEN / 2;
	  var recordType = recordBytes[recordTypeIndex];
	  var dataIndex = recordTypeIndex + RECORD_TYPE_STR_LEN / 2;
	  var checksumIndex = dataIndex + byteCount;
	  var data = recordBytes.slice(dataIndex, checksumIndex);
	  var checksum = recordBytes[checksumIndex];
	  var totalLength = checksumIndex + CHECKSUM_STR_LEN / 2;

	  if (recordBytes.length > totalLength) {
	    throw new Error("Parsed record \"" + iHexRecord + "\" is larger than indicated by the byte count." + ("\n\tExpected: " + totalLength + "; Length: " + recordBytes.length + "."));
	  }

	  return {
	    byteCount: byteCount,
	    address: address,
	    recordType: recordType,
	    data: data,
	    checksum: checksum
	  };
	}
	/**
	 * Creates an End Of File Intel Hex record.
	 *
	 * @returns End of File record with new line.
	 */


	function endOfFileRecord() {
	  // No need to use createRecord(), this record is always the same
	  return ':00000001FF';
	}
	/**
	 * Creates an Extended Linear Address record from a 4 byte address.
	 *
	 * @param address - Full 32 bit address.
	 * @returns The Extended Linear Address Intel Hex record.
	 */


	function extLinAddressRecord(address) {
	  if (address < 0 || address > 0xffffffff) {
	    throw new Error("Address '" + address + "' for Extended Linear Address record is out of range.");
	  }

	  return createRecord(0, RecordType.ExtendedLinearAddress, new Uint8Array([address >> 24 & 0xff, address >> 16 & 0xff]));
	}
	/**
	 * Creates a Block Start (custom) Intel Hex Record.
	 *
	 * @param boardId Board ID to embed into the record, 0 to 0xFFF.
	 * @returns A Block Start (custom) Intel Hex record.
	 */


	function blockStartRecord(boardId) {
	  if (boardId < 0 || boardId > 0xffff) {
	    throw new Error('Board ID out of range when creating Block Start record.');
	  }

	  return createRecord(0, RecordType.BlockStart, new Uint8Array([boardId >> 8 & 0xff, boardId & 0xff, 0xc0, 0xde]));
	}
	/**
	 * Create Block End (custom) Intel Hex Record.
	 *
	 * The Data field in this Record will be ignored and can be used for padding.
	 *
	 * @param padBytesLen Number of bytes to add to the Data field.
	 * @returns A Block End (custom) Intel Hex record.
	 */


	function blockEndRecord(padBytesLen) {
	  // This function is called very often with the same arguments, so cache
	  // those results for better performance
	  switch (padBytesLen) {
	    case 0x4:
	      // Common for blocks that have full Data records with 0x10 bytes and a
	      // single Extended Linear Address record
	      return ':0400000BFFFFFFFFF5';

	    case 0x0c:
	      // The most common padding, when a block has 10 full (0x10) Data records
	      return ':0C00000BFFFFFFFFFFFFFFFFFFFFFFFFF5';

	    default:
	      // Input sanitation will be done in createRecord, no need to do it here too
	      var recordData = new Uint8Array(padBytesLen).fill(0xff);
	      return createRecord(0, RecordType.BlockEnd, recordData);
	  }
	}
	/**
	 * Create a Padded Data (custom) Intel Hex Record.
	 * This record is used to add padding data, to be ignored by DAPLink, to be able
	 * to create blocks of 512-bytes.
	 *
	 * @param padBytesLen Number of bytes to add to the Data field.
	 * @returns A Padded Data (custom) Intel Hex record.
	 */


	function paddedDataRecord(padBytesLen) {
	  // Input sanitation will be done in createRecord, no need to do it here too
	  var recordData = new Uint8Array(padBytesLen).fill(0xff);
	  return createRecord(0, RecordType.PaddedData, recordData);
	}
	/**
	 * Changes the record type of a Record to a Custom Data type.
	 *
	 * The data field is kept, but changing the record type will trigger the
	 * checksum to be updated as well.
	 *
	 * @param iHexRecord Intel hex record line without line terminator.
	 * @returns A Custom Data Intel Hex record with the same data field.
	 */


	function convertRecordTo(iHexRecord, recordType) {
	  var oRecord = parseRecord(iHexRecord);
	  var recordContent = new Uint8Array(oRecord.data.length + 4);
	  recordContent[0] = oRecord.data.length;
	  recordContent[1] = oRecord.address >> 8;
	  recordContent[2] = oRecord.address & 0xff;
	  recordContent[3] = recordType;
	  recordContent.set(oRecord.data, 4);
	  var recordContentStr = byteArrayToHexStr(recordContent);
	  var checksumStr = byteToHexStrFast(calcChecksumByte(recordContent));
	  return "" + START_CODE_STR + recordContentStr + checksumStr;
	}
	/**
	 * Converts and Extended Segment Linear Address record to an Extended Linear
	 * Address record.
	 *
	 * @throws {Error} When the record does not contain exactly 2 bytes.
	 * @throws {Error} When the Segmented Address is not a multiple of 0x1000.
	 *
	 * @param iHexRecord Intel hex record line without line terminator.
	 */


	function convertExtSegToLinAddressRecord(iHexRecord) {
	  var segmentAddress = getRecordData(iHexRecord);

	  if (segmentAddress.length !== 2 || segmentAddress[0] & 0xf || // Only process multiples of 0x1000
	  segmentAddress[1] !== 0) {
	    throw new Error("Invalid Extended Segment Address record " + iHexRecord);
	  }

	  var startAddress = segmentAddress[0] << 12;
	  return extLinAddressRecord(startAddress);
	}
	/**
	 * Separates an Intel Hex file (string) into an array of Record strings.
	 *
	 * @param iHexStr Intel Hex file as a string.
	 * @returns Array of Records in string format.
	 */


	function iHexToRecordStrs(iHexStr) {
	  // For some reason this is quicker than .split(/\r?\n/)
	  // Up to x200 faster in Chrome (!) and x1.5 faster in Firefox
	  var output = iHexStr.replace(/\r/g, '').split('\n'); // Boolean filter removes all falsy values as some of these files contain
	  // multiple empty lines we want to remove

	  return output.filter(Boolean);
	}
	/**
	 * Iterates through the beginning of an array of Intel Hex records to find the
	 * longest record data field length.
	 *
	 * Once it finds 12 records at the maximum size found so far (starts at 16
	 * bytes) it will stop iterating.
	 *
	 * This is useful to identify the expected max size of the data records for an
	 * Intel Hex, and then be able to generate new custom records of the same size.
	 *
	 * @param iHexRecords Array of Intel Hex Records.
	 * @returns Number of data bytes in a full record.
	 */


	function findDataFieldLength(iHexRecords) {
	  var maxDataBytes = 16;
	  var maxDataBytesCount = 0;

	  for (var _i = 0, iHexRecords_1 = iHexRecords; _i < iHexRecords_1.length; _i++) {
	    var record = iHexRecords_1[_i];
	    var dataBytesLength = (record.length - MIN_RECORD_STR_LEN) / 2;

	    if (dataBytesLength > maxDataBytes) {
	      maxDataBytes = dataBytesLength;
	      maxDataBytesCount = 0;
	    } else if (dataBytesLength === maxDataBytes) {
	      maxDataBytesCount++;
	    }

	    if (maxDataBytesCount > 12) {
	      break;
	    }
	  }

	  if (maxDataBytes > RECORD_DATA_MAX_BYTES) {
	    throw new Error("Intel Hex record data size is too large: " + maxDataBytes);
	  }

	  return maxDataBytes;
	}

	var V1_BOARD_IDS = [0x9900, 0x9901];
	var BLOCK_SIZE = 512;
	/**
	 * The Board ID is used to identify the different targets from a Universal Hex.
	 * In this case the target represents a micro:bit version.
	 * For micro:bit V1 (v1.3, v1.3B and v1.5) the `boardId` is `0x9900`, and for
	 * V2 `0x9903`.
	 */

	var microbitBoardId;

	(function (microbitBoardId) {
	  microbitBoardId[microbitBoardId["V1"] = 39168] = "V1";
	  microbitBoardId[microbitBoardId["V2"] = 39171] = "V2";
	})(microbitBoardId || (microbitBoardId = {}));
	/**
	 * Converts an Intel Hex string into a Hex string using the 512 byte blocks
	 * format and the Universal Hex specific record types.
	 *
	 * The output of this function is not a fully formed Universal Hex, but one part
	 * of a Universal Hex, ready to be merged by the calling code.
	 *
	 * More information on this "block" format:
	 *   https://github.com/microbit-foundation/spec-universal-hex
	 *
	 * @throws {Error} When the Board ID is not between 0 and 2^16.
	 * @throws {Error} When there is an EoF record not at the end of the file.
	 *
	 * @param iHexStr - Intel Hex string to convert into the custom format with 512
	 *    byte blocks and the customer records.
	 * @returns New Intel Hex string with the custom format.
	 */


	function iHexToCustomFormatBlocks(iHexStr, boardId) {
	  // Hex files for v1.3 and v1.5 continue using the normal Data Record Type
	  var replaceDataRecord = !V1_BOARD_IDS.includes(boardId); // Generate some constant records

	  var startRecord = blockStartRecord(boardId);
	  var currentExtAddr = extLinAddressRecord(0); // Pre-calculate known record lengths

	  var extAddrRecordLen = currentExtAddr.length;
	  var startRecordLen = startRecord.length;
	  var endRecordBaseLen = blockEndRecord(0).length;
	  var padRecordBaseLen = paddedDataRecord(0).length;
	  var hexRecords = iHexToRecordStrs(iHexStr);
	  var recordPaddingCapacity = findDataFieldLength(hexRecords);
	  if (!hexRecords.length) return '';

	  if (isUniversalHexRecords(hexRecords)) {
	    throw new Error("Board ID " + boardId + " Hex is already a Universal Hex.");
	  } // Each loop iteration corresponds to a 512-bytes block


	  var ih = 0;
	  var blockLines = [];

	  while (ih < hexRecords.length) {
	    var blockLen = 0; // Check for an extended linear record to not repeat it after a block start

	    var firstRecordType = getRecordType(hexRecords[ih]);

	    if (firstRecordType === RecordType.ExtendedLinearAddress) {
	      currentExtAddr = hexRecords[ih];
	      ih++;
	    } else if (firstRecordType === RecordType.ExtendedSegmentAddress) {
	      currentExtAddr = convertExtSegToLinAddressRecord(hexRecords[ih]);
	      ih++;
	    }

	    blockLines.push(currentExtAddr);
	    blockLen += extAddrRecordLen + 1;
	    blockLines.push(startRecord);
	    blockLen += startRecordLen + 1;
	    blockLen += endRecordBaseLen + 1;
	    var endOfFile = false;

	    while (hexRecords[ih] && BLOCK_SIZE >= blockLen + hexRecords[ih].length + 1) {
	      var record = hexRecords[ih++];
	      var recordType = getRecordType(record);

	      if (replaceDataRecord && recordType === RecordType.Data) {
	        record = convertRecordTo(record, RecordType.CustomData);
	      } else if (recordType === RecordType.ExtendedLinearAddress) {
	        currentExtAddr = record;
	      } else if (recordType === RecordType.ExtendedSegmentAddress) {
	        record = convertExtSegToLinAddressRecord(record);
	        currentExtAddr = record;
	      } else if (recordType === RecordType.EndOfFile) {
	        endOfFile = true;
	        break;
	      }

	      blockLines.push(record);
	      blockLen += record.length + 1;
	    }

	    if (endOfFile) {
	      // Error if we encounter an EoF record and it's not the end of the file
	      if (ih !== hexRecords.length) {
	        // Might be MakeCode hex for V1 as they did this with the EoF record
	        if (isMakeCodeForV1HexRecords(hexRecords)) {
	          throw new Error("Board ID " + boardId + " Hex is from MakeCode, import this hex into the MakeCode editor to create a Universal Hex.");
	        } else {
	          throw new Error("EoF record found at record " + ih + " of " + hexRecords.length + " in Board ID " + boardId + " hex");
	        }
	      } // The EoF record goes after the Block End Record, it won't break 512-byte
	      // boundary as it was already calculated in the previous loop that it fits


	      blockLines.push(blockEndRecord(0));
	      blockLines.push(endOfFileRecord());
	    } else {
	      // We might need additional padding records
	      // const charsLeft = BLOCK_SIZE - blockLen;
	      while (BLOCK_SIZE - blockLen > recordPaddingCapacity * 2) {
	        var record = paddedDataRecord(Math.min((BLOCK_SIZE - blockLen - (padRecordBaseLen + 1)) / 2, recordPaddingCapacity));
	        blockLines.push(record);
	        blockLen += record.length + 1;
	      }

	      blockLines.push(blockEndRecord((BLOCK_SIZE - blockLen) / 2));
	    }
	  }

	  blockLines.push(''); // Ensure there is a blank new line at the end

	  return blockLines.join('\n');
	}
	/**
	 * Converts an Intel Hex string into a Hex string using custom records and
	 * aligning the content size to a 512-byte boundary.
	 *
	 * The output of this function is not a fully formed Universal Hex, but one part
	 * of a Universal Hex, ready to be merged by the calling code.
	 *
	 * More information on this "section" format:
	 *   https://github.com/microbit-foundation/spec-universal-hex
	 *
	 * @throws {Error} When the Board ID is not between 0 and 2^16.
	 * @throws {Error} When there is an EoF record not at the end of the file.
	 *
	 * @param iHexStr - Intel Hex string to convert into the custom format with 512
	 *    byte blocks and the customer records.
	 * @returns New Intel Hex string with the custom format.
	 */


	function iHexToCustomFormatSection(iHexStr, boardId) {
	  var sectionLines = [];
	  var sectionLen = 0;
	  var ih = 0;

	  var addRecordLength = function addRecordLength(record) {
	    sectionLen += record.length + 1; // Extra character counted for '\n'
	  };

	  var addRecord = function addRecord(record) {
	    sectionLines.push(record);
	    addRecordLength(record);
	  };

	  var hexRecords = iHexToRecordStrs(iHexStr);
	  if (!hexRecords.length) return '';

	  if (isUniversalHexRecords(hexRecords)) {
	    throw new Error("Board ID " + boardId + " Hex is already a Universal Hex.");
	  } // If first record is not an Extended Segmented/Linear Address we start at 0x0


	  var iHexFirstRecordType = getRecordType(hexRecords[0]);

	  if (iHexFirstRecordType === RecordType.ExtendedLinearAddress) {
	    addRecord(hexRecords[0]);
	    ih++;
	  } else if (iHexFirstRecordType === RecordType.ExtendedSegmentAddress) {
	    addRecord(convertExtSegToLinAddressRecord(hexRecords[0]));
	    ih++;
	  } else {
	    addRecord(extLinAddressRecord(0));
	  } // Add the Block Start record to the beginning of the segment


	  addRecord(blockStartRecord(boardId)); // Iterate through the rest of the records and add them

	  var replaceDataRecord = !V1_BOARD_IDS.includes(boardId);
	  var endOfFile = false;

	  while (ih < hexRecords.length) {
	    var record = hexRecords[ih++];
	    var recordType = getRecordType(record);

	    if (recordType === RecordType.Data) {
	      addRecord(replaceDataRecord ? convertRecordTo(record, RecordType.CustomData) : record);
	    } else if (recordType === RecordType.ExtendedSegmentAddress) {
	      addRecord(convertExtSegToLinAddressRecord(record));
	    } else if (recordType === RecordType.ExtendedLinearAddress) {
	      addRecord(record);
	    } else if (recordType === RecordType.EndOfFile) {
	      endOfFile = true;
	      break;
	    }
	  }

	  if (ih !== hexRecords.length) {
	    // The End Of File record was encountered mid-file, might be a MakeCode hex
	    if (isMakeCodeForV1HexRecords(hexRecords)) {
	      throw new Error("Board ID " + boardId + " Hex is from MakeCode, import this hex into the MakeCode editor to create a Universal Hex.");
	    } else {
	      throw new Error("EoF record found at record " + ih + " of " + hexRecords.length + " in Board ID " + boardId + " hex ");
	    }
	  } // Add to the section size calculation the minimum length for the Block End
	  // record that will be placed at the end (no padding included yet)


	  addRecordLength(blockEndRecord(0)); // Calculate padding required to end in a 512-byte boundary

	  var recordNoDataLenChars = paddedDataRecord(0).length + 1;
	  var recordDataMaxBytes = findDataFieldLength(hexRecords);
	  var paddingCapacityChars = recordDataMaxBytes * 2;
	  var charsNeeded = (BLOCK_SIZE - sectionLen % BLOCK_SIZE) % BLOCK_SIZE;

	  while (charsNeeded > paddingCapacityChars) {
	    var byteLen = charsNeeded - recordNoDataLenChars >> 1; // Integer div 2

	    var record = paddedDataRecord(Math.min(byteLen, recordDataMaxBytes));
	    addRecord(record);
	    charsNeeded = (BLOCK_SIZE - sectionLen % BLOCK_SIZE) % BLOCK_SIZE;
	  }

	  sectionLines.push(blockEndRecord(charsNeeded >> 1));
	  if (endOfFile) sectionLines.push(endOfFileRecord());
	  sectionLines.push(''); // Ensure there is a blank new line at the end

	  return sectionLines.join('\n');
	}
	/**
	 * Creates a Universal Hex from a collection of Intel Hex strings and their
	 * board IDs.
	 *
	 * For the current micro:bit board versions use the values from the
	 * `microbitBoardId` enum.
	 *
	 * @param hexes An array of objects containing an Intel Hex string and the board
	 *     ID associated with it.
	 * @param blocks Indicate if the Universal Hex format should be "blocks"
	 *     instead of "sections". The current specification recommends using the
	 *     default "sections" format as is much quicker in micro:bits with DAPLink
	 *     version 0234.
	 * @returns A Universal Hex string.
	 */


	function createUniversalHex(hexes, blocks) {
	  if (blocks === void 0) {
	    blocks = false;
	  }

	  if (!hexes.length) return '';
	  var iHexToCustomFormat = blocks ? iHexToCustomFormatBlocks : iHexToCustomFormatSection;
	  var eofNlRecord = endOfFileRecord() + '\n';
	  var customHexes = []; // We remove the EoF record from all but the last hex file so that the last
	  // blocks are padded and there is single EoF record

	  for (var i = 0; i < hexes.length - 1; i++) {
	    var customHex = iHexToCustomFormat(hexes[i].hex, hexes[i].boardId);

	    if (customHex.endsWith(eofNlRecord)) {
	      customHex = customHex.slice(0, customHex.length - eofNlRecord.length);
	    }

	    customHexes.push(customHex);
	  } // Process the last hex file with a guaranteed EoF record


	  var lastCustomHex = iHexToCustomFormat(hexes[hexes.length - 1].hex, hexes[hexes.length - 1].boardId);
	  customHexes.push(lastCustomHex);

	  if (!lastCustomHex.endsWith(eofNlRecord)) {
	    customHexes.push(eofNlRecord);
	  }

	  return customHexes.join('');
	}
	/**
	 * Checks if the provided hex string is a Universal Hex.
	 *
	 * Very simple test only checking for the opening Extended Linear Address and
	 * Block Start records.
	 *
	 * The string is manually iterated as this method can be x20 faster than
	 * breaking the string into records and checking their types with the ihex
	 * functions.
	 *
	 * @param hexStr Hex string to check
	 * @return True if the hex is an Universal Hex.
	 */


	function isUniversalHex(hexStr) {
	  // Check the beginning of the Extended Linear Address record
	  var elaRecordBeginning = ':02000004';

	  if (hexStr.slice(0, elaRecordBeginning.length) !== elaRecordBeginning) {
	    return false;
	  } // Find the index for the next record, as we have unknown line endings


	  var i = elaRecordBeginning.length;

	  while (hexStr[++i] !== ':' && i < MAX_RECORD_STR_LEN + 3) {
	  } // Check the beginning of the Block Start record


	  var blockStartBeginning = ':0400000A';

	  if (hexStr.slice(i, i + blockStartBeginning.length) !== blockStartBeginning) {
	    return false;
	  }

	  return true;
	}
	/**
	 * Checks if the provided array of hex records form part of a Universal Hex.
	 *
	 * @param records Array of hex records to check.
	 * @return True if the records belong to a Universal Hex.
	 */


	function isUniversalHexRecords(records) {
	  return getRecordType(records[0]) === RecordType.ExtendedLinearAddress && getRecordType(records[1]) === RecordType.BlockStart && getRecordType(records[records.length - 1]) === RecordType.EndOfFile;
	}
	/**
	 * Checks if the array of records belongs to an Intel Hex file from MakeCode for
	 * micro:bit V1.
	 *
	 * @param records Array of hex records to check.
	 * @return True if the records belong to a MakeCode hex file for micro:bit V1.
	 */


	function isMakeCodeForV1HexRecords(records) {
	  var i = records.indexOf(endOfFileRecord());

	  if (i === records.length - 1) {
	    // A MakeCode v0 hex file will place the metadata in RAM before the EoF
	    while (--i > 0) {
	      if (records[i] === extLinAddressRecord(0x20000000)) {
	        return true;
	      }
	    }
	  }

	  while (++i < records.length) {
	    // Other data records used to store the MakeCode project metadata (v2 and v3)
	    if (getRecordType(records[i]) === RecordType.OtherData) {
	      return true;
	    } // In MakeCode v1 metadata went to RAM memory space 0x2000_0000


	    if (records[i] === extLinAddressRecord(0x20000000)) {
	      return true;
	    }
	  }

	  return false;
	}
	/**
	 * Separates a Universal Hex into its individual Intel Hexes.
	 *
	 * @param universalHexStr Universal Hex string with the Universal Hex.
	 * @returns An array of object with boardId and hex keys.
	 */


	function separateUniversalHex(universalHexStr) {
	  var records = iHexToRecordStrs(universalHexStr);
	  if (!records.length) throw new Error('Empty Universal Hex.');

	  if (!isUniversalHexRecords(records)) {
	    throw new Error('Universal Hex format invalid.');
	  }

	  var passThroughRecords = [RecordType.Data, RecordType.EndOfFile, RecordType.ExtendedSegmentAddress, RecordType.StartSegmentAddress]; // Initialise the structure to hold the different hexes

	  var hexes = {};
	  var currentBoardId = 0;

	  for (var i = 0; i < records.length; i++) {
	    var record = records[i];
	    var recordType = getRecordType(record);

	    if (passThroughRecords.includes(recordType)) {
	      hexes[currentBoardId].hex.push(record);
	    } else if (recordType === RecordType.CustomData) {
	      hexes[currentBoardId].hex.push(convertRecordTo(record, RecordType.Data));
	    } else if (recordType === RecordType.ExtendedLinearAddress) {
	      // Extended Linear Address can be found as the start of a new block
	      // No need to check array size as it's confirmed hex ends with an EoF
	      var nextRecord = records[i + 1];

	      if (getRecordType(nextRecord) === RecordType.BlockStart) {
	        // Processes the Block Start record (only first 2 bytes for Board ID)
	        var blockStartData = getRecordData(nextRecord);

	        if (blockStartData.length !== 4) {
	          throw new Error("Block Start record invalid: " + nextRecord);
	        }

	        currentBoardId = (blockStartData[0] << 8) + blockStartData[1];
	        hexes[currentBoardId] = hexes[currentBoardId] || {
	          boardId: currentBoardId,
	          lastExtAdd: record,
	          hex: [record]
	        };
	        i++;
	      }

	      if (hexes[currentBoardId].lastExtAdd !== record) {
	        hexes[currentBoardId].lastExtAdd = record;
	        hexes[currentBoardId].hex.push(record);
	      }
	    }
	  } // Form the return object with the same format as createUniversalHex() input


	  var returnArray = [];
	  Object.keys(hexes).forEach(function (boardId) {
	    // Ensure all hexes (and not just the last) contain the EoF record
	    var hex = hexes[boardId].hex;

	    if (hex[hex.length - 1] !== endOfFileRecord()) {
	      hex[hex.length] = endOfFileRecord();
	    }

	    returnArray.push({
	      boardId: hexes[boardId].boardId,
	      hex: hex.join('\n') + '\n'
	    });
	  });
	  return returnArray;
	}

	_typedArray('Uint32', 4, function (init) {
	  return function Uint32Array(data, byteOffset, length) {
	    return init(this, data, byteOffset, length);
	  };
	});

	/**
	 * Reads a 64 bit little endian number from an Intel Hex memory map.
	 *
	 * Any missing data in that address range that is not contained inside the
	 * MemoryMap is filled with 0xFF.
	 *
	 * @param intelHexMap - Memory map of the Intel Hex data.
	 * @param address - Start address of the 32 bit number.
	 * @returns Number with the unsigned integer representation of those 8 bytes.
	 */

	function getUint64(intelHexMap, address) {
	  var uint64Data = intelHexMap.slicePad(address, 8, 0xff); // Typed arrays use the native endianness, force little endian with DataView

	  return new DataView(uint64Data.buffer).getUint32(0, true
	  /* little endian */
	  );
	}
	/**
	 * Reads a 32 bit little endian number from an Intel Hex memory map.
	 *
	 * Any missing data in that address range that is not contained inside the
	 * MemoryMap is filled with 0xFF.
	 *
	 * @param intelHexMap - Memory map of the Intel Hex data.
	 * @param address - Start address of the 32 bit number.
	 * @returns Number with the unsigned integer representation of those 4 bytes.
	 */

	function getUint32(intelHexMap, address) {
	  var uint32Data = intelHexMap.slicePad(address, 4, 0xff); // Typed arrays use the native endianness, force little endian with DataView

	  return new DataView(uint32Data.buffer).getUint32(0, true
	  /* little endian */
	  );
	}
	/**
	 * Reads a 16 bit little endian number from an Intel Hex memory map.
	 *
	 * Any missing data in that address range that is not contained inside the
	 * MemoryMap is filled with 0xFF.
	 *
	 * @param intelHexMap - Memory map of the Intel Hex data.
	 * @param address - Start address of the 16 bit number.
	 * @returns Number with the unsigned integer representation of those 2 bytes.
	 */

	function getUint16(intelHexMap, address) {
	  var uint16Data = intelHexMap.slicePad(address, 2, 0xff); // Typed arrays use the native endianness, force little endian with DataView

	  return new DataView(uint16Data.buffer).getUint16(0, true
	  /* little endian */
	  );
	}
	/**
	 * Reads a 8 bit number from an Intel Hex memory map.
	 *
	 * If the data is not contained inside the MemoryMap it returns 0xFF.
	 *
	 * @param intelHexMap - Memory map of the Intel Hex data.
	 * @param address - Start address of the 16 bit number.
	 * @returns Number with the unsigned integer representation of those 2 bytes.
	 */

	function getUint8(intelHexMap, address) {
	  var uint16Data = intelHexMap.slicePad(address, 1, 0xff);
	  return uint16Data[0];
	}
	/**
	 * Decodes a UTF-8 null terminated string stored in the Intel Hex data at
	 * the indicated address.
	 *
	 * @param intelHexMap - Memory map of the Intel Hex data.
	 * @param address - Start address for the string.
	 * @returns String read from the Intel Hex data.
	 */

	function getString(intelHexMap, address) {
	  var memBlock = intelHexMap.slice(address).get(address);
	  var iStrEnd = 0;

	  while (iStrEnd < memBlock.length && memBlock[iStrEnd] !== 0) {
	    iStrEnd++;
	  }

	  if (iStrEnd === memBlock.length) {
	    // Could not find a null character to indicate the end of the string
	    return '';
	  }

	  var stringBytes = memBlock.slice(0, iStrEnd);
	  return bytesToStr(stringBytes);
	}

	/** Indicates the data contain in each of the different regions */

	var RegionId;

	(function (RegionId) {
	  /** Soft Device is the data blob containing the Nordic Bluetooth stack. */
	  RegionId[RegionId["softDevice"] = 1] = "softDevice";
	  /** Contains the MicroPython runtime. */

	  RegionId[RegionId["microPython"] = 2] = "microPython";
	  /** Contains the MicroPython microbit filesystem reserved flash. */

	  RegionId[RegionId["fs"] = 3] = "fs";
	})(RegionId || (RegionId = {}));
	/**
	 * The "hash type" field in a region row indicates how to interpret the "hash
	 * data" field.
	 */


	var RegionHashType;

	(function (RegionHashType) {
	  /** The hash data is empty. */
	  RegionHashType[RegionHashType["empty"] = 0] = "empty";
	  /** The full hash data field is used as a hash of the region in flash */

	  RegionHashType[RegionHashType["data"] = 1] = "data";
	  /** The 4 LSB bytes of the hash data field are used as a pointer  */

	  RegionHashType[RegionHashType["pointer"] = 2] = "pointer";
	})(RegionHashType || (RegionHashType = {})); // Sizes for each of the fields in the Flash Regions Table header


	var MAGIC2_LEN_BYTES = 4;
	var P_SIZE_LOG2_LEN_BYTES = 2;
	var NUM_REG_LEN_BYTES = 2;
	var TABLE_LEN_LEN_BYTES = 2;
	var VERSION_LEN_BYTES = 2;
	var MAGIC_1_LEN_BYTES = 4;
	/**
	 * Offset for each of the Table header fields, starting from the end of the row.
	 *
	 * These are the fields stored in each row for each of the regions, and
	 * any additional region data from the Region interface is derived from this.
	 *
	 * |0x00|..|..|0x03|0x04|0x05|0x06|0x07|0x08|0x09|0x0a|0x0b|0x0c|..|..|0x0f|
	 * |----|--|--|----|----|----|----|----|----|----|----|----|----|--|--|----|
	 * | MAGIC_1       | VERSION |TABLE_LEN|REG_COUNT| P_SIZE  | MAGIC_2       |
	 */

	var RegionHeaderOffset;

	(function (RegionHeaderOffset) {
	  RegionHeaderOffset[RegionHeaderOffset["magic2"] = MAGIC2_LEN_BYTES] = "magic2";
	  RegionHeaderOffset[RegionHeaderOffset["pageSizeLog2"] = RegionHeaderOffset.magic2 + P_SIZE_LOG2_LEN_BYTES] = "pageSizeLog2";
	  RegionHeaderOffset[RegionHeaderOffset["regionCount"] = RegionHeaderOffset.pageSizeLog2 + NUM_REG_LEN_BYTES] = "regionCount";
	  RegionHeaderOffset[RegionHeaderOffset["tableLength"] = RegionHeaderOffset.regionCount + TABLE_LEN_LEN_BYTES] = "tableLength";
	  RegionHeaderOffset[RegionHeaderOffset["version"] = RegionHeaderOffset.tableLength + VERSION_LEN_BYTES] = "version";
	  RegionHeaderOffset[RegionHeaderOffset["magic1"] = RegionHeaderOffset.version + MAGIC_1_LEN_BYTES] = "magic1";
	})(RegionHeaderOffset || (RegionHeaderOffset = {})); // Magic numbers to identify the Flash Regions Table in flash


	var REGION_HEADER_MAGIC_1 = 0x597f30fe;
	var REGION_HEADER_MAGIC_2 = 0xc1b1d79d; // Sizes for each of the fields in each Region row from the Flash Regions Table

	var REGION_ID_BYTES = 1;
	var REGION_HASH_TYPE_BYTES = 1;
	var REGION_START_PAGE_BYTES = 2;
	var REGION_LEN_BYTES = 4;
	var REGION_HASH_DATA_BYTES = 8;
	/**
	 * Offset for each of the Region row fields, starting from the end of the row.
	 *
	 * These are the fields stored in each row for each of the regions, and
	 * any additional region data from the Region interface is derived from this.
	 *
	 * |0x00|0x01|0x02|0x03|0x04|0x05|0x06|0x07|0x08|..|..|..|..|..|..|0x0f|
	 * |----|----|----|----|----|----|----|----|----|--|--|--|--|--|--|----|
	 * | ID | HT |1ST_PAGE | REGION_LENGTH     | HASH_DATA                 |
	 */

	var RegionRowOffset;

	(function (RegionRowOffset) {
	  RegionRowOffset[RegionRowOffset["hashData"] = REGION_HASH_DATA_BYTES] = "hashData";
	  RegionRowOffset[RegionRowOffset["lengthBytes"] = RegionRowOffset.hashData + REGION_LEN_BYTES] = "lengthBytes";
	  RegionRowOffset[RegionRowOffset["startPage"] = RegionRowOffset.lengthBytes + REGION_START_PAGE_BYTES] = "startPage";
	  RegionRowOffset[RegionRowOffset["hashType"] = RegionRowOffset.startPage + REGION_HASH_TYPE_BYTES] = "hashType";
	  RegionRowOffset[RegionRowOffset["id"] = RegionRowOffset.hashType + REGION_ID_BYTES] = "id";
	})(RegionRowOffset || (RegionRowOffset = {}));

	var REGION_ROW_LEN_BYTES = RegionRowOffset.id;
	/**
	 * Iterates through the provided Intel Hex Memory Map and tries to find the
	 * Flash Regions Table header, by looking for the magic values at the end of
	 * each flash page.
	 *
	 * TODO: Indicate here what errors can be thrown.
	 *
	 * @param iHexMap - Intel Hex memory map to scan for the Flash Regions Table.
	 * @param pSize - Flash page size to scan at the end of each page.
	 * @returns The table header data.
	 */

	function getTableHeader(iHexMap, pSize) {
	  if (pSize === void 0) {
	    pSize = 1024;
	  }

	  var endAddress = 0;
	  var magic1ToFind = new Uint8Array(new Uint32Array([REGION_HEADER_MAGIC_1]).buffer);
	  var magic2ToFind = new Uint8Array(new Uint32Array([REGION_HEADER_MAGIC_2]).buffer);
	  var mapEntries = iHexMap.paginate(pSize, 0xff).entries();

	  for (var iter = mapEntries.next(); !iter.done; iter = mapEntries.next()) {
	    if (!iter.value) continue;
	    var blockByteArray = iter.value[1];
	    var subArrayMagic2 = blockByteArray.subarray(-RegionHeaderOffset.magic2);

	    if (areUint8ArraysEqual(subArrayMagic2, magic2ToFind) && areUint8ArraysEqual(blockByteArray.subarray(-RegionHeaderOffset.magic1, -(RegionHeaderOffset.magic1 - MAGIC_1_LEN_BYTES)), magic1ToFind)) {
	      var pageStartAddress = iter.value[0];
	      endAddress = pageStartAddress + pSize;
	      break;
	    }
	  } // TODO: Throw an error if table is not found.


	  var version = getUint16(iHexMap, endAddress - RegionHeaderOffset.version);
	  var tableLength = getUint16(iHexMap, endAddress - RegionHeaderOffset.tableLength);
	  var regionCount = getUint16(iHexMap, endAddress - RegionHeaderOffset.regionCount);
	  var pageSizeLog2 = getUint16(iHexMap, endAddress - RegionHeaderOffset.pageSizeLog2);
	  var pageSize = Math.pow(2, pageSizeLog2);
	  var startAddress = endAddress - RegionHeaderOffset.magic1;
	  return {
	    pageSizeLog2: pageSizeLog2,
	    pageSize: pageSize,
	    regionCount: regionCount,
	    tableLength: tableLength,
	    version: version,
	    endAddress: endAddress,
	    startAddress: startAddress
	  };
	}
	/**
	 * Parses a Region rows from a Flash Regions Table inside the Intel Hex memory
	 * map, which ends at the provided rowEndAddress.
	 *
	 * Since the Flash Regions Table is placed at the end of a page, we iterate
	 * from the end to the beginning.
	 *
	 * @param iHexMap - Intel Hex memory map to scan for the Flash Regions Table.
	 * @param rowEndAddress - Address at which the row ends (same as the address
	 *    where the next row or table header starts).
	 * @returns The Region info from the row.
	 */


	function getRegionRow(iHexMap, rowEndAddress) {
	  var id = getUint8(iHexMap, rowEndAddress - RegionRowOffset.id);
	  var hashType = getUint8(iHexMap, rowEndAddress - RegionRowOffset.hashType);
	  var hashData = getUint64(iHexMap, rowEndAddress - RegionRowOffset.hashData);
	  var hashPointerData = '';

	  if (hashType === RegionHashType.pointer) {
	    // Pointer to a string in the hex is only 4 bytes instead of 8
	    hashPointerData = getString(iHexMap, hashData & 0xffffffff);
	  }

	  var startPage = getUint16(iHexMap, rowEndAddress - RegionRowOffset.startPage);
	  var lengthBytes = getUint32(iHexMap, rowEndAddress - RegionRowOffset.lengthBytes);
	  return {
	    id: id,
	    startPage: startPage,
	    lengthBytes: lengthBytes,
	    hashType: hashType,
	    hashData: hashData,
	    hashPointerData: hashPointerData
	  };
	}
	/**
	 * Reads the Flash Regions Table data from an Intel Hex map and retrieves the
	 * MicroPython DeviceMemInfo data.
	 *
	 * @throws {Error} When the Magic Header is not present.
	 * @throws {Error} When the MicroPython or FS regions are not found.
	 *
	 * @param intelHexMap - Memory map of the Intel Hex to scan.
	 * @returns Object with the parsed data from the Flash Regions Table.
	 */


	function getHexMapFlashRegionsData(iHexMap) {
	  // TODO: There is currently have some "internal" knowledge here and it's
	  // scanning the flash knowing the page size is 4 KBs
	  var tableHeader = getTableHeader(iHexMap, 4096);
	  var regionRows = {};

	  for (var i = 0; i < tableHeader.regionCount; i++) {
	    var rowEndAddress = tableHeader.startAddress - i * REGION_ROW_LEN_BYTES;
	    var regionRow = getRegionRow(iHexMap, rowEndAddress);
	    regionRows[regionRow.id] = regionRow;
	  }

	  if (!regionRows.hasOwnProperty(RegionId.microPython)) {
	    throw new Error('Could not find a MicroPython region in the regions table.');
	  }

	  if (!regionRows.hasOwnProperty(RegionId.fs)) {
	    throw new Error('Could not find a File System region in the regions table.');
	  } // Have to manually set the start at address 0 even if regions don't cover it


	  var runtimeStartAddress = 0;
	  var runtimeEndAddress = regionRows[RegionId.microPython].startPage * tableHeader.pageSize + regionRows[RegionId.microPython].lengthBytes; // The table is placed at the end of the last page used by MicroPython and we
	  // need to include it

	  runtimeEndAddress = tableHeader.endAddress;
	  var uPyVersion = regionRows[RegionId.microPython].hashPointerData;
	  var fsStartAddress = regionRows[RegionId.fs].startPage * tableHeader.pageSize;
	  var fsEndAddress = fsStartAddress + regionRows[RegionId.fs].lengthBytes;
	  return {
	    flashPageSize: tableHeader.pageSize,
	    flashSize: 512 * 1024,
	    flashStartAddress: 0,
	    flashEndAddress: 512 * 1024,
	    runtimeStartAddress: runtimeStartAddress,
	    runtimeEndAddress: runtimeEndAddress,
	    fsStartAddress: fsStartAddress,
	    fsEndAddress: fsEndAddress,
	    uPyVersion: uPyVersion,
	    deviceVersion: "V2"
	    /* V2 */

	  };
	}

	/**
	 * Interprets the data stored in the UICR memory space.
	 *
	 * For more info:
	 * https://microbit-micropython.readthedocs.io/en/latest/devguide/hexformat.html
	 *
	 * (c) 2019 Micro:bit Educational Foundation and the microbit-fs contributors.
	 * SPDX-License-Identifier: MIT
	 */
	var DEVICE_INFO = [{
	  deviceVersion: "V1"
	  /* V1 */
	  ,
	  magicHeader: 0x17eeb07c,
	  flashSize: 256 * 1024,
	  fsEnd: 256 * 1024
	}, {
	  deviceVersion: "V2"
	  /* V2 */
	  ,
	  magicHeader: 0x47eeb07c,
	  flashSize: 512 * 1024,
	  fsEnd: 0x73000
	}];
	var UICR_START = 0x10001000;
	var UICR_CUSTOMER_OFFSET = 0x80;
	var UICR_CUSTOMER_UPY_OFFSET = 0x40;
	var UICR_UPY_START = UICR_START + UICR_CUSTOMER_OFFSET + UICR_CUSTOMER_UPY_OFFSET;
	var UPY_MAGIC_LEN = 4;
	var UPY_END_MARKER_LEN = 4;
	var UPY_PAGE_SIZE_LEN = 4;
	var UPY_START_PAGE_LEN = 2;
	var UPY_PAGES_USED_LEN = 2;
	var UPY_DELIMITER_LEN = 4;
	var UPY_VERSION_LEN = 4;
	var UPY_REGIONS_TERMINATOR_LEN = 4;
	/** UICR Customer area addresses for MicroPython specific data. */

	var MicropythonUicrAddress;

	(function (MicropythonUicrAddress) {
	  MicropythonUicrAddress[MicropythonUicrAddress["MagicValue"] = UICR_UPY_START] = "MagicValue";
	  MicropythonUicrAddress[MicropythonUicrAddress["EndMarker"] = MicropythonUicrAddress.MagicValue + UPY_MAGIC_LEN] = "EndMarker";
	  MicropythonUicrAddress[MicropythonUicrAddress["PageSize"] = MicropythonUicrAddress.EndMarker + UPY_END_MARKER_LEN] = "PageSize";
	  MicropythonUicrAddress[MicropythonUicrAddress["StartPage"] = MicropythonUicrAddress.PageSize + UPY_PAGE_SIZE_LEN] = "StartPage";
	  MicropythonUicrAddress[MicropythonUicrAddress["PagesUsed"] = MicropythonUicrAddress.StartPage + UPY_START_PAGE_LEN] = "PagesUsed";
	  MicropythonUicrAddress[MicropythonUicrAddress["Delimiter"] = MicropythonUicrAddress.PagesUsed + UPY_PAGES_USED_LEN] = "Delimiter";
	  MicropythonUicrAddress[MicropythonUicrAddress["VersionLocation"] = MicropythonUicrAddress.Delimiter + UPY_DELIMITER_LEN] = "VersionLocation";
	  MicropythonUicrAddress[MicropythonUicrAddress["RegionsTerminator"] = MicropythonUicrAddress.VersionLocation + UPY_REGIONS_TERMINATOR_LEN] = "RegionsTerminator";
	  MicropythonUicrAddress[MicropythonUicrAddress["End"] = MicropythonUicrAddress.RegionsTerminator + UPY_VERSION_LEN] = "End";
	})(MicropythonUicrAddress || (MicropythonUicrAddress = {}));
	/**
	 * Check if the magic number for the MicroPython UICR data is present in the
	 * Intel Hex memory map.
	 *
	 * @param intelHexMap - Memory map of the Intel Hex data.
	 * @return True if the magic number matches, false otherwise.
	 */


	function confirmMagicValue(intelHexMap) {
	  var readMagicHeader = getMagicValue(intelHexMap);

	  for (var _i = 0, DEVICE_INFO_1 = DEVICE_INFO; _i < DEVICE_INFO_1.length; _i++) {
	    var device = DEVICE_INFO_1[_i];

	    if (device.magicHeader === readMagicHeader) {
	      return true;
	    }
	  }

	  return false;
	}
	/**
	 * Reads the UICR data that contains the Magic Value that indicates the
	 * MicroPython presence in the hex data.
	 *
	 * @param intelHexMap - Memory map of the Intel Hex data.
	 * @returns The Magic Value from UICR.
	 */


	function getMagicValue(intelHexMap) {
	  return getUint32(intelHexMap, MicropythonUicrAddress.MagicValue);
	}
	/**
	 * Reads the UICR data from an Intel Hex map and detects the device version.
	 *
	 * @param intelHexMap - Memory map of the Intel Hex data.
	 * @returns The micro:bit board version.
	 */


	function getDeviceVersion(intelHexMap) {
	  var readMagicHeader = getMagicValue(intelHexMap);

	  for (var _i = 0, DEVICE_INFO_2 = DEVICE_INFO; _i < DEVICE_INFO_2.length; _i++) {
	    var device = DEVICE_INFO_2[_i];

	    if (device.magicHeader === readMagicHeader) {
	      return device.deviceVersion;
	    }
	  }

	  throw new Error('Cannot find device version, unknown UICR Magic value');
	}
	/**
	 * Reads the UICR data from an Intel Hex map and retrieves the flash size.
	 *
	 * @param intelHexMap - Memory map of the Intel Hex data.
	 * @returns The micro:bit flash size.
	 */


	function getFlashSize(intelHexMap) {
	  var readMagicHeader = getMagicValue(intelHexMap);

	  for (var _i = 0, DEVICE_INFO_3 = DEVICE_INFO; _i < DEVICE_INFO_3.length; _i++) {
	    var device = DEVICE_INFO_3[_i];

	    if (device.magicHeader === readMagicHeader) {
	      return device.flashSize;
	    }
	  }

	  throw new Error('Cannot find flash size, unknown UICR Magic value');
	}
	/**
	 * Reads the UICR data from an Intel Hex map and retrieves the fs end address.
	 *
	 * @param intelHexMap - Memory map of the Intel Hex data.
	 * @returns The micro:bit filesystem end address.
	 */


	function getFsEndAddress(intelHexMap) {
	  var readMagicHeader = getMagicValue(intelHexMap);

	  for (var _i = 0, DEVICE_INFO_4 = DEVICE_INFO; _i < DEVICE_INFO_4.length; _i++) {
	    var device = DEVICE_INFO_4[_i];

	    if (device.magicHeader === readMagicHeader) {
	      return device.fsEnd;
	    }
	  }

	  throw new Error('Cannot find fs end address, unknown UICR Magic value');
	}
	/**
	 * Reads the UICR data that contains the flash page size.
	 *
	 * @param intelHexMap - Memory map of the Intel Hex data.
	 * @returns The size of each flash page size.
	 */


	function getPageSize(intelHexMap) {
	  var pageSize = getUint32(intelHexMap, MicropythonUicrAddress.PageSize); // Page size is stored as a log base 2

	  return Math.pow(2, pageSize);
	}
	/**
	 * Reads the UICR data that contains the start page of the MicroPython runtime.
	 *
	 * @param intelHexMap - Memory map of the Intel Hex data.
	 * @returns The start page number of the MicroPython runtime.
	 */


	function getStartPage(intelHexMap) {
	  return getUint16(intelHexMap, MicropythonUicrAddress.StartPage);
	}
	/**
	 * Reads the UICR data that contains the number of flash pages used by the
	 * MicroPython runtime.
	 *
	 * @param intelHexMap - Memory map of the Intel Hex data.
	 * @returns The number of pages used by the MicroPython runtime.
	 */


	function getPagesUsed(intelHexMap) {
	  return getUint16(intelHexMap, MicropythonUicrAddress.PagesUsed);
	}
	/**
	 * Reads the UICR data that contains the address of the location in flash where
	 * the MicroPython version is stored.
	 *
	 * @param intelHexMap - Memory map of the Intel Hex data.
	 * @returns The address of the location in flash where the MicroPython version
	 * is stored.
	 */


	function getVersionLocation(intelHexMap) {
	  return getUint32(intelHexMap, MicropythonUicrAddress.VersionLocation);
	}
	/**
	 * Reads the UICR data from an Intel Hex map and retrieves the MicroPython data.
	 *
	 * @throws {Error} When the Magic Header is not present.
	 *
	 * @param intelHexMap - Memory map of the Intel Hex data.
	 * @returns Object with the decoded UICR MicroPython data.
	 */


	function getHexMapUicrData(intelHexMap) {
	  var uicrMap = intelHexMap.slice(UICR_UPY_START);

	  if (!confirmMagicValue(uicrMap)) {
	    throw new Error('Could not find valid MicroPython UICR data.');
	  }

	  var flashPageSize = getPageSize(uicrMap);
	  var flashSize = getFlashSize(uicrMap);
	  var startPage = getStartPage(uicrMap);
	  var flashStartAddress = startPage * flashPageSize;
	  var flashEndAddress = flashStartAddress + flashSize;
	  var pagesUsed = getPagesUsed(uicrMap);
	  var runtimeEndAddress = pagesUsed * flashPageSize;
	  var versionAddress = getVersionLocation(uicrMap);
	  var uPyVersion = getString(intelHexMap, versionAddress);
	  var deviceVersion = getDeviceVersion(uicrMap);
	  var fsEndAddress = getFsEndAddress(uicrMap);
	  return {
	    flashPageSize: flashPageSize,
	    flashSize: flashSize,
	    flashStartAddress: flashStartAddress,
	    flashEndAddress: flashEndAddress,
	    runtimeStartAddress: flashStartAddress,
	    runtimeEndAddress: runtimeEndAddress,
	    fsStartAddress: runtimeEndAddress,
	    fsEndAddress: fsEndAddress,
	    uicrStartAddress: MicropythonUicrAddress.MagicValue,
	    uicrEndAddress: MicropythonUicrAddress.End,
	    uPyVersion: uPyVersion,
	    deviceVersion: deviceVersion
	  };
	}

	/**
	 * Retrieves the device information stored inside a MicroPython hex file.
	 *
	 * (c) 2020 Micro:bit Educational Foundation and the microbit-fs contributors.
	 * SPDX-License-Identifier: MIT
	 */
	/**
	 * Attempts to retrieve the device memory data from an MicroPython Intel Hex
	 * memory map.
	 *
	 * @param {MemoryMap} intelHexMap MicroPython Intel Hex memory map to scan.
	 * @returns {DeviceMemInfo} Device data.
	 */

	function getHexMapDeviceMemInfo(intelHexMap) {
	  var errorMsg = '';

	  try {
	    return getHexMapUicrData(intelHexMap);
	  } catch (err) {
	    errorMsg += err.message + '\n';
	  }

	  try {
	    return getHexMapFlashRegionsData(intelHexMap);
	  } catch (err) {
	    throw new Error(errorMsg + err.message);
	  }
	}
	/**
	 * Attempts to retrieve the device memory data from an MicroPython Intel Hex.
	 *
	 * @param intelHex - MicroPython Intel Hex string.
	 * @returns {DeviceMemInfo} Device data.
	 */


	function getIntelHexDeviceMemInfo(intelHex) {
	  return getHexMapDeviceMemInfo(MemoryMap.fromHex(intelHex));
	}

	/** Sizes for the different parts of the file system chunks. */

	var CHUNK_LEN = 128;
	var CHUNK_MARKER_LEN = 1;
	var CHUNK_TAIL_LEN = 1;
	var CHUNK_DATA_LEN = CHUNK_LEN - CHUNK_MARKER_LEN - CHUNK_TAIL_LEN;
	var CHUNK_HEADER_END_OFFSET_LEN = 1;
	var CHUNK_HEADER_NAME_LEN = 1;
	var MAX_FILENAME_LENGTH = 120;
	/**
	 * Chunks are a double linked list with 1-byte pointers and the front marker
	 * (previous pointer) cannot have the values listed in the ChunkMarker enum
	 */

	var MAX_NUMBER_OF_CHUNKS = 256 - 4;
	/**
	 * To speed up the Intel Hex string generation with MicroPython and the
	 * filesystem we can cache some of the Intel Hex records and the parsed Memory
	 * Map. This function creates an object with cached data that can then be sent
	 * to other functions from this module.
	 *
	 * @param originalIntelHex Intel Hex string with MicroPython to cache.
	 * @returns Cached MpFsBuilderCache object.
	 */

	function createMpFsBuilderCache(originalIntelHex) {
	  var originalMemMap = MemoryMap.fromHex(originalIntelHex);
	  var deviceMem = getHexMapDeviceMemInfo(originalMemMap); // slice() returns a new MemoryMap with only the MicroPython data, so it will
	  // not include the UICR. The End Of File record is removed because this string
	  // will be concatenated with the filesystem data any thing else in the MemMap

	  var uPyIntelHex = originalMemMap.slice(deviceMem.runtimeStartAddress, deviceMem.runtimeEndAddress - deviceMem.runtimeStartAddress).asHexString().replace(':00000001FF', '');
	  return {
	    originalIntelHex: originalIntelHex,
	    originalMemMap: originalMemMap,
	    uPyIntelHex: uPyIntelHex,
	    uPyEndAddress: deviceMem.runtimeEndAddress,
	    fsSize: getMemMapFsSize(originalMemMap)
	  };
	}
	/**
	 * Scans the file system area inside the Intel Hex data a returns a list of
	 * available chunks.
	 *
	 * @param intelHexMap - Memory map for the MicroPython Intel Hex.
	 * @returns List of all unused chunks.
	 */


	function getFreeChunks(intelHexMap) {
	  var freeChunks = [];
	  var startAddress = getStartAddress(intelHexMap);
	  var endAddress = getLastPageAddress(intelHexMap);
	  var chunkAddr = startAddress;
	  var chunkIndex = 1;

	  while (chunkAddr < endAddress) {
	    var marker = intelHexMap.slicePad(chunkAddr, 1, 255
	    /* Unused */
	    )[0];

	    if (marker === 255
	    /* Unused */
	    || marker === 0
	    /* Freed */
	    ) {
	        freeChunks.push(chunkIndex);
	      }

	    chunkIndex++;
	    chunkAddr += CHUNK_LEN;
	  }

	  return freeChunks;
	}
	/**
	 * Calculates from the input Intel Hex where the MicroPython runtime ends and
	 * and where the start of the filesystem would be based on that.
	 *
	 * @param intelHexMap - Memory map for the MicroPython Intel Hex.
	 * @returns Filesystem start address
	 */


	function getStartAddress(intelHexMap) {
	  var deviceMem = getHexMapDeviceMemInfo(intelHexMap); // Calculate the maximum flash space the filesystem can possible take

	  var fsMaxSize = CHUNK_LEN * MAX_NUMBER_OF_CHUNKS; // The persistent data page is the last page of the filesystem space
	  // no need to add it in calculations
	  // There might more free space than the filesystem needs, in that case
	  // we move the start address down

	  var startAddressForMaxFs = getEndAddress(intelHexMap) - fsMaxSize;
	  var startAddress = Math.max(deviceMem.fsStartAddress, startAddressForMaxFs); // Ensure the start address is aligned with the page size

	  if (startAddress % deviceMem.flashPageSize) {
	    throw new Error('File system start address from UICR does not align with flash page size.');
	  }

	  return startAddress;
	}
	/**
	 * Calculates the end address for the filesystem.
	 *
	 * Start from the end of flash, or from the top of appended script if
	 * one is included in the Intel Hex data.
	 * Then move one page up as it is used for the magnetometer calibration data.
	 *
	 * @param intelHexMap - Memory map for the MicroPython Intel Hex.
	 * @returns End address for the filesystem.
	 */


	function getEndAddress(intelHexMap) {
	  var deviceMem = getHexMapDeviceMemInfo(intelHexMap);
	  var endAddress = deviceMem.fsEndAddress; // TODO: Maybe we should move this inside the UICR module to calculate
	  // the real fs area in that step

	  if (deviceMem.deviceVersion === "V1"
	  /* V1 */
	  ) {
	      if (isAppendedScriptPresent(intelHexMap)) {
	        endAddress = exports.AppendedBlock.StartAdd;
	      } // In v1 the magnetometer calibration data takes one flash page


	      endAddress -= deviceMem.flashPageSize;
	    }

	  return endAddress;
	}
	/**
	 * Calculates the address for the last page available to the filesystem.
	 *
	 * @param intelHexMap - Memory map for the MicroPython Intel Hex.
	 * @returns Memory address where the last filesystem page starts.
	 */


	function getLastPageAddress(intelHexMap) {
	  var deviceMem = getHexMapDeviceMemInfo(intelHexMap);
	  return getEndAddress(intelHexMap) - deviceMem.flashPageSize;
	}
	/**
	 * If not present already, it sets the persistent page in flash.
	 *
	 * This page can be located right below or right on top of the filesystem
	 * space.
	 *
	 * @param intelHexMap - Memory map for the MicroPython Intel Hex.
	 */


	function setPersistentPage(intelHexMap) {
	  // At the moment we place this persistent page at the end of the filesystem
	  // TODO: This could be set to the first or the last page. Check first if it
	  //  exists, if it doesn't then randomise its location.
	  intelHexMap.set(getLastPageAddress(intelHexMap), new Uint8Array([253
	  /* PersistentData */
	  ]));
	}
	/**
	 * Calculate the flash memory address from the chunk index.
	 *
	 * @param intelHexMap - Memory map for the MicroPython Intel Hex.
	 * @param chunkIndex - Index for the chunk to calculate.
	 * @returns Address in flash for the chunk.
	 */


	function chuckIndexAddress(intelHexMap, chunkIndex) {
	  // Chunk index starts at 1, so we need to account for that in the calculation
	  return getStartAddress(intelHexMap) + (chunkIndex - 1) * CHUNK_LEN;
	}
	/**
	 * Class to contain file data and generate its MicroPython filesystem
	 * representation.
	 */


	var FsFile =
	/** @class */
	function () {
	  /**
	   * Create a file.
	   *
	   * @param filename - Name for the file.
	   * @param data - Byte array with the file data.
	   */
	  function FsFile(filename, data) {
	    this._filename = filename;
	    this._filenameBytes = strToBytes(filename);

	    if (this._filenameBytes.length > MAX_FILENAME_LENGTH) {
	      throw new Error("File name \"" + filename + "\" is too long " + ("(max " + MAX_FILENAME_LENGTH + " characters)."));
	    }

	    this._dataBytes = data; // Generate a single byte array with the filesystem data bytes.
	    // When MicroPython uses up to the last byte of the last chunk it will
	    // still consume the next chunk, and leave it blank
	    // To replicate the same behaviour we add an extra 0xFF to the data block

	    var fileHeader = this._generateFileHeaderBytes();

	    this._fsDataBytes = new Uint8Array(fileHeader.length + this._dataBytes.length + 1);

	    this._fsDataBytes.set(fileHeader, 0);

	    this._fsDataBytes.set(this._dataBytes, fileHeader.length);

	    this._fsDataBytes[this._fsDataBytes.length - 1] = 0xff;
	  }
	  /**
	   * Generate an array of file system chunks for all this file content.
	   *
	   * @throws {Error} When there are not enough chunks available.
	   *
	   * @param freeChunks - List of available chunks to use.
	   * @returns An array of byte arrays, one item per chunk.
	   */


	  FsFile.prototype.getFsChunks = function (freeChunks) {
	    // Now form the chunks
	    var chunks = [];
	    var freeChunksIndex = 0;
	    var dataIndex = 0; // Prepare first chunk where the marker indicates a file start

	    var chunk = new Uint8Array(CHUNK_LEN).fill(0xff);
	    chunk[0
	    /* Marker */
	    ] = 254
	    /* FileStart */
	    ;
	    var loopEnd = Math.min(this._fsDataBytes.length, CHUNK_DATA_LEN);

	    for (var i = 0; i < loopEnd; i++, dataIndex++) {
	      chunk[CHUNK_MARKER_LEN + i] = this._fsDataBytes[dataIndex];
	    }

	    chunks.push(chunk); // The rest of the chunks follow the same pattern

	    while (dataIndex < this._fsDataBytes.length) {
	      freeChunksIndex++;

	      if (freeChunksIndex >= freeChunks.length) {
	        throw new Error("Not enough space for the " + this._filename + " file.");
	      } // The previous chunk has to be followed by this one, so add this index


	      var previousChunk = chunks[chunks.length - 1];
	      previousChunk[127
	      /* Tail */
	      ] = freeChunks[freeChunksIndex];
	      chunk = new Uint8Array(CHUNK_LEN).fill(0xff); // This chunk Marker points to the previous chunk

	      chunk[0
	      /* Marker */
	      ] = freeChunks[freeChunksIndex - 1]; // Add the data to this chunk

	      loopEnd = Math.min(this._fsDataBytes.length - dataIndex, CHUNK_DATA_LEN);

	      for (var i = 0; i < loopEnd; i++, dataIndex++) {
	        chunk[CHUNK_MARKER_LEN + i] = this._fsDataBytes[dataIndex];
	      }

	      chunks.push(chunk);
	    }

	    return chunks;
	  };
	  /**
	   * Generate a single byte array with the filesystem data for this file.
	   *
	   * @param freeChunks - List of available chunks to use.
	   * @returns A byte array with the data to go straight into flash.
	   */


	  FsFile.prototype.getFsBytes = function (freeChunks) {
	    var chunks = this.getFsChunks(freeChunks);
	    var chunksLen = chunks.length * CHUNK_LEN;
	    var fileFsBytes = new Uint8Array(chunksLen);

	    for (var i = 0; i < chunks.length; i++) {
	      fileFsBytes.set(chunks[i], CHUNK_LEN * i);
	    }

	    return fileFsBytes;
	  };
	  /**
	   * @returns Size, in bytes, of how much space the file takes in the filesystem
	   *     flash memory.
	   */


	  FsFile.prototype.getFsFileSize = function () {
	    var chunksUsed = Math.ceil(this._fsDataBytes.length / CHUNK_DATA_LEN);
	    return chunksUsed * CHUNK_LEN;
	  };
	  /**
	   * Generates a byte array for the file header as expected by the MicroPython
	   * file system.
	   *
	   * @return Byte array with the header data.
	   */


	  FsFile.prototype._generateFileHeaderBytes = function () {
	    var headerSize = CHUNK_HEADER_END_OFFSET_LEN + CHUNK_HEADER_NAME_LEN + this._filenameBytes.length;
	    var endOffset = (headerSize + this._dataBytes.length) % CHUNK_DATA_LEN;
	    var fileNameOffset = headerSize - this._filenameBytes.length; // Format header byte array

	    var headerBytes = new Uint8Array(headerSize);
	    headerBytes[1
	    /* EndOffset */
	    - 1] = endOffset;
	    headerBytes[2
	    /* NameLength */
	    - 1] = this._filenameBytes.length;

	    for (var i = fileNameOffset; i < headerSize; ++i) {
	      headerBytes[i] = this._filenameBytes[i - fileNameOffset];
	    }

	    return headerBytes;
	  };

	  return FsFile;
	}();
	/**
	 * @returns Size, in bytes, of how much space the file would take in the
	 *     MicroPython filesystem.
	 */


	function calculateFileSize(filename, data) {
	  var file = new FsFile(filename, data);
	  return file.getFsFileSize();
	}
	/**
	 * Adds a byte array as a file into a MicroPython Memory Map.
	 *
	 * @throws {Error} When the invalid file name is given.
	 * @throws {Error} When the the file doesn't have any data.
	 * @throws {Error} When there are issues calculating the file system boundaries.
	 * @throws {Error} When there is no space left for the file.
	 *
	 * @param intelHexMap - Memory map for the MicroPython Intel Hex.
	 * @param filename - Name for the file.
	 * @param data - Byte array for the file data.
	 */


	function addMemMapFile(intelHexMap, filename, data) {
	  if (!filename) throw new Error('File has to have a file name.');
	  if (!data.length) throw new Error("File " + filename + " has to contain data.");
	  var freeChunks = getFreeChunks(intelHexMap);

	  if (freeChunks.length === 0) {
	    throw new Error('There is no storage space left.');
	  }

	  var chunksStartAddress = chuckIndexAddress(intelHexMap, freeChunks[0]); // Create a file, generate and inject filesystem data.

	  var fsFile = new FsFile(filename, data);
	  var fileFsBytes = fsFile.getFsBytes(freeChunks);
	  intelHexMap.set(chunksStartAddress, fileFsBytes);
	  setPersistentPage(intelHexMap);
	}
	/**
	 * Adds a hash table of filenames and byte arrays as files to the MicroPython
	 * filesystem.
	 *
	 * @throws {Error} When the an invalid file name is given.
	 * @throws {Error} When a file doesn't have any data.
	 * @throws {Error} When there are issues calculating the file system boundaries.
	 * @throws {Error} When there is no space left for a file.
	 *
	 * @param intelHex - MicroPython Intel Hex string or MemoryMap.
	 * @param files - Hash table with filenames as the key and byte arrays as the
	 *     value.
	 * @returns MicroPython Intel Hex string with the files in the filesystem.
	 */


	function addIntelHexFiles(intelHex, files, returnBytes) {
	  if (returnBytes === void 0) {
	    returnBytes = false;
	  }

	  var intelHexMap;

	  if (typeof intelHex === 'string') {
	    intelHexMap = MemoryMap.fromHex(intelHex);
	  } else {
	    intelHexMap = intelHex.clone();
	  }

	  var deviceMem = getHexMapDeviceMemInfo(intelHexMap);
	  Object.keys(files).forEach(function (filename) {
	    addMemMapFile(intelHexMap, filename, files[filename]);
	  });
	  return returnBytes ? intelHexMap.slicePad(0, deviceMem.flashSize) : intelHexMap.asHexString() + '\n';
	}
	/**
	 * Generates an Intel Hex string with MicroPython and files in the filesystem.
	 *
	 * Uses pre-cached MicroPython memory map and Intel Hex string of record to
	 * speed up the Intel Hex generation compared to addIntelHexFiles().
	 *
	 * @param cache - Object with cached data from createMpFsBuilderCache().
	 * @param files - Hash table with filenames as the key and byte arrays as the
	 *     value.
	 * @returns MicroPython Intel Hex string with the files in the filesystem.
	 */


	function generateHexWithFiles(cache, files) {
	  var memMapWithFiles = cache.originalMemMap.clone();
	  Object.keys(files).forEach(function (filename) {
	    addMemMapFile(memMapWithFiles, filename, files[filename]);
	  });
	  return cache.uPyIntelHex + memMapWithFiles.slice(cache.uPyEndAddress).asHexString() + '\n';
	}
	/**
	 * Reads the filesystem included in a MicroPython Intel Hex string or Map.
	 *
	 * @throws {Error} When multiple files with the same name encountered.
	 * @throws {Error} When a file chunk points to an unused chunk.
	 * @throws {Error} When a file chunk marker does not point to previous chunk.
	 * @throws {Error} When following through the chunks linked list iterates
	 *     through more chunks and used chunks (sign of an infinite loop).
	 *
	 * @param intelHex - The MicroPython Intel Hex string or MemoryMap to read from.
	 * @returns Dictionary with the filename as key and byte array as values.
	 */


	function getIntelHexFiles(intelHex) {
	  var hexMap;

	  if (typeof intelHex === 'string') {
	    hexMap = MemoryMap.fromHex(intelHex);
	  } else {
	    hexMap = intelHex.clone();
	  }

	  var startAddress = getStartAddress(hexMap);
	  var endAddress = getLastPageAddress(hexMap); // TODO: endAddress as the getLastPageAddress works now because this
	  // library uses the last page as the "persistent" page, so the filesystem does
	  // end there. In reality, the persistent page could be the first or the last
	  // page, so we should get the end address as the magnetometer page and then
	  // check if the persistent marker is present in the first of last page and
	  // take that into account in the memory range calculation.
	  // Note that the persistent marker is only present at the top of the page
	  // Iterate through the filesystem to collect used chunks and file starts

	  var usedChunks = {};
	  var startChunkIndexes = [];
	  var chunkAddr = startAddress;
	  var chunkIndex = 1;

	  while (chunkAddr < endAddress) {
	    var chunk = hexMap.slicePad(chunkAddr, CHUNK_LEN, 255
	    /* Unused */
	    );
	    var marker = chunk[0];

	    if (marker !== 255
	    /* Unused */
	    && marker !== 0
	    /* Freed */
	    && marker !== 253
	    /* PersistentData */
	    ) {
	        usedChunks[chunkIndex] = chunk;

	        if (marker === 254
	        /* FileStart */
	        ) {
	            startChunkIndexes.push(chunkIndex);
	          }
	      }

	    chunkIndex++;
	    chunkAddr += CHUNK_LEN;
	  } // Go through the list of file-starts, follow the file chunks and collect data


	  var files = {};

	  for (var _i = 0, startChunkIndexes_1 = startChunkIndexes; _i < startChunkIndexes_1.length; _i++) {
	    var startChunkIndex = startChunkIndexes_1[_i];
	    var startChunk = usedChunks[startChunkIndex];
	    var endChunkOffset = startChunk[1
	    /* EndOffset */
	    ];
	    var filenameLen = startChunk[2
	    /* NameLength */
	    ]; // 1st byte is the marker, 2nd is the offset, 3rd is the filename length

	    var chunkDataStart = 3 + filenameLen;
	    var filename = bytesToStr(startChunk.slice(3, chunkDataStart));

	    if (files.hasOwnProperty(filename)) {
	      throw new Error("Found multiple files named: " + filename + ".");
	    }

	    files[filename] = new Uint8Array(0);
	    var currentChunk = startChunk;
	    var currentIndex = startChunkIndex; // Chunks are basically a double linked list, so invalid data could create
	    // an infinite loop. No file should traverse more chunks than available.

	    var iterations = Object.keys(usedChunks).length + 1;

	    while (iterations--) {
	      var nextIndex = currentChunk[127
	      /* Tail */
	      ];

	      if (nextIndex === 255
	      /* Unused */
	      ) {
	          // The current chunk is the last
	          files[filename] = concatUint8Array(files[filename], currentChunk.slice(chunkDataStart, 1 + endChunkOffset));
	          break;
	        } else {
	        files[filename] = concatUint8Array(files[filename], currentChunk.slice(chunkDataStart, 127
	        /* Tail */
	        ));
	      }

	      var nextChunk = usedChunks[nextIndex];

	      if (!nextChunk) {
	        throw new Error("Chunk " + currentIndex + " points to unused index " + nextIndex + ".");
	      }

	      if (nextChunk[0
	      /* Marker */
	      ] !== currentIndex) {
	        throw new Error("Chunk index " + nextIndex + " did not link to previous chunk index " + currentIndex + ".");
	      }

	      currentChunk = nextChunk;
	      currentIndex = nextIndex; // Start chunk data has a unique start, all others start after marker

	      chunkDataStart = 1;
	    }

	    if (iterations <= 0) {
	      // We iterated through chunks more often than available chunks
	      throw new Error('Malformed file chunks did not link correctly.');
	    }
	  }

	  return files;
	}
	/**
	 * Calculate the MicroPython filesystem size.
	 *
	 * @param intelHexMap - The MicroPython Intel Hex Memory Map.
	 * @returns Size of the filesystem in bytes.
	 */


	function getMemMapFsSize(intelHexMap) {
	  var deviceMem = getHexMapDeviceMemInfo(intelHexMap);
	  var startAddress = getStartAddress(intelHexMap);
	  var endAddress = getEndAddress(intelHexMap); // One extra page is used as persistent page

	  return endAddress - startAddress - deviceMem.flashPageSize;
	}

	var SimpleFile =
	/** @class */
	function () {
	  /**
	   * Create a SimpleFile.
	   *
	   * @throws {Error} When an invalid filename is provided.
	   * @throws {Error} When invalid file data is provided.
	   *
	   * @param filename - Name for the file.
	   * @param data - String or byte array with the file data.
	   */
	  function SimpleFile(filename, data) {
	    if (!filename) {
	      throw new Error('File was not provided a valid filename.');
	    }

	    if (!data) {
	      throw new Error("File " + filename + " does not have valid content.");
	    }

	    this.filename = filename;

	    if (typeof data === 'string') {
	      this._dataBytes = strToBytes(data);
	    } else if (data instanceof Uint8Array) {
	      this._dataBytes = data;
	    } else {
	      throw new Error('File data type must be a string or Uint8Array.');
	    }
	  }

	  SimpleFile.prototype.getText = function () {
	    return bytesToStr(this._dataBytes);
	  };

	  SimpleFile.prototype.getBytes = function () {
	    return this._dataBytes;
	  };

	  return SimpleFile;
	}();

	/**
	 * The Board ID is used to identify the different targets from a Universal Hex.
	 * In this case the target represents a micro:bit version.
	 * For micro:bit V1 (v1.3, v1.3B and v1.5) the `boardId` is `0x9900`, and for
	 * V2 `0x9903`.
	 * This is being re-exported from the @microbit/microbit-universal-hex package.
	 */

	var microbitBoardId$1 = microbitBoardId;
	/**
	 * Manage filesystem files in one or multiple MicroPython hex files.
	 *
	 * @public
	 */

	var MicropythonFsHex =
	/** @class */
	function () {
	  /**
	   * File System manager constructor.
	   *
	   * At the moment it needs a MicroPython hex string without files included.
	   * Multiple MicroPython images can be provided to generate a Universal Hex.
	   *
	   * @throws {Error} When any of the input iHex contains filesystem files.
	   * @throws {Error} When any of the input iHex is not a valid MicroPython hex.
	   *
	   * @param intelHex - MicroPython Intel Hex string or an array of Intel Hex
	   *    strings with their respective board IDs.
	   */
	  function MicropythonFsHex(intelHex, _a) {
	    var _this = this;

	    var _b = (_a === void 0 ? {} : _a).maxFsSize,
	        maxFsSize = _b === void 0 ? 0 : _b;
	    this._uPyFsBuilderCache = [];
	    this._files = {};
	    this._storageSize = 0;
	    var hexWithIdArray = Array.isArray(intelHex) ? intelHex : [{
	      hex: intelHex,
	      boardId: 0x0000
	    }]; // Generate and store the MicroPython Builder caches

	    var minFsSize = Infinity;
	    hexWithIdArray.forEach(function (hexWithId) {
	      if (!hexWithId.hex) {
	        throw new Error('Invalid MicroPython hex.');
	      }

	      var builderCache = createMpFsBuilderCache(hexWithId.hex);
	      var thisBuilderCache = {
	        originalIntelHex: builderCache.originalIntelHex,
	        originalMemMap: builderCache.originalMemMap,
	        uPyEndAddress: builderCache.uPyEndAddress,
	        uPyIntelHex: builderCache.uPyIntelHex,
	        fsSize: builderCache.fsSize,
	        boardId: hexWithId.boardId
	      };

	      _this._uPyFsBuilderCache.push(thisBuilderCache);

	      minFsSize = Math.min(minFsSize, thisBuilderCache.fsSize);
	    });
	    this.setStorageSize(maxFsSize || minFsSize); // Check if there are files in any of the input hex

	    this._uPyFsBuilderCache.forEach(function (builderCache) {
	      var hexFiles = getIntelHexFiles(builderCache.originalMemMap);

	      if (Object.keys(hexFiles).length) {
	        throw new Error('There are files in the MicropythonFsHex constructor hex file input.');
	      }
	    });
	  }
	  /**
	   * Create a new file and add it to the file system.
	   *
	   * @throws {Error} When the file already exists.
	   * @throws {Error} When an invalid filename is provided.
	   * @throws {Error} When invalid file data is provided.
	   *
	   * @param filename - Name for the file.
	   * @param content - File content to write.
	   */


	  MicropythonFsHex.prototype.create = function (filename, content) {
	    if (this.exists(filename)) {
	      throw new Error('File already exists.');
	    }

	    this.write(filename, content);
	  };
	  /**
	   * Write a file into the file system. Overwrites a previous file with the
	   * same name.
	   *
	   * @throws {Error} When an invalid filename is provided.
	   * @throws {Error} When invalid file data is provided.
	   *
	   * @param filename - Name for the file.
	   * @param content - File content to write.
	   */


	  MicropythonFsHex.prototype.write = function (filename, content) {
	    this._files[filename] = new SimpleFile(filename, content);
	  };

	  MicropythonFsHex.prototype.append = function (filename, content) {
	    if (!filename) {
	      throw new Error('Invalid filename.');
	    }

	    if (!this.exists(filename)) {
	      throw new Error("File \"" + filename + "\" does not exist.");
	    } // TODO: Implement this.


	    throw new Error('Append operation not yet implemented.');
	  };
	  /**
	   * Read the text from a file.
	   *
	   * @throws {Error} When invalid file name is provided.
	   * @throws {Error} When file is not in the file system.
	   *
	   * @param filename - Name of the file to read.
	   * @returns Text from the file.
	   */


	  MicropythonFsHex.prototype.read = function (filename) {
	    if (!filename) {
	      throw new Error('Invalid filename.');
	    }

	    if (!this.exists(filename)) {
	      throw new Error("File \"" + filename + "\" does not exist.");
	    }

	    return this._files[filename].getText();
	  };
	  /**
	   * Read the bytes from a file.
	   *
	   * @throws {Error} When invalid file name is provided.
	   * @throws {Error} When file is not in the file system.
	   *
	   * @param filename - Name of the file to read.
	   * @returns Byte array from the file.
	   */


	  MicropythonFsHex.prototype.readBytes = function (filename) {
	    if (!filename) {
	      throw new Error('Invalid filename.');
	    }

	    if (!this.exists(filename)) {
	      throw new Error("File \"" + filename + "\" does not exist.");
	    }

	    return this._files[filename].getBytes();
	  };
	  /**
	   * Delete a file from the file system.
	   *
	   * @throws {Error} When invalid file name is provided.
	   * @throws {Error} When the file doesn't exist.
	   *
	   * @param filename - Name of the file to delete.
	   */


	  MicropythonFsHex.prototype.remove = function (filename) {
	    if (!filename) {
	      throw new Error('Invalid filename.');
	    }

	    if (!this.exists(filename)) {
	      throw new Error("File \"" + filename + "\" does not exist.");
	    }

	    delete this._files[filename];
	  };
	  /**
	   * Check if a file is already present in the file system.
	   *
	   * @param filename - Name for the file to check.
	   * @returns True if it exists, false otherwise.
	   */


	  MicropythonFsHex.prototype.exists = function (filename) {
	    return this._files.hasOwnProperty(filename);
	  };
	  /**
	   * Returns the size of a file in bytes.
	   *
	   * @throws {Error} When invalid file name is provided.
	   * @throws {Error} When the file doesn't exist.
	   *
	   * @param filename - Name for the file to check.
	   * @returns Size file size in bytes.
	   */


	  MicropythonFsHex.prototype.size = function (filename) {
	    if (!filename) {
	      throw new Error("Invalid filename: " + filename);
	    }

	    if (!this.exists(filename)) {
	      throw new Error("File \"" + filename + "\" does not exist.");
	    }

	    return calculateFileSize(this._files[filename].filename, this._files[filename].getBytes());
	  };
	  /**
	   * @returns A list all the files in the file system.
	   */


	  MicropythonFsHex.prototype.ls = function () {
	    var files = [];
	    Object.values(this._files).forEach(function (value) {
	      return files.push(value.filename);
	    });
	    return files;
	  };
	  /**
	   * Sets a storage size limit. Must be smaller than available space in
	   * MicroPython.
	   *
	   * @param {number} size - Size in bytes for the filesystem.
	   */


	  MicropythonFsHex.prototype.setStorageSize = function (size) {
	    var minFsSize = Infinity;

	    this._uPyFsBuilderCache.forEach(function (builderCache) {
	      minFsSize = Math.min(minFsSize, builderCache.fsSize);
	    });

	    if (size > minFsSize) {
	      throw new Error('Storage size limit provided is larger than size available in the MicroPython hex.');
	    }

	    this._storageSize = size;
	  };
	  /**
	   * The available filesystem total size either calculated by the MicroPython
	   * hex or the max storage size limit has been set.
	   *
	   * @returns Size of the filesystem in bytes.
	   */


	  MicropythonFsHex.prototype.getStorageSize = function () {
	    return this._storageSize;
	  };
	  /**
	   * @returns The total number of bytes currently used by files in the file system.
	   */


	  MicropythonFsHex.prototype.getStorageUsed = function () {
	    var _this = this;

	    return Object.values(this._files).reduce(function (accumulator, current) {
	      return accumulator + _this.size(current.filename);
	    }, 0);
	  };
	  /**
	   * @returns The remaining storage of the file system in bytes.
	   */


	  MicropythonFsHex.prototype.getStorageRemaining = function () {
	    return this.getStorageSize() - this.getStorageUsed();
	  };
	  /**
	   * Read the files included in a MicroPython hex string and add them to this
	   * instance.
	   *
	   * @throws {Error} When there are no files to import in the hex.
	   * @throws {Error} When there is a problem reading the files from the hex.
	   * @throws {Error} When a filename already exists in this instance (all other
	   *     files are still imported).
	   *
	   * @param intelHex - MicroPython hex string with files.
	   * @param overwrite - Flag to overwrite existing files in this instance.
	   * @param formatFirst - Erase all the previous files before importing. It only
	   *     erases the files after there are no error during hex file parsing.
	   * @returns A filename list of added files.
	   */


	  MicropythonFsHex.prototype.importFilesFromIntelHex = function (intelHex, _a) {
	    var _this = this;

	    var _b = _a === void 0 ? {} : _a,
	        _c = _b.overwrite,
	        overwrite = _c === void 0 ? false : _c,
	        _d = _b.formatFirst,
	        formatFirst = _d === void 0 ? false : _d;

	    var files = getIntelHexFiles(intelHex);

	    if (!Object.keys(files).length) {
	      throw new Error('Intel Hex does not have any files to import');
	    }

	    if (formatFirst) {
	      this._files = {};
	    }

	    var existingFiles = [];
	    Object.keys(files).forEach(function (filename) {
	      if (!overwrite && _this.exists(filename)) {
	        existingFiles.push(filename);
	      } else {
	        _this.write(filename, files[filename]);
	      }
	    }); // Only throw the error at the end so that all other files are imported

	    if (existingFiles.length) {
	      throw new Error("Files \"" + existingFiles + "\" from hex already exists.");
	    }

	    return Object.keys(files);
	  };
	  /**
	   * Read the files included in a MicroPython Universal Hex string and add them
	   * to this instance.
	   *
	   * @throws {Error} When there are no files to import from one of the hex.
	   * @throws {Error} When the files in the individual hex are different.
	   * @throws {Error} When there is a problem reading files from one of the hex.
	   * @throws {Error} When a filename already exists in this instance (all other
	   *     files are still imported).
	   *
	   * @param universalHex - MicroPython Universal Hex string with files.
	   * @param overwrite - Flag to overwrite existing files in this instance.
	   * @param formatFirst - Erase all the previous files before importing. It only
	   *     erases the files after there are no error during hex file parsing.
	   * @returns A filename list of added files.
	   */


	  MicropythonFsHex.prototype.importFilesFromUniversalHex = function (universalHex, _a) {
	    var _this = this;

	    var _b = _a === void 0 ? {} : _a,
	        _c = _b.overwrite,
	        overwrite = _c === void 0 ? false : _c,
	        _d = _b.formatFirst,
	        formatFirst = _d === void 0 ? false : _d;

	    if (!isUniversalHex(universalHex)) {
	      throw new Error('Universal Hex provided is invalid.');
	    }

	    var hexWithIds = separateUniversalHex(universalHex);
	    var allFileGroups = [];
	    hexWithIds.forEach(function (hexWithId) {
	      var fileGroup = getIntelHexFiles(hexWithId.hex);

	      if (!Object.keys(fileGroup).length) {
	        throw new Error("Hex with ID " + hexWithId.boardId + " from Universal Hex does not have any files to import");
	      }

	      allFileGroups.push(fileGroup);
	    }); // Ensure all hexes have the same files

	    allFileGroups.forEach(function (fileGroup) {
	      // Create new array without this current group
	      var compareFileGroups = allFileGroups.filter(function (v) {
	        return v !== fileGroup;
	      });

	      var _loop_1 = function _loop_1(fileName, fileContent) {
	        compareFileGroups.forEach(function (compareGroup) {
	          if (!compareGroup.hasOwnProperty(fileName) || !areUint8ArraysEqual(compareGroup[fileName], fileContent)) {
	            throw new Error('Mismatch in the different Hexes inside the Universal Hex');
	          }
	        });
	      }; // Check that all files in this group are in all the others


	      for (var _i = 0, _a = Object.entries(fileGroup); _i < _a.length; _i++) {
	        var _b = _a[_i],
	            fileName = _b[0],
	            fileContent = _b[1];

	        _loop_1(fileName, fileContent);
	      }
	    }); // If we reached this point all file groups are the same and we can use any

	    var files = allFileGroups[0];

	    if (formatFirst) {
	      this._files = {};
	    }

	    var existingFiles = [];
	    Object.keys(files).forEach(function (filename) {
	      if (!overwrite && _this.exists(filename)) {
	        existingFiles.push(filename);
	      } else {
	        _this.write(filename, files[filename]);
	      }
	    }); // Only throw the error at the end so that all other files are imported

	    if (existingFiles.length) {
	      throw new Error("Files \"" + existingFiles + "\" from hex already exists.");
	    }

	    return Object.keys(files);
	  };
	  /**
	   * Read the files included in a MicroPython Universal or Intel Hex string and
	   * add them to this instance.
	   *
	   * @throws {Error} When there are no files to import from the hex.
	   * @throws {Error} When in the Universal Hex the files of the individual hexes
	   *    are different.
	   * @throws {Error} When there is a problem reading files from one of the hex.
	   * @throws {Error} When a filename already exists in this instance (all other
	   *     files are still imported).
	   *
	   * @param hexStr - MicroPython Intel or Universal Hex string with files.
	   * @param overwrite - Flag to overwrite existing files in this instance.
	   * @param formatFirst - Erase all the previous files before importing. It only
	   *     erases the files after there are no error during hex file parsing.
	   * @returns A filename list of added files.
	   */


	  MicropythonFsHex.prototype.importFilesFromHex = function (hexStr, options) {
	    if (options === void 0) {
	      options = {};
	    }

	    return isUniversalHex(hexStr) ? this.importFilesFromUniversalHex(hexStr, options) : this.importFilesFromIntelHex(hexStr, options);
	  };
	  /**
	   * Generate a new copy of the MicroPython Intel Hex with the files in the
	   * filesystem included.
	   *
	   * @throws {Error} When a file doesn't have any data.
	   * @throws {Error} When there are issues calculating file system boundaries.
	   * @throws {Error} When there is no space left for a file.
	   * @throws {Error} When the board ID is not found.
	   * @throws {Error} When there are multiple MicroPython hexes and board ID is
	   *    not provided.
	   *
	   * @param boardId - When multiple MicroPython hex files are provided select
	   *    one via this argument.
	   *
	   * @returns A new string with MicroPython and the filesystem included.
	   */


	  MicropythonFsHex.prototype.getIntelHex = function (boardId) {
	    if (this.getStorageRemaining() < 0) {
	      throw new Error('There is no storage space left.');
	    }

	    var files = {};
	    Object.values(this._files).forEach(function (file) {
	      files[file.filename] = file.getBytes();
	    });

	    if (boardId === undefined) {
	      if (this._uPyFsBuilderCache.length === 1) {
	        return generateHexWithFiles(this._uPyFsBuilderCache[0], files);
	      } else {
	        throw new Error('The Board ID must be specified if there are multiple MicroPythons.');
	      }
	    }

	    for (var _i = 0, _a = this._uPyFsBuilderCache; _i < _a.length; _i++) {
	      var builderCache = _a[_i];

	      if (builderCache.boardId === boardId) {
	        return generateHexWithFiles(builderCache, files);
	      }
	    } // If we reach this point we could not find the board ID


	    throw new Error('Board ID requested not found.');
	  };
	  /**
	   * Generate a byte array of the MicroPython and filesystem data.
	   *
	   * @throws {Error} When a file doesn't have any data.
	   * @throws {Error} When there are issues calculating file system boundaries.
	   * @throws {Error} When there is no space left for a file.
	   * @throws {Error} When the board ID is not found.
	   * @throws {Error} When there are multiple MicroPython hexes and board ID is
	   *    not provided.
	   *
	   * @param boardId - When multiple MicroPython hex files are provided select
	   *    one via this argument.
	   *
	   * @returns A Uint8Array with MicroPython and the filesystem included.
	   */


	  MicropythonFsHex.prototype.getIntelHexBytes = function (boardId) {
	    if (this.getStorageRemaining() < 0) {
	      throw new Error('There is no storage space left.');
	    }

	    var files = {};
	    Object.values(this._files).forEach(function (file) {
	      files[file.filename] = file.getBytes();
	    });

	    if (boardId === undefined) {
	      if (this._uPyFsBuilderCache.length === 1) {
	        return addIntelHexFiles(this._uPyFsBuilderCache[0].originalMemMap, files, true);
	      } else {
	        throw new Error('The Board ID must be specified if there are multiple MicroPythons.');
	      }
	    }

	    for (var _i = 0, _a = this._uPyFsBuilderCache; _i < _a.length; _i++) {
	      var builderCache = _a[_i];

	      if (builderCache.boardId === boardId) {
	        return addIntelHexFiles(builderCache.originalMemMap, files, true);
	      }
	    } // If we reach this point we could not find the board ID


	    throw new Error('Board ID requested not found.');
	  };
	  /**
	   * Generate a new copy of a MicroPython Universal Hex with the files in the
	   * filesystem included.
	   *
	   * @throws {Error} When a file doesn't have any data.
	   * @throws {Error} When there are issues calculating file system boundaries.
	   * @throws {Error} When there is no space left for a file.
	   * @throws {Error} When this method is called without having multiple
	   *    MicroPython hexes.
	   *
	   * @returns A new Universal Hex string with MicroPython and filesystem.
	   */


	  MicropythonFsHex.prototype.getUniversalHex = function () {
	    var _this = this;

	    if (this._uPyFsBuilderCache.length === 1) {
	      throw new Error('MicropythonFsHex constructor must have more than one MicroPython ' + 'Intel Hex to generate a Universal Hex.');
	    }

	    var iHexWithIds = [];

	    this._uPyFsBuilderCache.forEach(function (builderCache) {
	      iHexWithIds.push({
	        hex: _this.getIntelHex(builderCache.boardId),
	        boardId: builderCache.boardId
	      });
	    });

	    return createUniversalHex(iHexWithIds);
	  };

	  return MicropythonFsHex;
	}();

	exports.MicropythonFsHex = MicropythonFsHex;
	exports.addIntelHexAppendedScript = addIntelHexAppendedScript;
	exports.addIntelHexFiles = addIntelHexFiles;
	exports.calculateFileSize = calculateFileSize;
	exports.cleanseOldHexFormat = cleanseOldHexFormat;
	exports.createMpFsBuilderCache = createMpFsBuilderCache;
	exports.generateHexWithFiles = generateHexWithFiles;
	exports.getHexMapDeviceMemInfo = getHexMapDeviceMemInfo;
	exports.getIntelHexAppendedScript = getIntelHexAppendedScript;
	exports.getIntelHexDeviceMemInfo = getIntelHexDeviceMemInfo;
	exports.getIntelHexFiles = getIntelHexFiles;
	exports.getMemMapFsSize = getMemMapFsSize;
	exports.isAppendedScriptPresent = isAppendedScriptPresent;
	exports.microbitBoardId = microbitBoardId$1;

	Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=microbit-fs.umd.js.map
